#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/NetZ.h>
#include <OnlineCore/src/Core/PseudoGlobalVariable.h>
#include "AutoMmDirectStreamDDF.h"
#include "NetZ/src/Core/DOCore/DOCoreDDF.h"
#include "NetZ/src/Core/HostMigration/HostMigrationExtDDF.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreDDF.h"
USING_NAMESPACE_NEX
BEGIN_NAMESPACE_NEX

PseudoGlobalVariable<AutoMmDirectStreamDDLDeclarations> g_ddlAutoMmDirectStream;
namespace AutoMmDirectStream_DDF {
	static qByte s_byParseTree[] = {
		 205,101, 35, 18,  0,  0,  0,  0,  4,  0,  0,  0,  2,  0,  0,  0,  1,  0,  0, 15,166
		,  0,  0,  0,  3, 19,  0,  0,  0, 18, 65,117,116,111, 77,109, 68,105,114,101, 99,116
		, 83,116,114,101, 97,109,  0,  0,  0, 18, 65,117,116,111, 77,109, 68,105,114,101, 99
		,116, 83,116,114,101, 97,109,  0,  0,  0, 18, 65,117,116,111, 77,109, 68,105,114,101
		, 99,116, 83,116,114,101, 97,109,  0,  0,  0,  0,  0,  0,  0, 18, 65,117,116,111, 77
		,109, 68,105,114,101, 99,116, 83,116,114,101, 97,109,  0,  0,  0,  0, 18,  0,  0,  0
		, 17,113,108,105,115,116, 60,115,116, 97,116,105,111,110,117,114,108, 62,  0,  0,  0
		, 17,113,108,105,115,116, 60,115,116, 97,116,105,111,110,117,114,108, 62,  0,  0,  0
		,  0,  0,  0,  0,  0,  0,  0,  0,  5,113,108,105,115,116,  0,  0,  0,  1,  0,  0,  0
		, 10,115,116, 97,116,105,111,110,117,114,108, 18,  0,  0,  0, 15,113,118,101, 99,116
		,111,114, 60,117,105,110,116, 51, 50, 62,  0,  0,  0, 15,113,118,101, 99,116,111,114
		, 60,117,105,110,116, 51, 50, 62,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,113
		,118,101, 99,116,111,114,  0,  0,  0,  1,  0,  0,  0,  6,117,105,110,116, 51, 50
	};
}

void AutoMmDirectStreamDDLDeclarations::Register() {
	g_ddlAutoMmDirectStream.GetValue().RegisterIfRequired();
}

void AutoMmDirectStreamDDLDeclarations::Init() {
	//Skip Class HostMigrationNotifier
	//Skip Class IDGenerator
	//Skip Class PromotionReferee
	//Skip Class RootDO
	//Skip Class Session
	//Skip Class Station
	//Owner Class 0 Total Class 6
}

void AutoMmDirectStreamDDLDeclarations::RegisterParseTree() {
	DOCoreDDLDeclarations::RegisterParseTree();
	HostMigrationExtDDLDeclarations::RegisterParseTree();
	OnlineCoreDDLDeclarations::RegisterParseTree();
	OnlineCoreDDLDeclarations::RegisterParseTree();
	DynamicRunTimeInterface::RegisterParseTree(AutoMmDirectStream_DDF::s_byParseTree,272);
}


void InitDOClasses() {
	ProcessAuthentication::SetTitle(NEX_T("AutoMmDirectStream"));
	DOCoreDDLDeclarations::Register();
	HostMigrationExtDDLDeclarations::Register();
	OnlineCoreDDLDeclarations::Register();
	AutoMmDirectStreamDDLDeclarations::Register();
}

END_NAMESPACE_NEX
