#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/NetZ.h>
#include <NetZ/NetZ.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
BEGIN_NAMESPACE_NEX
class OSDK_CLIENT DATASET(Boundaries): public DataSet {
public:
	DDLTYPE(byte)::CPPType _mRevision;

/* ************** Begin the dataset definitions ************** */
	/* --- You can access these values directly. --- */

	//define float minX
	DDLTYPE(float)::CPPType minX;

	//define float maxX
	DDLTYPE(float)::CPPType maxX;

	//define float minY
	DDLTYPE(float)::CPPType minY;

	//define float maxY
	DDLTYPE(float)::CPPType maxY;

/* ************** End the dataset definitions ************** */

	qUnsignedInt32 GetRevision() { return _mRevision; }

	void InitVariables() {
		_mRevision=0;
	}

	_DS_GENERAL_DECLARATIONS(Boundaries)
	DATASET(Boundaries)( const DATASET(Boundaries) &oOther ):DataSet() ,
		_mRevision(oOther._mRevision), 
		minX(oOther.minX), 
		maxX(oOther.maxX), 
		minY(oOther.minY), 
		maxY(oOther.maxY)
	{
	}

	_DS_ASSIGN_OPERATOR(Boundaries){
		_DS_COPYDATASET_VAR(_mRevision);
		_DS_COPYDATASET_VAR(minX);
		_DS_COPYDATASET_VAR(maxX);
		_DS_COPYDATASET_VAR(minY);
		_DS_COPYDATASET_VAR(maxY);
	}

	_DS_EQUAL_OPERATOR(Boundaries){
		_DS_EQUAL_VAR(_mRevision);
		_DS_EQUAL_VAR(minX);
		_DS_EQUAL_VAR(maxX);
		_DS_EQUAL_VAR(minY);
		_DS_EQUAL_VAR(maxY);
		return true;
	}

	_DS_TMPL_EQUAL_OPERATOR(Boundaries)
	void ExtractFrom(Message* pMsg) {
		_MSG_EXTRACT_VARIABLE(T_mRevision, _mRevision);
		_MSG_EXTRACT_VARIABLE(TminX,minX);
		_MSG_EXTRACT_VARIABLE(TmaxX,maxX);
		_MSG_EXTRACT_VARIABLE(TminY,minY);
		_MSG_EXTRACT_VARIABLE(TmaxY,maxY);
	}



	DATASET_VALID_REVISION_DEF(minX, 0);
	qBool DATASET_ISVALID(minX){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(maxX, 0);
	qBool DATASET_ISVALID(maxX){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(minY, 0);
	qBool DATASET_ISVALID(minY){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(maxY, 0);
	qBool DATASET_ISVALID(maxY){ return true; /* The revision is 0. Always true */}

protected:
private:
	typedef DDLTYPE(byte) T_mRevision;
	typedef DDLTYPE(float) TminX;
	typedef DDLTYPE(float) TmaxX;
	typedef DDLTYPE(float) TminY;
	typedef DDLTYPE(float) TmaxY;
};

#define _DSDECL_Boundaries Boundaries

END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
