#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/NetZ.h>
#include <NetZ/NetZ.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
BEGIN_NAMESPACE_NEX
class OSDK_CLIENT DATASET(Position): public DataSet {
public:
	DDLTYPE(byte)::CPPType _mRevision;

/* ************** Begin the dataset definitions ************** */
	/* --- You can access these values directly. --- */

	//define float x
	DDLTYPE(float)::CPPType x;

	//define float y
	DDLTYPE(float)::CPPType y;

/* ************** End the dataset definitions ************** */

	qUnsignedInt32 GetRevision() { return _mRevision; }

	void InitVariables() {
		_mRevision=0;
	}

	_DS_GENERAL_DECLARATIONS(Position)
	DATASET(Position)( const DATASET(Position) &oOther ):DataSet() ,
		_mRevision(oOther._mRevision), 
		x(oOther.x), 
		y(oOther.y)
	{
	}

	_DS_ASSIGN_OPERATOR(Position){
		_DS_COPYDATASET_VAR(_mRevision);
		_DS_COPYDATASET_VAR(x);
		_DS_COPYDATASET_VAR(y);
	}

	_DS_EQUAL_OPERATOR(Position){
		_DS_EQUAL_VAR(_mRevision);
		_DS_EQUAL_VAR(x);
		_DS_EQUAL_VAR(y);
		return true;
	}

	_DS_TMPL_EQUAL_OPERATOR(Position)
	void ExtractFrom(Message* pMsg) {
		_MSG_EXTRACT_VARIABLE(T_mRevision, _mRevision);
		_MSG_EXTRACT_VARIABLE(Tx,x);
		_MSG_EXTRACT_VARIABLE(Ty,y);
	}



	DATASET_VALID_REVISION_DEF(x, 0);
	qBool DATASET_ISVALID(x){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(y, 0);
	qBool DATASET_ISVALID(y){ return true; /* The revision is 0. Always true */}

protected:
private:
	typedef DDLTYPE(byte) T_mRevision;
	typedef DDLTYPE(float) Tx;
	typedef DDLTYPE(float) Ty;
};

#define _DSDECL_Position Position

END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
