// *---------------------------------------------------------------------------*
//  (C) Copyright 1998-2018, Technologies Quazal Inc.  All rights reserved.
//  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.
//
//  Copyright (C)2011-2018 Nintendo  All rights reserved.
//
//  These coded instructions, statements, and computer programs contain
//  proprietary information of Nintendo and/or its licensors and are 
//  protected by national and international copyright laws.
//  They may not be disclosed to third parties or copied or duplicated
//  in any form, in whole or in part, without the prior written consent
//  of Nintendo.
//  The content herein is highly confidential and should be handled
//  accordingly.
// *---------------------------------------------------------------------------*

#ifndef _DOCoreTypes_DDL_
#define _DOCoreTypes_DDL_

////////////////////////////////////////////////////////////////////////////////
// Important Note: The following built-in types must also be defined and in sync
// with the CompilerDriver::DeclareBuiltInTypes method in the location:
//
// \src\ddl\CompilerDriver\CompilerDriver.cpp file
////////////////////////////////////////////////////////////////////////////////

// These types are specific to Net-Z

type dohandle;

type membervector<T>;
type memberlist<T>;
type memberqueue<T>;

#endif
