#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include "Range.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "RootDO.h"
#include "DOCoreDDF.h"
BEGIN_NAMESPACE_NEX
class IDGenerator;
END_NAMESPACE_NEX
BEGIN_NAMESPACE_NEX

class OSDK_API DOCLASS(IDGenerator): public RootDO {
/*
********* Define of calling methods from IDGenerator class
qBool CallRequestIDRangeFromMaster(RMCContext* pContext, const DDLTYPE(uint32)::CPPType& uiNbRequestedID, DDLTYPE(uint32)::CPPType* iFirst, DDLTYPE(uint32)::CPPType* iLast);


********* Need implement called methods in IDGenerator class

void IDGenerator::RequestIDRangeFromMaster(const DDLTYPE(uint32)::CPPType& uiNbRequestedID, DDLTYPE(uint32)::CPPType* iFirst, DDLTYPE(uint32)::CPPType* iLast) {
	//Implementation of the RMC goes here
}

********* */
/********** Define of Datasets
	Range	m_oMasterRange;
**********/

public:
	_DO_DeclareGeneralMethods(IDGenerator)

	_DO_DeclareSetID()
	_DO_DeclareRMCStub(RequestIDRangeFromMaster, (RMCContext* pCallContext, const DDLTYPE(uint32)::CPPType& uiNbRequestedID, DDLTYPE(uint32)::CPPType* iFirst, DDLTYPE(uint32)::CPPType* iLast))
	_DSDECL_Range	m_oMasterRange;
	_PR_bootstrapdo_pudecl()
	_PR_globaldo_pudecl()
	_PR_coredo_pudecl()
protected:
	_PR_bootstrapdo_prdecl()
	_PR_globaldo_prdecl()
	_PR_coredo_prdecl()
protected:


private:
typedef DDLTYPE(uint32) TRequestIDRangeFromMaster_uiNbRequestedID;
typedef DDLTYPE(uint32) TRequestIDRangeFromMaster_iFirst;
typedef DDLTYPE(uint32) TRequestIDRangeFromMaster_iLast;
};
END_NAMESPACE_NEX
BEGIN_NAMESPACE_NEX

class OSDK_API _DOC_IDGenerator: public DOClassTemplate<DOCLASS(IDGenerator), _DOC_RootDO> {
public:
	_DOC_DeclareGeneralMethods(IDGenerator)
	_DOC_DeclareRMC(RequestIDRangeFromMaster)
};
END_NAMESPACE_NEX
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
