#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include "SessionState.h"
#include "UserDefinedState.h"
#include "SessionInfo.h"
#include "SharedSessionDescription.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "RootDO.h"
#include "DOCoreDDF.h"
BEGIN_NAMESPACE_NEX
class Session;
END_NAMESPACE_NEX
BEGIN_NAMESPACE_NEX

class OSDK_API DOCLASS(Session): public RootDO {
/*
********* Define of calling methods from Session class
qBool CallSynchronizeTermination(RMCContext* pContext, DDLTYPE(bool)::CPPType* pResult, const DDLTYPE(dohandle)::CPPType& hLeavingStation);
qBool CallRetrieveURLs(RMCContext* pContext, const DDLTYPE(dohandle)::CPPType& hStation, DDLTYPE(qlist)< DDLTYPE(stationurl) >::CPPType* lstURLs);
qBool CallSyncStationList(RMCContext* pContext, const DDLTYPE(qvector)< DDLTYPE(uint32) >::CPPType& stationHandleValues);
qBool CallDestroySessionFromRemote(RMCContext* pContext);
qBool CallDestroySessionWithMasterCheckFromRemote(RMCContext* pContext);


********* Need implement called methods in Session class


DDLTYPE(bool)::CPPType Session::SynchronizeTermination(const DDLTYPE(dohandle)::CPPType& hLeavingStation) {
	//Implementation of the RMC goes here
}


void Session::RetrieveURLs(const DDLTYPE(dohandle)::CPPType& hStation, DDLTYPE(qlist)< DDLTYPE(stationurl) >::CPPType* lstURLs) {
	//Implementation of the RMC goes here
}


void Session::SyncStationList(const DDLTYPE(qvector)< DDLTYPE(uint32) >::CPPType& stationHandleValues) {
	//Implementation of the RMC goes here
}


void Session::DestroySessionFromRemote() {
	//Implementation of the RMC goes here
}


void Session::DestroySessionWithMasterCheckFromRemote() {
	//Implementation of the RMC goes here
}

********* */
/********** Define of Datasets
	SessionState	m_dsSessionState;
	UserDefinedState	m_dsUserDefinedState;
	SessionInfo	m_dsSessionInfo;
	SharedSessionDescription	m_dsSessionDiscoveryDescription;
**********/

public:
	_DO_DeclareGeneralMethods(Session)

	_DO_DeclareSetID()
	_DO_DeclareRMCStub(SynchronizeTermination, (RMCContext* pCallContext, DDLTYPE(bool)::CPPType* pResult, const DDLTYPE(dohandle)::CPPType& hLeavingStation))
	_DO_DeclareRMCStub(RetrieveURLs, (RMCContext* pCallContext, const DDLTYPE(dohandle)::CPPType& hStation, DDLTYPE(qlist)< DDLTYPE(stationurl) >::CPPType* lstURLs))
	_DO_DeclareRMCStub(SyncStationList, (RMCContext* pCallContext, const DDLTYPE(qvector)< DDLTYPE(uint32) >::CPPType& stationHandleValues))
	_DO_DeclareRMCStub(DestroySessionFromRemote, (RMCContext* pCallContext))
	_DO_DeclareRMCStub(DestroySessionWithMasterCheckFromRemote, (RMCContext* pCallContext))
	_DSDECL_SessionState	m_dsSessionState;
	_DSDECL_UserDefinedState	m_dsUserDefinedState;
	_DSDECL_SessionInfo	m_dsSessionInfo;
	_DSDECL_SharedSessionDescription	m_dsSessionDiscoveryDescription;
	_PR_bootstrapdo_pudecl()
	_PR_globaldo_pudecl()
	_PR_coredo_pudecl()
protected:
	_PR_bootstrapdo_prdecl()
	_PR_globaldo_prdecl()
	_PR_coredo_prdecl()
protected:


private:
typedef DDLTYPE(bool) TSynchronizeTermination_result;
typedef DDLTYPE(dohandle) TSynchronizeTermination_hLeavingStation;
typedef DDLTYPE(dohandle) TRetrieveURLs_hStation;
typedef DDLTYPE(qlist)< DDLTYPE(stationurl) > TRetrieveURLs_lstURLs;
typedef DDLTYPE(qvector)< DDLTYPE(uint32) > TSyncStationList_stationHandleValues;
};
END_NAMESPACE_NEX
BEGIN_NAMESPACE_NEX

class OSDK_API _DOC_Session: public DOClassTemplate<DOCLASS(Session), _DOC_RootDO> {
public:
	_DOC_DeclareGeneralMethods(Session)
	_DOC_DeclareRMC(SynchronizeTermination)
	_DOC_DeclareRMC(RetrieveURLs)
	_DOC_DeclareRMC(SyncStationList)
	_DOC_DeclareRMC(DestroySessionFromRemote)
	_DOC_DeclareRMC(DestroySessionWithMasterCheckFromRemote)
};
END_NAMESPACE_NEX
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
