#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
BEGIN_NAMESPACE_NEX
class OSDK_API DATASET(StationState): public DataSet {
public:
	DDLTYPE(byte)::CPPType _mRevision;

/* ************** Begin the dataset definitions ************** */
	/* --- You can access these values directly. --- */

	//define uint16 m_ui16State
	DDLTYPE(uint16)::CPPType m_ui16State;

/* ************** End the dataset definitions ************** */

	qUnsignedInt32 GetRevision() { return _mRevision; }

	void InitVariables() {
		_mRevision=0;
	}

	_DS_GENERAL_DECLARATIONS(StationState)
	DATASET(StationState)( const DATASET(StationState) &oOther ):DataSet() ,
		_mRevision(oOther._mRevision), 
		m_ui16State(oOther.m_ui16State)
	{
	}

	_DS_ASSIGN_OPERATOR(StationState){
		_DS_COPYDATASET_VAR(_mRevision);
		_DS_COPYDATASET_VAR(m_ui16State);
	}

	_DS_EQUAL_OPERATOR(StationState){
		_DS_EQUAL_VAR(_mRevision);
		_DS_EQUAL_VAR(m_ui16State);
		return true;
	}

	_DS_TMPL_EQUAL_OPERATOR(StationState)
	void ExtractFrom(Message* pMsg) {
		_MSG_EXTRACT_VARIABLE(T_mRevision, _mRevision);
		_MSG_EXTRACT_VARIABLE(Tm_ui16State,m_ui16State);
	}



	DATASET_VALID_REVISION_DEF(m_ui16State, 0);
	qBool DATASET_ISVALID(m_ui16State){ return true; /* The revision is 0. Always true */}

protected:
private:
	typedef DDLTYPE(byte) T_mRevision;
	typedef DDLTYPE(uint16) Tm_ui16State;
};

#define _DSDECL_StationState StationState

END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
