﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2018, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2018 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#pragma once

#include <OnlineCore/src/Platform/Core/PlatformExports.h>
#include <NetZ/src/Core/DOCore/SessionDescription.h>

#include <OnlineCore/src/PluginExports.h>

#include <OnlineCore/src/Core/Chrono.h>
#include <OnlineCore/src/Core/Pacer.h>
#include <OnlineCore/src/Platform/Core/PerfCounter.h>
#include <OnlineCore/src/Core/UtilitySubsystem.h>


//#include <OnlineCore/src/Core/CoreExports.h>

#include <OnlineCore/src/Core/LocalClock.h>

#include <OnlineCore/src/Core/MultipleLogDevice.h>

#include <OnlineCore/src/ParseTree/Exports.h>
#include <NetZ/src/Core/DOCore/ObjDupExport.h>

// Special exports... cannot be part of ObjDupExports, since they'd be
// included with every generated core classes - and cause circular
// include files.

#include <NetZ/src/Extensions/PHBDR/PHBDRExports.h>

#include <NetZ/src/Core/SessionClock/SessionClock.h>

#ifndef NO_USING_QUAZAL_DIRECTIVE
USING_NAMESPACE_NEX
#endif

#ifndef NO_USING_QUAZAL_BASIC_TYPE_DIRECTIVES
// Bring the basic types into the main namespace
using NAMESPACE_NEX qBool;
using NAMESPACE_NEX qByte;
using NAMESPACE_NEX qInt16;
using NAMESPACE_NEX qUnsignedInt16;
using NAMESPACE_NEX qInt32;
using NAMESPACE_NEX qUnsignedInt32;
using NAMESPACE_NEX qInt;
using NAMESPACE_NEX qUnsignedInt;
using NAMESPACE_NEX qFloat;
using NAMESPACE_NEX qReal;
using NAMESPACE_NEX qDouble;
using NAMESPACE_NEX qChar8;

using NAMESPACE_NEX qInt64;
using NAMESPACE_NEX qUnsignedInt64;

using NAMESPACE_NEX qChar16;
using NAMESPACE_NEX qChar;
#endif

