﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2018, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2018 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#pragma once


#if defined(CAFE_TARGET)
#include <sdk_ver.h> // For CAFE_OS_SDK_VERSION
#if CAFE_OS_SDK_VERSION >= 21003
#include <private/curl/curl_mw.h>
#define nex_curl_easy_init mw_curl_easy_init
#else
#define nex_curl_easy_init curl_easy_init
#endif // CAFE_OS_SDK_VERSION >= 21003
#else
#define nex_curl_easy_init curl_easy_init
#endif // defined(CAFE_TARGET)

