﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2018, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2018 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#pragma once

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>

BEGIN_NAMESPACE_NEX

enum NATTraversalResult
{
    NATTraversalResult_Initial = 0, /* 未定義・DBデフォルト */
    NATTraversalResult_Success = 100, /* 成功 */
    NATTraversalResult_SuccessWithRelay = 110, /* 中継サーバーを使用して成功 */
    NATTraversalResult_NotProbeRequestReceived = 200, /* ProbeRequestに対する応答を受け取れなかった */
    NATTraversalResult_NotProbeResponseReceived = 201, /* ProbeResponseが受け取れなかった */
    NATTraversalResult_NotProbeResponseReceivedWithRelay = 210, /* 中継サーバを使用してもProbeResponseが受け取れなかった */
    NATTraversalResult_Unknwon = 999 /* Unknown 該当のprobeが存在しない、または処理中 */
};


END_NAMESPACE_NEX

