#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "RendezVous/Core/src/Common/ProtocolFoundationProperties.h"
#include "RendezVous/Core/src/Common/Data.h"

BEGIN_NAMESPACE_NEX
class PrivateData;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(PrivateData): public Data {
public:
    DDLCLASS(PrivateData)():_mRevision_PrivateData(0)
     {};
    DDLCLASS(PrivateData)(const DDLCLASS(PrivateData) &oOther):
        Data(oOther),
        _mRevision_PrivateData(oOther._mRevision_PrivateData)
    {
    }
    virtual ~DDLCLASS(PrivateData)() {};
    const DDLCLASS(PrivateData) &operator=(const DDLCLASS(PrivateData) &oOther);
    qBool operator==(const DDLCLASS(PrivateData) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(PrivateData) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(PrivateData) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(PrivateData) *pValue);
    qByte _mRevision_PrivateData;
    qByte GetClassRevision_PrivateData() const {return _mRevision_PrivateData;}
    void SetClassRevision_PrivateData(qByte revision) {_mRevision_PrivateData=revision;}
    static qByte GetKnownMaxClassRevision_PrivateData() {return 0;}
    public:
	_PR_dataclass_methods_pudecl(PrivateData)
    protected:
	_PR_dataclass_methods_prdecl()
};


class DDLTYPE(PrivateData): public DDLType {
public:
    typedef PrivateData CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(PrivateData)& oPrivateData) {
        DDLCLASS(PrivateData)::Add(pMessageToSend,oPrivateData);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(PrivateData)* pPrivateDataToRefresh) {
        DDLCLASS(PrivateData)::Extract(pReceivedMessage,pPrivateDataToRefresh);
    }
};

class PrivateData: public DDLCLASS(PrivateData) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
