#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "RendezVous/Core/src/Common/ProtocolFoundationProperties.h"
#include "RendezVous/Core/src/Common/Data.h"

BEGIN_NAMESPACE_NEX
class PublicData;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(PublicData): public Data {
public:
    DDLCLASS(PublicData)():_mRevision_PublicData(0)
     {};
    DDLCLASS(PublicData)(const DDLCLASS(PublicData) &oOther):
        Data(oOther),
        _mRevision_PublicData(oOther._mRevision_PublicData)
    {
    }
    virtual ~DDLCLASS(PublicData)() {};
    const DDLCLASS(PublicData) &operator=(const DDLCLASS(PublicData) &oOther);
    qBool operator==(const DDLCLASS(PublicData) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(PublicData) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(PublicData) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(PublicData) *pValue);
    qByte _mRevision_PublicData;
    qByte GetClassRevision_PublicData() const {return _mRevision_PublicData;}
    void SetClassRevision_PublicData(qByte revision) {_mRevision_PublicData=revision;}
    static qByte GetKnownMaxClassRevision_PublicData() {return 0;}
    public:
	_PR_dataclass_methods_pudecl(PublicData)
    protected:
	_PR_dataclass_methods_prdecl()
};


class DDLTYPE(PublicData): public DDLType {
public:
    typedef PublicData CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(PublicData)& oPublicData) {
        DDLCLASS(PublicData)::Add(pMessageToSend,oPublicData);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(PublicData)* pPublicDataToRefresh) {
        DDLCLASS(PublicData)::Extract(pReceivedMessage,pPublicDataToRefresh);
    }
};

class PublicData: public DDLCLASS(PublicData) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
