﻿/*---------------------------------------------------------------------------*
  Copyright (C)2011-2018 Nintendo Co., Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/

#pragma once

BEGIN_NAMESPACE_NEX

/*!
 @internal

 @brief    システム内部用ブロックリスト種別を定義する名前空間です。
 */
#ifdef SWIG
class BlockListTypes
{
public:
#else
namespace BlockListTypes
{
#endif

    /*!
     @internal

     @brief    システム内部用ブロックリスト種別を定義する列挙子です。

     */
    enum BlockListTypes
    {
        CTR_BLOCKLIST = 0,            //!< CTR_BLOCKLIST
        WUP_BLOCKLIST = 1,            //!< WUP_BLOCKLIST
        FORCE_DISABLE_BLOCKLIST = 2,  //!< FORCE_DISABLE_BLOCKLIST
        AA_BLOCKLIST = 3,             //!< AA_BLOCKLIST
        LAST = 255          // no comma
    };

#ifdef SWIG
};
#else
}
#endif

END_NAMESPACE_NEX
