﻿/*---------------------------------------------------------------------------*
  Copyright (C)2011-2018 Nintendo Co., Ltd.  All rights reserved.
 
  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/

#pragma once

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>

BEGIN_NAMESPACE_NEX

/*!
    @brief データコード機能に関する定数が定義された名前空間です。
*/
namespace DataCodeConstants
{
/// 64bit データコードの最大文字列長です。
static const size_t MAX_DATACODE64_STR_LEN = 14; // LOG(18,446,744,073,709,551,615, 28) = 13.3
}

END_NAMESPACE_NEX

