#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "RendezVous/Core/src/Common/ProtocolFoundationTypes.h"
#include "RendezVous/Core/src/Common/Data.h"

BEGIN_NAMESPACE_NEX
class ValidateAndRequestTicketParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ValidateAndRequestTicketParam): public RootObject {
public:
    DDLCLASS(ValidateAndRequestTicketParam)():_mRevision_ValidateAndRequestTicketParam(0)
     {};
    DDLCLASS(ValidateAndRequestTicketParam)(const DDLCLASS(ValidateAndRequestTicketParam) &oOther):
        RootObject(oOther),
        _mRevision_ValidateAndRequestTicketParam(oOther._mRevision_ValidateAndRequestTicketParam),
        platformType(oOther.platformType),
        userName(oOther.userName),
        extraData(oOther.extraData),
        ignoreApiVersionCheck(oOther.ignoreApiVersionCheck),
        apiVersionGeneral(oOther.apiVersionGeneral),
        apiVersionCustom(oOther.apiVersionCustom)
    {
    }
    virtual ~DDLCLASS(ValidateAndRequestTicketParam)() {};
    const DDLCLASS(ValidateAndRequestTicketParam) &operator=(const DDLCLASS(ValidateAndRequestTicketParam) &oOther);
    qBool operator==(const DDLCLASS(ValidateAndRequestTicketParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ValidateAndRequestTicketParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ValidateAndRequestTicketParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ValidateAndRequestTicketParam) *pValue);
    qByte _mRevision_ValidateAndRequestTicketParam;
    qByte GetClassRevision_ValidateAndRequestTicketParam() const {return _mRevision_ValidateAndRequestTicketParam;}
    void SetClassRevision_ValidateAndRequestTicketParam(qByte revision) {_mRevision_ValidateAndRequestTicketParam=revision;}
    static qByte GetKnownMaxClassRevision_ValidateAndRequestTicketParam() {return 0;}
    DDLTYPE(uint32)::CPPType platformType;
    NEX_CLASS_VALID_REVISION_DEF(platformType, 0);
    qBool NEX_CLASS_ISVALID(platformType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType userName;
    NEX_CLASS_VALID_REVISION_DEF(userName, 0);
    qBool NEX_CLASS_ISVALID(userName) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(any)< CLASSMETATYPE(Data), DDLTYPE(string) >::CPPType extraData;
    NEX_CLASS_VALID_REVISION_DEF(extraData, 0);
    qBool NEX_CLASS_ISVALID(extraData) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(bool)::CPPType ignoreApiVersionCheck;
    NEX_CLASS_VALID_REVISION_DEF(ignoreApiVersionCheck, 0);
    qBool NEX_CLASS_ISVALID(ignoreApiVersionCheck) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType apiVersionGeneral;
    NEX_CLASS_VALID_REVISION_DEF(apiVersionGeneral, 0);
    qBool NEX_CLASS_ISVALID(apiVersionGeneral) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType apiVersionCustom;
    NEX_CLASS_VALID_REVISION_DEF(apiVersionCustom, 0);
    qBool NEX_CLASS_ISVALID(apiVersionCustom) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(ValidateAndRequestTicketParam): public DDLType {
public:
    typedef ValidateAndRequestTicketParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ValidateAndRequestTicketParam)& oValidateAndRequestTicketParam) {
        DDLCLASS(ValidateAndRequestTicketParam)::Add(pMessageToSend,oValidateAndRequestTicketParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ValidateAndRequestTicketParam)* pValidateAndRequestTicketParamToRefresh) {
        DDLCLASS(ValidateAndRequestTicketParam)::Extract(pReceivedMessage,pValidateAndRequestTicketParamToRefresh);
    }
};

class ValidateAndRequestTicketParam: public DDLCLASS(ValidateAndRequestTicketParam) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
