#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "DataStorePermission.h"

BEGIN_NAMESPACE_NEX
class DataStoreChangeMetaCompareParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreChangeMetaCompareParam): public RootObject {
public:
    DDLCLASS(DataStoreChangeMetaCompareParam)():_mRevision_DataStoreChangeMetaCompareParam(0)
    , tags(0)     {};
    DDLCLASS(DataStoreChangeMetaCompareParam)(const DDLCLASS(DataStoreChangeMetaCompareParam) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreChangeMetaCompareParam(oOther._mRevision_DataStoreChangeMetaCompareParam),
        comparisonFlag(oOther.comparisonFlag),
        name(oOther.name),
        permission(oOther.permission),
        delPermission(oOther.delPermission),
        period(oOther.period),
        metaBinary(oOther.metaBinary),
        tags(oOther.tags),
        referredCnt(oOther.referredCnt),
        dataType(oOther.dataType),
        status(oOther.status)
    {
    }
    virtual ~DDLCLASS(DataStoreChangeMetaCompareParam)() {};
    const DDLCLASS(DataStoreChangeMetaCompareParam) &operator=(const DDLCLASS(DataStoreChangeMetaCompareParam) &oOther);
    qBool operator==(const DDLCLASS(DataStoreChangeMetaCompareParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreChangeMetaCompareParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreChangeMetaCompareParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreChangeMetaCompareParam) *pValue);
    qByte _mRevision_DataStoreChangeMetaCompareParam;
    qByte GetClassRevision_DataStoreChangeMetaCompareParam() const {return _mRevision_DataStoreChangeMetaCompareParam;}
    void SetClassRevision_DataStoreChangeMetaCompareParam(qByte revision) {_mRevision_DataStoreChangeMetaCompareParam=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreChangeMetaCompareParam() {return 0;}
    DDLTYPE(uint32)::CPPType comparisonFlag;
    NEX_CLASS_VALID_REVISION_DEF(comparisonFlag, 0);
    qBool NEX_CLASS_ISVALID(comparisonFlag) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType name;
    NEX_CLASS_VALID_REVISION_DEF(name, 0);
    qBool NEX_CLASS_ISVALID(name) const { return true; /* The revision is 0. Always true */}
    DataStorePermission permission;
    NEX_CLASS_VALID_REVISION_DEF(permission, 0);
    qBool NEX_CLASS_ISVALID(permission) const { return true; /* The revision is 0. Always true */}
    DataStorePermission delPermission;
    NEX_CLASS_VALID_REVISION_DEF(delPermission, 0);
    qBool NEX_CLASS_ISVALID(delPermission) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType period;
    NEX_CLASS_VALID_REVISION_DEF(period, 0);
    qBool NEX_CLASS_ISVALID(period) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qBuffer)::CPPType metaBinary;
    NEX_CLASS_VALID_REVISION_DEF(metaBinary, 0);
    qBool NEX_CLASS_ISVALID(metaBinary) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(string) >::CPPType tags;
    NEX_CLASS_VALID_REVISION_DEF(tags, 0);
    qBool NEX_CLASS_ISVALID(tags) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType referredCnt;
    NEX_CLASS_VALID_REVISION_DEF(referredCnt, 0);
    qBool NEX_CLASS_ISVALID(referredCnt) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType dataType;
    NEX_CLASS_VALID_REVISION_DEF(dataType, 0);
    qBool NEX_CLASS_ISVALID(dataType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType status;
    NEX_CLASS_VALID_REVISION_DEF(status, 0);
    qBool NEX_CLASS_ISVALID(status) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStoreChangeMetaCompareParam): public DDLType {
public:
    typedef DataStoreChangeMetaCompareParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreChangeMetaCompareParam)& oDataStoreChangeMetaCompareParam) {
        DDLCLASS(DataStoreChangeMetaCompareParam)::Add(pMessageToSend,oDataStoreChangeMetaCompareParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreChangeMetaCompareParam)* pDataStoreChangeMetaCompareParamToRefresh) {
        DDLCLASS(DataStoreChangeMetaCompareParam)::Extract(pReceivedMessage,pDataStoreChangeMetaCompareParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
