#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreGetNewArrivedNotificationsParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreGetNewArrivedNotificationsParam): public RootObject {
public:
    DDLCLASS(DataStoreGetNewArrivedNotificationsParam)():_mRevision_DataStoreGetNewArrivedNotificationsParam(0)
     {};
    DDLCLASS(DataStoreGetNewArrivedNotificationsParam)(const DDLCLASS(DataStoreGetNewArrivedNotificationsParam) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreGetNewArrivedNotificationsParam(oOther._mRevision_DataStoreGetNewArrivedNotificationsParam),
        lastNotificationId(oOther.lastNotificationId),
        limit(oOther.limit)
    {
    }
    virtual ~DDLCLASS(DataStoreGetNewArrivedNotificationsParam)() {};
    const DDLCLASS(DataStoreGetNewArrivedNotificationsParam) &operator=(const DDLCLASS(DataStoreGetNewArrivedNotificationsParam) &oOther);
    qBool operator==(const DDLCLASS(DataStoreGetNewArrivedNotificationsParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreGetNewArrivedNotificationsParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreGetNewArrivedNotificationsParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreGetNewArrivedNotificationsParam) *pValue);
    qByte _mRevision_DataStoreGetNewArrivedNotificationsParam;
    qByte GetClassRevision_DataStoreGetNewArrivedNotificationsParam() const {return _mRevision_DataStoreGetNewArrivedNotificationsParam;}
    void SetClassRevision_DataStoreGetNewArrivedNotificationsParam(qByte revision) {_mRevision_DataStoreGetNewArrivedNotificationsParam=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreGetNewArrivedNotificationsParam() {return 0;}
    DDLTYPE(uint64)::CPPType lastNotificationId;
    NEX_CLASS_VALID_REVISION_DEF(lastNotificationId, 0);
    qBool NEX_CLASS_ISVALID(lastNotificationId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType limit;
    NEX_CLASS_VALID_REVISION_DEF(limit, 0);
    qBool NEX_CLASS_ISVALID(limit) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(DataStoreGetNewArrivedNotificationsParam): public DDLType {
public:
    typedef DataStoreGetNewArrivedNotificationsParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreGetNewArrivedNotificationsParam)& oDataStoreGetNewArrivedNotificationsParam) {
        DDLCLASS(DataStoreGetNewArrivedNotificationsParam)::Add(pMessageToSend,oDataStoreGetNewArrivedNotificationsParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreGetNewArrivedNotificationsParam)* pDataStoreGetNewArrivedNotificationsParamToRefresh) {
        DDLCLASS(DataStoreGetNewArrivedNotificationsParam)::Extract(pReceivedMessage,pDataStoreGetNewArrivedNotificationsParamToRefresh);
    }
};

class DataStoreGetNewArrivedNotificationsParam: public DDLCLASS(DataStoreGetNewArrivedNotificationsParam) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
