#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStorePermission;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStorePermission): public RootObject {
public:
    DDLCLASS(DataStorePermission)():_mRevision_DataStorePermission(0)
    , recipientIds(0)     {};
    DDLCLASS(DataStorePermission)(const DDLCLASS(DataStorePermission) &oOther):
        RootObject(oOther),
        _mRevision_DataStorePermission(oOther._mRevision_DataStorePermission),
        permission(oOther.permission),
        recipientIds(oOther.recipientIds)
    {
    }
    virtual ~DDLCLASS(DataStorePermission)() {};
    const DDLCLASS(DataStorePermission) &operator=(const DDLCLASS(DataStorePermission) &oOther);
    qBool operator==(const DDLCLASS(DataStorePermission) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStorePermission) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStorePermission) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStorePermission) *pValue);
    qByte _mRevision_DataStorePermission;
    qByte GetClassRevision_DataStorePermission() const {return _mRevision_DataStorePermission;}
    void SetClassRevision_DataStorePermission(qByte revision) {_mRevision_DataStorePermission=revision;}
    static qByte GetKnownMaxClassRevision_DataStorePermission() {return 0;}
    DDLTYPE(byte)::CPPType permission;
    NEX_CLASS_VALID_REVISION_DEF(permission, 0);
    qBool NEX_CLASS_ISVALID(permission) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(uint32) >::CPPType recipientIds;
    NEX_CLASS_VALID_REVISION_DEF(recipientIds, 0);
    qBool NEX_CLASS_ISVALID(recipientIds) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStorePermission): public DDLType {
public:
    typedef DataStorePermission CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStorePermission)& oDataStorePermission) {
        DDLCLASS(DataStorePermission)::Add(pMessageToSend,oDataStorePermission);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStorePermission)* pDataStorePermissionToRefresh) {
        DDLCLASS(DataStorePermission)::Extract(pReceivedMessage,pDataStorePermissionToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
