#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStorePersistenceInitParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStorePersistenceInitParam): public RootObject {
public:
    DDLCLASS(DataStorePersistenceInitParam)():_mRevision_DataStorePersistenceInitParam(0)
     {};
    DDLCLASS(DataStorePersistenceInitParam)(const DDLCLASS(DataStorePersistenceInitParam) &oOther):
        RootObject(oOther),
        _mRevision_DataStorePersistenceInitParam(oOther._mRevision_DataStorePersistenceInitParam),
        persistenceSlotId(oOther.persistenceSlotId),
        deleteLastObject(oOther.deleteLastObject)
    {
    }
    virtual ~DDLCLASS(DataStorePersistenceInitParam)() {};
    const DDLCLASS(DataStorePersistenceInitParam) &operator=(const DDLCLASS(DataStorePersistenceInitParam) &oOther);
    qBool operator==(const DDLCLASS(DataStorePersistenceInitParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStorePersistenceInitParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStorePersistenceInitParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStorePersistenceInitParam) *pValue);
    qByte _mRevision_DataStorePersistenceInitParam;
    qByte GetClassRevision_DataStorePersistenceInitParam() const {return _mRevision_DataStorePersistenceInitParam;}
    void SetClassRevision_DataStorePersistenceInitParam(qByte revision) {_mRevision_DataStorePersistenceInitParam=revision;}
    static qByte GetKnownMaxClassRevision_DataStorePersistenceInitParam() {return 0;}
    DDLTYPE(uint16)::CPPType persistenceSlotId;
    NEX_CLASS_VALID_REVISION_DEF(persistenceSlotId, 0);
    qBool NEX_CLASS_ISVALID(persistenceSlotId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(bool)::CPPType deleteLastObject;
    NEX_CLASS_VALID_REVISION_DEF(deleteLastObject, 0);
    qBool NEX_CLASS_ISVALID(deleteLastObject) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStorePersistenceInitParam): public DDLType {
public:
    typedef DataStorePersistenceInitParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStorePersistenceInitParam)& oDataStorePersistenceInitParam) {
        DDLCLASS(DataStorePersistenceInitParam)::Add(pMessageToSend,oDataStorePersistenceInitParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStorePersistenceInitParam)* pDataStorePersistenceInitParamToRefresh) {
        DDLCLASS(DataStorePersistenceInitParam)::Extract(pReceivedMessage,pDataStorePersistenceInitParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
