#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStorePersistenceTarget;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStorePersistenceTarget): public RootObject {
public:
    DDLCLASS(DataStorePersistenceTarget)():_mRevision_DataStorePersistenceTarget(0)
     {};
    DDLCLASS(DataStorePersistenceTarget)(const DDLCLASS(DataStorePersistenceTarget) &oOther):
        RootObject(oOther),
        _mRevision_DataStorePersistenceTarget(oOther._mRevision_DataStorePersistenceTarget),
        ownerId(oOther.ownerId),
        persistenceSlotId(oOther.persistenceSlotId)
    {
    }
    virtual ~DDLCLASS(DataStorePersistenceTarget)() {};
    const DDLCLASS(DataStorePersistenceTarget) &operator=(const DDLCLASS(DataStorePersistenceTarget) &oOther);
    qBool operator==(const DDLCLASS(DataStorePersistenceTarget) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStorePersistenceTarget) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStorePersistenceTarget) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStorePersistenceTarget) *pValue);
    qByte _mRevision_DataStorePersistenceTarget;
    qByte GetClassRevision_DataStorePersistenceTarget() const {return _mRevision_DataStorePersistenceTarget;}
    void SetClassRevision_DataStorePersistenceTarget(qByte revision) {_mRevision_DataStorePersistenceTarget=revision;}
    static qByte GetKnownMaxClassRevision_DataStorePersistenceTarget() {return 0;}
    DDLTYPE(uint32)::CPPType ownerId;
    NEX_CLASS_VALID_REVISION_DEF(ownerId, 0);
    qBool NEX_CLASS_ISVALID(ownerId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType persistenceSlotId;
    NEX_CLASS_VALID_REVISION_DEF(persistenceSlotId, 0);
    qBool NEX_CLASS_ISVALID(persistenceSlotId) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStorePersistenceTarget): public DDLType {
public:
    typedef DataStorePersistenceTarget CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStorePersistenceTarget)& oDataStorePersistenceTarget) {
        DDLCLASS(DataStorePersistenceTarget)::Add(pMessageToSend,oDataStorePersistenceTarget);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStorePersistenceTarget)* pDataStorePersistenceTargetToRefresh) {
        DDLCLASS(DataStorePersistenceTarget)::Extract(pReceivedMessage,pDataStorePersistenceTargetToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
