#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreRatingInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreRatingInfo): public RootObject {
public:
    DDLCLASS(DataStoreRatingInfo)():_mRevision_DataStoreRatingInfo(0)
     {};
    DDLCLASS(DataStoreRatingInfo)(const DDLCLASS(DataStoreRatingInfo) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreRatingInfo(oOther._mRevision_DataStoreRatingInfo),
        totalValue(oOther.totalValue),
        count(oOther.count),
        initialValue(oOther.initialValue)
    {
    }
    virtual ~DDLCLASS(DataStoreRatingInfo)() {};
    const DDLCLASS(DataStoreRatingInfo) &operator=(const DDLCLASS(DataStoreRatingInfo) &oOther);
    qBool operator==(const DDLCLASS(DataStoreRatingInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreRatingInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreRatingInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreRatingInfo) *pValue);
    qByte _mRevision_DataStoreRatingInfo;
    qByte GetClassRevision_DataStoreRatingInfo() const {return _mRevision_DataStoreRatingInfo;}
    void SetClassRevision_DataStoreRatingInfo(qByte revision) {_mRevision_DataStoreRatingInfo=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreRatingInfo() {return 0;}
    DDLTYPE(int64)::CPPType totalValue;
    NEX_CLASS_VALID_REVISION_DEF(totalValue, 0);
    qBool NEX_CLASS_ISVALID(totalValue) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType count;
    NEX_CLASS_VALID_REVISION_DEF(count, 0);
    qBool NEX_CLASS_ISVALID(count) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(int64)::CPPType initialValue;
    NEX_CLASS_VALID_REVISION_DEF(initialValue, 0);
    qBool NEX_CLASS_ISVALID(initialValue) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStoreRatingInfo): public DDLType {
public:
    typedef DataStoreRatingInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreRatingInfo)& oDataStoreRatingInfo) {
        DDLCLASS(DataStoreRatingInfo)::Add(pMessageToSend,oDataStoreRatingInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreRatingInfo)* pDataStoreRatingInfoToRefresh) {
        DDLCLASS(DataStoreRatingInfo)::Extract(pReceivedMessage,pDataStoreRatingInfoToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
