#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "DataStoreMetaInfo.h"

BEGIN_NAMESPACE_NEX
class DataStoreSearchResult;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreSearchResult): public RootObject {
public:
    DDLCLASS(DataStoreSearchResult)():_mRevision_DataStoreSearchResult(0)
    , result(0)     {};
    DDLCLASS(DataStoreSearchResult)(const DDLCLASS(DataStoreSearchResult) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreSearchResult(oOther._mRevision_DataStoreSearchResult),
        totalCount(oOther.totalCount),
        result(oOther.result),
        totalCountType(oOther.totalCountType)
    {
    }
    virtual ~DDLCLASS(DataStoreSearchResult)() {};
    const DDLCLASS(DataStoreSearchResult) &operator=(const DDLCLASS(DataStoreSearchResult) &oOther);
    qBool operator==(const DDLCLASS(DataStoreSearchResult) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreSearchResult) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreSearchResult) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreSearchResult) *pValue);
    qByte _mRevision_DataStoreSearchResult;
    qByte GetClassRevision_DataStoreSearchResult() const {return _mRevision_DataStoreSearchResult;}
    void SetClassRevision_DataStoreSearchResult(qByte revision) {_mRevision_DataStoreSearchResult=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreSearchResult() {return 0;}
    DDLTYPE(uint32)::CPPType totalCount;
    NEX_CLASS_VALID_REVISION_DEF(totalCount, 0);
    qBool NEX_CLASS_ISVALID(totalCount) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(DataStoreMetaInfo) >::CPPType result;
    NEX_CLASS_VALID_REVISION_DEF(result, 0);
    qBool NEX_CLASS_ISVALID(result) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType totalCountType;
    NEX_CLASS_VALID_REVISION_DEF(totalCountType, 0);
    qBool NEX_CLASS_ISVALID(totalCountType) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStoreSearchResult): public DDLType {
public:
    typedef DataStoreSearchResult CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreSearchResult)& oDataStoreSearchResult) {
        DDLCLASS(DataStoreSearchResult)::Add(pMessageToSend,oDataStoreSearchResult);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreSearchResult)* pDataStoreSearchResultToRefresh) {
        DDLCLASS(DataStoreSearchResult)::Extract(pReceivedMessage,pDataStoreSearchResultToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
