#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ApiCallData;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ApiCallData): public RootObject {
public:
    DDLCLASS(ApiCallData)():_mRevision_ApiCallData(0)
     {};
    DDLCLASS(ApiCallData)(const DDLCLASS(ApiCallData) &oOther):
        RootObject(oOther),
        _mRevision_ApiCallData(oOther._mRevision_ApiCallData),
        methodName(oOther.methodName),
        calledTime(oOther.calledTime),
        principalId(oOther.principalId)
    {
    }
    virtual ~DDLCLASS(ApiCallData)() {};
    const DDLCLASS(ApiCallData) &operator=(const DDLCLASS(ApiCallData) &oOther);
    qBool operator==(const DDLCLASS(ApiCallData) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ApiCallData) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ApiCallData) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ApiCallData) *pValue);
    qByte _mRevision_ApiCallData;
    qByte GetClassRevision_ApiCallData() const {return _mRevision_ApiCallData;}
    void SetClassRevision_ApiCallData(qByte revision) {_mRevision_ApiCallData=revision;}
    static qByte GetKnownMaxClassRevision_ApiCallData() {return 0;}
    DDLTYPE(string)::CPPType methodName;
    NEX_CLASS_VALID_REVISION_DEF(methodName, 0);
    qBool NEX_CLASS_ISVALID(methodName) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(datetime)::CPPType calledTime;
    NEX_CLASS_VALID_REVISION_DEF(calledTime, 0);
    qBool NEX_CLASS_ISVALID(calledTime) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType principalId;
    NEX_CLASS_VALID_REVISION_DEF(principalId, 0);
    qBool NEX_CLASS_ISVALID(principalId) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ApiCallData): public DDLType {
public:
    typedef ApiCallData CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ApiCallData)& oApiCallData) {
        DDLCLASS(ApiCallData)::Add(pMessageToSend,oApiCallData);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ApiCallData)* pApiCallDataToRefresh) {
        DDLCLASS(ApiCallData)::Extract(pReceivedMessage,pApiCallDataToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
