#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "MatchmakeBlockListParam.h"

BEGIN_NAMESPACE_NEX
class FindMatchmakeSessionByParticipantParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(FindMatchmakeSessionByParticipantParam): public RootObject {
public:
    DDLCLASS(FindMatchmakeSessionByParticipantParam)():_mRevision_FindMatchmakeSessionByParticipantParam(0)
     {};
    DDLCLASS(FindMatchmakeSessionByParticipantParam)(const DDLCLASS(FindMatchmakeSessionByParticipantParam) &oOther):
        RootObject(oOther),
        _mRevision_FindMatchmakeSessionByParticipantParam(oOther._mRevision_FindMatchmakeSessionByParticipantParam),
        m_principalIdList(oOther.m_principalIdList),
        m_resultOptions(oOther.m_resultOptions),
        m_blockListParam(oOther.m_blockListParam)
    {
    }
    virtual ~DDLCLASS(FindMatchmakeSessionByParticipantParam)() {};
    const DDLCLASS(FindMatchmakeSessionByParticipantParam) &operator=(const DDLCLASS(FindMatchmakeSessionByParticipantParam) &oOther);
    qBool operator==(const DDLCLASS(FindMatchmakeSessionByParticipantParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(FindMatchmakeSessionByParticipantParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(FindMatchmakeSessionByParticipantParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(FindMatchmakeSessionByParticipantParam) *pValue);
    qByte _mRevision_FindMatchmakeSessionByParticipantParam;
    qByte GetClassRevision_FindMatchmakeSessionByParticipantParam() const {return _mRevision_FindMatchmakeSessionByParticipantParam;}
    void SetClassRevision_FindMatchmakeSessionByParticipantParam(qByte revision) {_mRevision_FindMatchmakeSessionByParticipantParam=revision;}
    static qByte GetKnownMaxClassRevision_FindMatchmakeSessionByParticipantParam() {return 0;}
    DDLTYPE(qlist)< DDLTYPE(uint32) >::CPPType m_principalIdList;
    NEX_CLASS_VALID_REVISION_DEF(m_principalIdList, 0);
    qBool NEX_CLASS_ISVALID(m_principalIdList) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType m_resultOptions;
    NEX_CLASS_VALID_REVISION_DEF(m_resultOptions, 0);
    qBool NEX_CLASS_ISVALID(m_resultOptions) const { return true; /* The revision is 0. Always true */}
    MatchmakeBlockListParam m_blockListParam;
    NEX_CLASS_VALID_REVISION_DEF(m_blockListParam, 0);
    qBool NEX_CLASS_ISVALID(m_blockListParam) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(FindMatchmakeSessionByParticipantParam): public DDLType {
public:
    typedef FindMatchmakeSessionByParticipantParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(FindMatchmakeSessionByParticipantParam)& oFindMatchmakeSessionByParticipantParam) {
        DDLCLASS(FindMatchmakeSessionByParticipantParam)::Add(pMessageToSend,oFindMatchmakeSessionByParticipantParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(FindMatchmakeSessionByParticipantParam)* pFindMatchmakeSessionByParticipantParamToRefresh) {
        DDLCLASS(FindMatchmakeSessionByParticipantParam)::Extract(pReceivedMessage,pFindMatchmakeSessionByParticipantParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
