#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "MatchmakeRefereePersonalRoundResult.h"

BEGIN_NAMESPACE_NEX
class MatchmakeRefereeRound;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(MatchmakeRefereeRound): public RootObject {
public:
    DDLCLASS(MatchmakeRefereeRound)():_mRevision_MatchmakeRefereeRound(0)
    , normalizedPersonalRoundResults(0)     {};
    DDLCLASS(MatchmakeRefereeRound)(const DDLCLASS(MatchmakeRefereeRound) &oOther):
        RootObject(oOther),
        _mRevision_MatchmakeRefereeRound(oOther._mRevision_MatchmakeRefereeRound),
        roundId(oOther.roundId),
        gid(oOther.gid),
        state(oOther.state),
        personalDataCategory(oOther.personalDataCategory),
        normalizedPersonalRoundResults(oOther.normalizedPersonalRoundResults)
    {
    }
    virtual ~DDLCLASS(MatchmakeRefereeRound)() {};
    const DDLCLASS(MatchmakeRefereeRound) &operator=(const DDLCLASS(MatchmakeRefereeRound) &oOther);
    qBool operator==(const DDLCLASS(MatchmakeRefereeRound) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(MatchmakeRefereeRound) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(MatchmakeRefereeRound) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(MatchmakeRefereeRound) *pValue);
    qByte _mRevision_MatchmakeRefereeRound;
    qByte GetClassRevision_MatchmakeRefereeRound() const {return _mRevision_MatchmakeRefereeRound;}
    void SetClassRevision_MatchmakeRefereeRound(qByte revision) {_mRevision_MatchmakeRefereeRound=revision;}
    static qByte GetKnownMaxClassRevision_MatchmakeRefereeRound() {return 0;}
    DDLTYPE(uint64)::CPPType roundId;
    NEX_CLASS_VALID_REVISION_DEF(roundId, 0);
    qBool NEX_CLASS_ISVALID(roundId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType gid;
    NEX_CLASS_VALID_REVISION_DEF(gid, 0);
    qBool NEX_CLASS_ISVALID(gid) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType state;
    NEX_CLASS_VALID_REVISION_DEF(state, 0);
    qBool NEX_CLASS_ISVALID(state) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType personalDataCategory;
    NEX_CLASS_VALID_REVISION_DEF(personalDataCategory, 0);
    qBool NEX_CLASS_ISVALID(personalDataCategory) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(MatchmakeRefereePersonalRoundResult) >::CPPType normalizedPersonalRoundResults;
    NEX_CLASS_VALID_REVISION_DEF(normalizedPersonalRoundResults, 0);
    qBool NEX_CLASS_ISVALID(normalizedPersonalRoundResults) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(MatchmakeRefereeRound): public DDLType {
public:
    typedef MatchmakeRefereeRound CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(MatchmakeRefereeRound)& oMatchmakeRefereeRound) {
        DDLCLASS(MatchmakeRefereeRound)::Add(pMessageToSend,oMatchmakeRefereeRound);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(MatchmakeRefereeRound)* pMatchmakeRefereeRoundToRefresh) {
        DDLCLASS(MatchmakeRefereeRound)::Extract(pReceivedMessage,pMatchmakeRefereeRoundToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
