#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class MatchmakeRefereeStartRoundParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(MatchmakeRefereeStartRoundParam): public RootObject {
public:
    DDLCLASS(MatchmakeRefereeStartRoundParam)():_mRevision_MatchmakeRefereeStartRoundParam(0)
    , pids(0)     {};
    DDLCLASS(MatchmakeRefereeStartRoundParam)(const DDLCLASS(MatchmakeRefereeStartRoundParam) &oOther):
        RootObject(oOther),
        _mRevision_MatchmakeRefereeStartRoundParam(oOther._mRevision_MatchmakeRefereeStartRoundParam),
        personalDataCategory(oOther.personalDataCategory),
        gid(oOther.gid),
        pids(oOther.pids)
    {
    }
    virtual ~DDLCLASS(MatchmakeRefereeStartRoundParam)() {};
    const DDLCLASS(MatchmakeRefereeStartRoundParam) &operator=(const DDLCLASS(MatchmakeRefereeStartRoundParam) &oOther);
    qBool operator==(const DDLCLASS(MatchmakeRefereeStartRoundParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(MatchmakeRefereeStartRoundParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(MatchmakeRefereeStartRoundParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(MatchmakeRefereeStartRoundParam) *pValue);
    qByte _mRevision_MatchmakeRefereeStartRoundParam;
    qByte GetClassRevision_MatchmakeRefereeStartRoundParam() const {return _mRevision_MatchmakeRefereeStartRoundParam;}
    void SetClassRevision_MatchmakeRefereeStartRoundParam(qByte revision) {_mRevision_MatchmakeRefereeStartRoundParam=revision;}
    static qByte GetKnownMaxClassRevision_MatchmakeRefereeStartRoundParam() {return 0;}
    DDLTYPE(uint32)::CPPType personalDataCategory;
    NEX_CLASS_VALID_REVISION_DEF(personalDataCategory, 0);
    qBool NEX_CLASS_ISVALID(personalDataCategory) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType gid;
    NEX_CLASS_VALID_REVISION_DEF(gid, 0);
    qBool NEX_CLASS_ISVALID(gid) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(uint32) >::CPPType pids;
    NEX_CLASS_VALID_REVISION_DEF(pids, 0);
    qBool NEX_CLASS_ISVALID(pids) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(MatchmakeRefereeStartRoundParam): public DDLType {
public:
    typedef MatchmakeRefereeStartRoundParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(MatchmakeRefereeStartRoundParam)& oMatchmakeRefereeStartRoundParam) {
        DDLCLASS(MatchmakeRefereeStartRoundParam)::Add(pMessageToSend,oMatchmakeRefereeStartRoundParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(MatchmakeRefereeStartRoundParam)* pMatchmakeRefereeStartRoundParamToRefresh) {
        DDLCLASS(MatchmakeRefereeStartRoundParam)::Extract(pReceivedMessage,pMatchmakeRefereeStartRoundParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
