#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class MatchmakeRefereeStats;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(MatchmakeRefereeStats): public RootObject {
public:
    DDLCLASS(MatchmakeRefereeStats)():_mRevision_MatchmakeRefereeStats(0)
     {};
    DDLCLASS(MatchmakeRefereeStats)(const DDLCLASS(MatchmakeRefereeStats) &oOther):
        RootObject(oOther),
        _mRevision_MatchmakeRefereeStats(oOther._mRevision_MatchmakeRefereeStats),
        uniqueId(oOther.uniqueId),
        category(oOther.category),
        pid(oOther.pid),
        recentDisconnection(oOther.recentDisconnection),
        recentViolation(oOther.recentViolation),
        recentMismatch(oOther.recentMismatch),
        recentWin(oOther.recentWin),
        recentLoss(oOther.recentLoss),
        recentDraw(oOther.recentDraw),
        totalDisconnect(oOther.totalDisconnect),
        totalViolation(oOther.totalViolation),
        totalMismatch(oOther.totalMismatch),
        totalWin(oOther.totalWin),
        totalLoss(oOther.totalLoss),
        totalDraw(oOther.totalDraw),
        ratingValue(oOther.ratingValue)
    {
    }
    virtual ~DDLCLASS(MatchmakeRefereeStats)() {};
    const DDLCLASS(MatchmakeRefereeStats) &operator=(const DDLCLASS(MatchmakeRefereeStats) &oOther);
    qBool operator==(const DDLCLASS(MatchmakeRefereeStats) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(MatchmakeRefereeStats) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(MatchmakeRefereeStats) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(MatchmakeRefereeStats) *pValue);
    qByte _mRevision_MatchmakeRefereeStats;
    qByte GetClassRevision_MatchmakeRefereeStats() const {return _mRevision_MatchmakeRefereeStats;}
    void SetClassRevision_MatchmakeRefereeStats(qByte revision) {_mRevision_MatchmakeRefereeStats=revision;}
    static qByte GetKnownMaxClassRevision_MatchmakeRefereeStats() {return 0;}
    DDLTYPE(uint64)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType category;
    NEX_CLASS_VALID_REVISION_DEF(category, 0);
    qBool NEX_CLASS_ISVALID(category) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType pid;
    NEX_CLASS_VALID_REVISION_DEF(pid, 0);
    qBool NEX_CLASS_ISVALID(pid) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType recentDisconnection;
    NEX_CLASS_VALID_REVISION_DEF(recentDisconnection, 0);
    qBool NEX_CLASS_ISVALID(recentDisconnection) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType recentViolation;
    NEX_CLASS_VALID_REVISION_DEF(recentViolation, 0);
    qBool NEX_CLASS_ISVALID(recentViolation) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType recentMismatch;
    NEX_CLASS_VALID_REVISION_DEF(recentMismatch, 0);
    qBool NEX_CLASS_ISVALID(recentMismatch) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType recentWin;
    NEX_CLASS_VALID_REVISION_DEF(recentWin, 0);
    qBool NEX_CLASS_ISVALID(recentWin) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType recentLoss;
    NEX_CLASS_VALID_REVISION_DEF(recentLoss, 0);
    qBool NEX_CLASS_ISVALID(recentLoss) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType recentDraw;
    NEX_CLASS_VALID_REVISION_DEF(recentDraw, 0);
    qBool NEX_CLASS_ISVALID(recentDraw) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType totalDisconnect;
    NEX_CLASS_VALID_REVISION_DEF(totalDisconnect, 0);
    qBool NEX_CLASS_ISVALID(totalDisconnect) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType totalViolation;
    NEX_CLASS_VALID_REVISION_DEF(totalViolation, 0);
    qBool NEX_CLASS_ISVALID(totalViolation) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType totalMismatch;
    NEX_CLASS_VALID_REVISION_DEF(totalMismatch, 0);
    qBool NEX_CLASS_ISVALID(totalMismatch) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType totalWin;
    NEX_CLASS_VALID_REVISION_DEF(totalWin, 0);
    qBool NEX_CLASS_ISVALID(totalWin) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType totalLoss;
    NEX_CLASS_VALID_REVISION_DEF(totalLoss, 0);
    qBool NEX_CLASS_ISVALID(totalLoss) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType totalDraw;
    NEX_CLASS_VALID_REVISION_DEF(totalDraw, 0);
    qBool NEX_CLASS_ISVALID(totalDraw) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType ratingValue;
    NEX_CLASS_VALID_REVISION_DEF(ratingValue, 0);
    qBool NEX_CLASS_ISVALID(ratingValue) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(MatchmakeRefereeStats): public DDLType {
public:
    typedef MatchmakeRefereeStats CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(MatchmakeRefereeStats)& oMatchmakeRefereeStats) {
        DDLCLASS(MatchmakeRefereeStats)::Add(pMessageToSend,oMatchmakeRefereeStats);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(MatchmakeRefereeStats)* pMatchmakeRefereeStatsToRefresh) {
        DDLCLASS(MatchmakeRefereeStats)::Extract(pReceivedMessage,pMatchmakeRefereeStatsToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
