#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class RankingChangeAttributesParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(RankingChangeAttributesParam): public RootObject {
public:
    DDLCLASS(RankingChangeAttributesParam)():_mRevision_RankingChangeAttributesParam(0)
    , groups(0)     {};
    DDLCLASS(RankingChangeAttributesParam)(const DDLCLASS(RankingChangeAttributesParam) &oOther):
        RootObject(oOther),
        _mRevision_RankingChangeAttributesParam(oOther._mRevision_RankingChangeAttributesParam),
        modificationFlag(oOther.modificationFlag),
        groups(oOther.groups),
        param(oOther.param)
    {
    }
    virtual ~DDLCLASS(RankingChangeAttributesParam)() {};
    const DDLCLASS(RankingChangeAttributesParam) &operator=(const DDLCLASS(RankingChangeAttributesParam) &oOther);
    qBool operator==(const DDLCLASS(RankingChangeAttributesParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(RankingChangeAttributesParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(RankingChangeAttributesParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(RankingChangeAttributesParam) *pValue);
    qByte _mRevision_RankingChangeAttributesParam;
    qByte GetClassRevision_RankingChangeAttributesParam() const {return _mRevision_RankingChangeAttributesParam;}
    void SetClassRevision_RankingChangeAttributesParam(qByte revision) {_mRevision_RankingChangeAttributesParam=revision;}
    static qByte GetKnownMaxClassRevision_RankingChangeAttributesParam() {return 0;}
    DDLTYPE(byte)::CPPType modificationFlag;
    NEX_CLASS_VALID_REVISION_DEF(modificationFlag, 0);
    qBool NEX_CLASS_ISVALID(modificationFlag) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(byte) >::CPPType groups;
    NEX_CLASS_VALID_REVISION_DEF(groups, 0);
    qBool NEX_CLASS_ISVALID(groups) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType param;
    NEX_CLASS_VALID_REVISION_DEF(param, 0);
    qBool NEX_CLASS_ISVALID(param) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(RankingChangeAttributesParam): public DDLType {
public:
    typedef RankingChangeAttributesParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(RankingChangeAttributesParam)& oRankingChangeAttributesParam) {
        DDLCLASS(RankingChangeAttributesParam)::Add(pMessageToSend,oRankingChangeAttributesParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(RankingChangeAttributesParam)* pRankingChangeAttributesParamToRefresh) {
        DDLCLASS(RankingChangeAttributesParam)::Extract(pReceivedMessage,pRankingChangeAttributesParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
