#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "RankingRankData.h"

BEGIN_NAMESPACE_NEX
class RankingResult;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(RankingResult): public RootObject {
public:
    DDLCLASS(RankingResult)():_mRevision_RankingResult(0)
    , rankDataList(0)     {};
    DDLCLASS(RankingResult)(const DDLCLASS(RankingResult) &oOther):
        RootObject(oOther),
        _mRevision_RankingResult(oOther._mRevision_RankingResult),
        rankDataList(oOther.rankDataList),
        totalCount(oOther.totalCount),
        sinceTime(oOther.sinceTime)
    {
    }
    virtual ~DDLCLASS(RankingResult)() {};
    const DDLCLASS(RankingResult) &operator=(const DDLCLASS(RankingResult) &oOther);
    qBool operator==(const DDLCLASS(RankingResult) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(RankingResult) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(RankingResult) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(RankingResult) *pValue);
    qByte _mRevision_RankingResult;
    qByte GetClassRevision_RankingResult() const {return _mRevision_RankingResult;}
    void SetClassRevision_RankingResult(qByte revision) {_mRevision_RankingResult=revision;}
    static qByte GetKnownMaxClassRevision_RankingResult() {return 0;}
    DDLTYPE(qvector)< CLASSMETATYPE(RankingRankData) >::CPPType rankDataList;
    NEX_CLASS_VALID_REVISION_DEF(rankDataList, 0);
    qBool NEX_CLASS_ISVALID(rankDataList) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType totalCount;
    NEX_CLASS_VALID_REVISION_DEF(totalCount, 0);
    qBool NEX_CLASS_ISVALID(totalCount) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(datetime)::CPPType sinceTime;
    NEX_CLASS_VALID_REVISION_DEF(sinceTime, 0);
    qBool NEX_CLASS_ISVALID(sinceTime) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(RankingResult): public DDLType {
public:
    typedef RankingResult CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(RankingResult)& oRankingResult) {
        DDLCLASS(RankingResult)::Add(pMessageToSend,oRankingResult);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(RankingResult)* pRankingResultToRefresh) {
        DDLCLASS(RankingResult)::Extract(pReceivedMessage,pRankingResultToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
