#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class Ranking2ChartInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(Ranking2ChartInfo): public RootObject {
public:
    DDLCLASS(Ranking2ChartInfo)():_mRevision_Ranking2ChartInfo(0)
    , quantities(0)     {};
    DDLCLASS(Ranking2ChartInfo)(const DDLCLASS(Ranking2ChartInfo) &oOther):
        RootObject(oOther),
        _mRevision_Ranking2ChartInfo(oOther._mRevision_Ranking2ChartInfo),
        createTime(oOther.createTime),
        index(oOther.index),
        category(oOther.category),
        season(oOther.season),
        binsSize(oOther.binsSize),
        samplingRate(oOther.samplingRate),
        scoreOrder(oOther.scoreOrder),
        estimateLength(oOther.estimateLength),
        estimateHighestScore(oOther.estimateHighestScore),
        estimateLowestScore(oOther.estimateLowestScore),
        estimateMedianScore(oOther.estimateMedianScore),
        estimateAverageScore(oOther.estimateAverageScore),
        highestBinsScore(oOther.highestBinsScore),
        lowestBinsScore(oOther.lowestBinsScore),
        binsWidth(oOther.binsWidth),
        attribute1(oOther.attribute1),
        attribute2(oOther.attribute2),
        quantities(oOther.quantities)
    {
    }
    virtual ~DDLCLASS(Ranking2ChartInfo)() {};
    const DDLCLASS(Ranking2ChartInfo) &operator=(const DDLCLASS(Ranking2ChartInfo) &oOther);
    qBool operator==(const DDLCLASS(Ranking2ChartInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(Ranking2ChartInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(Ranking2ChartInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(Ranking2ChartInfo) *pValue);
    qByte _mRevision_Ranking2ChartInfo;
    qByte GetClassRevision_Ranking2ChartInfo() const {return _mRevision_Ranking2ChartInfo;}
    void SetClassRevision_Ranking2ChartInfo(qByte revision) {_mRevision_Ranking2ChartInfo=revision;}
    static qByte GetKnownMaxClassRevision_Ranking2ChartInfo() {return 0;}
    DDLTYPE(datetime)::CPPType createTime;
    NEX_CLASS_VALID_REVISION_DEF(createTime, 0);
    qBool NEX_CLASS_ISVALID(createTime) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType index;
    NEX_CLASS_VALID_REVISION_DEF(index, 0);
    qBool NEX_CLASS_ISVALID(index) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType category;
    NEX_CLASS_VALID_REVISION_DEF(category, 0);
    qBool NEX_CLASS_ISVALID(category) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(int32)::CPPType season;
    NEX_CLASS_VALID_REVISION_DEF(season, 0);
    qBool NEX_CLASS_ISVALID(season) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType binsSize;
    NEX_CLASS_VALID_REVISION_DEF(binsSize, 0);
    qBool NEX_CLASS_ISVALID(binsSize) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType samplingRate;
    NEX_CLASS_VALID_REVISION_DEF(samplingRate, 0);
    qBool NEX_CLASS_ISVALID(samplingRate) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(bool)::CPPType scoreOrder;
    NEX_CLASS_VALID_REVISION_DEF(scoreOrder, 0);
    qBool NEX_CLASS_ISVALID(scoreOrder) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType estimateLength;
    NEX_CLASS_VALID_REVISION_DEF(estimateLength, 0);
    qBool NEX_CLASS_ISVALID(estimateLength) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType estimateHighestScore;
    NEX_CLASS_VALID_REVISION_DEF(estimateHighestScore, 0);
    qBool NEX_CLASS_ISVALID(estimateHighestScore) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType estimateLowestScore;
    NEX_CLASS_VALID_REVISION_DEF(estimateLowestScore, 0);
    qBool NEX_CLASS_ISVALID(estimateLowestScore) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType estimateMedianScore;
    NEX_CLASS_VALID_REVISION_DEF(estimateMedianScore, 0);
    qBool NEX_CLASS_ISVALID(estimateMedianScore) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(double)::CPPType estimateAverageScore;
    NEX_CLASS_VALID_REVISION_DEF(estimateAverageScore, 0);
    qBool NEX_CLASS_ISVALID(estimateAverageScore) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType highestBinsScore;
    NEX_CLASS_VALID_REVISION_DEF(highestBinsScore, 0);
    qBool NEX_CLASS_ISVALID(highestBinsScore) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType lowestBinsScore;
    NEX_CLASS_VALID_REVISION_DEF(lowestBinsScore, 0);
    qBool NEX_CLASS_ISVALID(lowestBinsScore) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType binsWidth;
    NEX_CLASS_VALID_REVISION_DEF(binsWidth, 0);
    qBool NEX_CLASS_ISVALID(binsWidth) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType attribute1;
    NEX_CLASS_VALID_REVISION_DEF(attribute1, 0);
    qBool NEX_CLASS_ISVALID(attribute1) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType attribute2;
    NEX_CLASS_VALID_REVISION_DEF(attribute2, 0);
    qBool NEX_CLASS_ISVALID(attribute2) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(uint32) >::CPPType quantities;
    NEX_CLASS_VALID_REVISION_DEF(quantities, 0);
    qBool NEX_CLASS_ISVALID(quantities) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(Ranking2ChartInfo): public DDLType {
public:
    typedef Ranking2ChartInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(Ranking2ChartInfo)& oRanking2ChartInfo) {
        DDLCLASS(Ranking2ChartInfo)::Add(pMessageToSend,oRanking2ChartInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(Ranking2ChartInfo)* pRanking2ChartInfoToRefresh) {
        DDLCLASS(Ranking2ChartInfo)::Extract(pReceivedMessage,pRanking2ChartInfoToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
