#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class Ranking2ChartInfoInput;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(Ranking2ChartInfoInput): public RootObject {
public:
    DDLCLASS(Ranking2ChartInfoInput)():_mRevision_Ranking2ChartInfoInput(0)
     {};
    DDLCLASS(Ranking2ChartInfoInput)(const DDLCLASS(Ranking2ChartInfoInput) &oOther):
        RootObject(oOther),
        _mRevision_Ranking2ChartInfoInput(oOther._mRevision_Ranking2ChartInfoInput),
        chartIndex(oOther.chartIndex),
        numSeasonsToGoBack(oOther.numSeasonsToGoBack)
    {
    }
    virtual ~DDLCLASS(Ranking2ChartInfoInput)() {};
    const DDLCLASS(Ranking2ChartInfoInput) &operator=(const DDLCLASS(Ranking2ChartInfoInput) &oOther);
    qBool operator==(const DDLCLASS(Ranking2ChartInfoInput) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(Ranking2ChartInfoInput) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(Ranking2ChartInfoInput) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(Ranking2ChartInfoInput) *pValue);
    qByte _mRevision_Ranking2ChartInfoInput;
    qByte GetClassRevision_Ranking2ChartInfoInput() const {return _mRevision_Ranking2ChartInfoInput;}
    void SetClassRevision_Ranking2ChartInfoInput(qByte revision) {_mRevision_Ranking2ChartInfoInput=revision;}
    static qByte GetKnownMaxClassRevision_Ranking2ChartInfoInput() {return 0;}
    DDLTYPE(uint32)::CPPType chartIndex;
    NEX_CLASS_VALID_REVISION_DEF(chartIndex, 0);
    qBool NEX_CLASS_ISVALID(chartIndex) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType numSeasonsToGoBack;
    NEX_CLASS_VALID_REVISION_DEF(numSeasonsToGoBack, 0);
    qBool NEX_CLASS_ISVALID(numSeasonsToGoBack) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(Ranking2ChartInfoInput): public DDLType {
public:
    typedef Ranking2ChartInfoInput CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(Ranking2ChartInfoInput)& oRanking2ChartInfoInput) {
        DDLCLASS(Ranking2ChartInfoInput)::Add(pMessageToSend,oRanking2ChartInfoInput);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(Ranking2ChartInfoInput)* pRanking2ChartInfoInputToRefresh) {
        DDLCLASS(Ranking2ChartInfoInput)::Extract(pReceivedMessage,pRanking2ChartInfoInputToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
