#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class Ranking2EstimateScoreRankInput;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(Ranking2EstimateScoreRankInput): public RootObject {
public:
    DDLCLASS(Ranking2EstimateScoreRankInput)():_mRevision_Ranking2EstimateScoreRankInput(0)
     {};
    DDLCLASS(Ranking2EstimateScoreRankInput)(const DDLCLASS(Ranking2EstimateScoreRankInput) &oOther):
        RootObject(oOther),
        _mRevision_Ranking2EstimateScoreRankInput(oOther._mRevision_Ranking2EstimateScoreRankInput),
        category(oOther.category),
        numSeasonsToGoBack(oOther.numSeasonsToGoBack),
        score(oOther.score)
    {
    }
    virtual ~DDLCLASS(Ranking2EstimateScoreRankInput)() {};
    const DDLCLASS(Ranking2EstimateScoreRankInput) &operator=(const DDLCLASS(Ranking2EstimateScoreRankInput) &oOther);
    qBool operator==(const DDLCLASS(Ranking2EstimateScoreRankInput) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(Ranking2EstimateScoreRankInput) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(Ranking2EstimateScoreRankInput) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(Ranking2EstimateScoreRankInput) *pValue);
    qByte _mRevision_Ranking2EstimateScoreRankInput;
    qByte GetClassRevision_Ranking2EstimateScoreRankInput() const {return _mRevision_Ranking2EstimateScoreRankInput;}
    void SetClassRevision_Ranking2EstimateScoreRankInput(qByte revision) {_mRevision_Ranking2EstimateScoreRankInput=revision;}
    static qByte GetKnownMaxClassRevision_Ranking2EstimateScoreRankInput() {return 0;}
    DDLTYPE(uint32)::CPPType category;
    NEX_CLASS_VALID_REVISION_DEF(category, 0);
    qBool NEX_CLASS_ISVALID(category) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType numSeasonsToGoBack;
    NEX_CLASS_VALID_REVISION_DEF(numSeasonsToGoBack, 0);
    qBool NEX_CLASS_ISVALID(numSeasonsToGoBack) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType score;
    NEX_CLASS_VALID_REVISION_DEF(score, 0);
    qBool NEX_CLASS_ISVALID(score) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(Ranking2EstimateScoreRankInput): public DDLType {
public:
    typedef Ranking2EstimateScoreRankInput CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(Ranking2EstimateScoreRankInput)& oRanking2EstimateScoreRankInput) {
        DDLCLASS(Ranking2EstimateScoreRankInput)::Add(pMessageToSend,oRanking2EstimateScoreRankInput);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(Ranking2EstimateScoreRankInput)* pRanking2EstimateScoreRankInputToRefresh) {
        DDLCLASS(Ranking2EstimateScoreRankInput)::Extract(pReceivedMessage,pRanking2EstimateScoreRankInputToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
