#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class Ranking2EstimateScoreRankOutput;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(Ranking2EstimateScoreRankOutput): public RootObject {
public:
    DDLCLASS(Ranking2EstimateScoreRankOutput)():_mRevision_Ranking2EstimateScoreRankOutput(0)
     {};
    DDLCLASS(Ranking2EstimateScoreRankOutput)(const DDLCLASS(Ranking2EstimateScoreRankOutput) &oOther):
        RootObject(oOther),
        _mRevision_Ranking2EstimateScoreRankOutput(oOther._mRevision_Ranking2EstimateScoreRankOutput),
        rank(oOther.rank),
        length(oOther.length),
        score(oOther.score),
        category(oOther.category),
        season(oOther.season),
        samplingRate(oOther.samplingRate)
    {
    }
    virtual ~DDLCLASS(Ranking2EstimateScoreRankOutput)() {};
    const DDLCLASS(Ranking2EstimateScoreRankOutput) &operator=(const DDLCLASS(Ranking2EstimateScoreRankOutput) &oOther);
    qBool operator==(const DDLCLASS(Ranking2EstimateScoreRankOutput) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(Ranking2EstimateScoreRankOutput) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(Ranking2EstimateScoreRankOutput) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(Ranking2EstimateScoreRankOutput) *pValue);
    qByte _mRevision_Ranking2EstimateScoreRankOutput;
    qByte GetClassRevision_Ranking2EstimateScoreRankOutput() const {return _mRevision_Ranking2EstimateScoreRankOutput;}
    void SetClassRevision_Ranking2EstimateScoreRankOutput(qByte revision) {_mRevision_Ranking2EstimateScoreRankOutput=revision;}
    static qByte GetKnownMaxClassRevision_Ranking2EstimateScoreRankOutput() {return 0;}
    DDLTYPE(uint32)::CPPType rank;
    NEX_CLASS_VALID_REVISION_DEF(rank, 0);
    qBool NEX_CLASS_ISVALID(rank) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType length;
    NEX_CLASS_VALID_REVISION_DEF(length, 0);
    qBool NEX_CLASS_ISVALID(length) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType score;
    NEX_CLASS_VALID_REVISION_DEF(score, 0);
    qBool NEX_CLASS_ISVALID(score) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType category;
    NEX_CLASS_VALID_REVISION_DEF(category, 0);
    qBool NEX_CLASS_ISVALID(category) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(int32)::CPPType season;
    NEX_CLASS_VALID_REVISION_DEF(season, 0);
    qBool NEX_CLASS_ISVALID(season) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType samplingRate;
    NEX_CLASS_VALID_REVISION_DEF(samplingRate, 0);
    qBool NEX_CLASS_ISVALID(samplingRate) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(Ranking2EstimateScoreRankOutput): public DDLType {
public:
    typedef Ranking2EstimateScoreRankOutput CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(Ranking2EstimateScoreRankOutput)& oRanking2EstimateScoreRankOutput) {
        DDLCLASS(Ranking2EstimateScoreRankOutput)::Add(pMessageToSend,oRanking2EstimateScoreRankOutput);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(Ranking2EstimateScoreRankOutput)* pRanking2EstimateScoreRankOutputToRefresh) {
        DDLCLASS(Ranking2EstimateScoreRankOutput)::Extract(pReceivedMessage,pRanking2EstimateScoreRankOutputToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
