#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ScreeningDataStoreContentParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ScreeningDataStoreContentParam): public RootObject {
public:
    DDLCLASS(ScreeningDataStoreContentParam)():_mRevision_ScreeningDataStoreContentParam(0)
     {};
    DDLCLASS(ScreeningDataStoreContentParam)(const DDLCLASS(ScreeningDataStoreContentParam) &oOther):
        RootObject(oOther),
        _mRevision_ScreeningDataStoreContentParam(oOther._mRevision_ScreeningDataStoreContentParam),
        dataId(oOther.dataId),
        contentDataId(oOther.contentDataId),
        ugcType(oOther.ugcType),
        language(oOther.language),
        searchKey(oOther.searchKey)
    {
    }
    virtual ~DDLCLASS(ScreeningDataStoreContentParam)() {};
    const DDLCLASS(ScreeningDataStoreContentParam) &operator=(const DDLCLASS(ScreeningDataStoreContentParam) &oOther);
    qBool operator==(const DDLCLASS(ScreeningDataStoreContentParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ScreeningDataStoreContentParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ScreeningDataStoreContentParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ScreeningDataStoreContentParam) *pValue);
    qByte _mRevision_ScreeningDataStoreContentParam;
    qByte GetClassRevision_ScreeningDataStoreContentParam() const {return _mRevision_ScreeningDataStoreContentParam;}
    void SetClassRevision_ScreeningDataStoreContentParam(qByte revision) {_mRevision_ScreeningDataStoreContentParam=revision;}
    static qByte GetKnownMaxClassRevision_ScreeningDataStoreContentParam() {return 0;}
    DDLTYPE(uint64)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType contentDataId;
    NEX_CLASS_VALID_REVISION_DEF(contentDataId, 0);
    qBool NEX_CLASS_ISVALID(contentDataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType ugcType;
    NEX_CLASS_VALID_REVISION_DEF(ugcType, 0);
    qBool NEX_CLASS_ISVALID(ugcType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType language;
    NEX_CLASS_VALID_REVISION_DEF(language, 0);
    qBool NEX_CLASS_ISVALID(language) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType searchKey;
    NEX_CLASS_VALID_REVISION_DEF(searchKey, 0);
    qBool NEX_CLASS_ISVALID(searchKey) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ScreeningDataStoreContentParam): public DDLType {
public:
    typedef ScreeningDataStoreContentParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ScreeningDataStoreContentParam)& oScreeningDataStoreContentParam) {
        DDLCLASS(ScreeningDataStoreContentParam)::Add(pMessageToSend,oScreeningDataStoreContentParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ScreeningDataStoreContentParam)* pScreeningDataStoreContentParamToRefresh) {
        DDLCLASS(ScreeningDataStoreContentParam)::Extract(pReceivedMessage,pScreeningDataStoreContentParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
