#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemAcquireServiceItemResponse;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemAcquireServiceItemResponse): public RootObject {
public:
    DDLCLASS(ServiceItemAcquireServiceItemResponse)():_mRevision_ServiceItemAcquireServiceItemResponse(0)
    , expiryCounts(0)     {};
    DDLCLASS(ServiceItemAcquireServiceItemResponse)(const DDLCLASS(ServiceItemAcquireServiceItemResponse) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemAcquireServiceItemResponse(oOther._mRevision_ServiceItemAcquireServiceItemResponse),
        limitationType(oOther.limitationType),
        acquiredCount(oOther.acquiredCount),
        usedCount(oOther.usedCount),
        expiryDate(oOther.expiryDate),
        expiredCount(oOther.expiredCount),
        expiryCounts(oOther.expiryCounts)
    {
    }
    virtual ~DDLCLASS(ServiceItemAcquireServiceItemResponse)() {};
    const DDLCLASS(ServiceItemAcquireServiceItemResponse) &operator=(const DDLCLASS(ServiceItemAcquireServiceItemResponse) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemAcquireServiceItemResponse) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemAcquireServiceItemResponse) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemAcquireServiceItemResponse) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemAcquireServiceItemResponse) *pValue);
    qByte _mRevision_ServiceItemAcquireServiceItemResponse;
    qByte GetClassRevision_ServiceItemAcquireServiceItemResponse() const {return _mRevision_ServiceItemAcquireServiceItemResponse;}
    void SetClassRevision_ServiceItemAcquireServiceItemResponse(qByte revision) {_mRevision_ServiceItemAcquireServiceItemResponse=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemAcquireServiceItemResponse() {return 0;}
    DDLTYPE(uint32)::CPPType limitationType;
    NEX_CLASS_VALID_REVISION_DEF(limitationType, 0);
    qBool NEX_CLASS_ISVALID(limitationType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType acquiredCount;
    NEX_CLASS_VALID_REVISION_DEF(acquiredCount, 0);
    qBool NEX_CLASS_ISVALID(acquiredCount) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType usedCount;
    NEX_CLASS_VALID_REVISION_DEF(usedCount, 0);
    qBool NEX_CLASS_ISVALID(usedCount) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType expiryDate;
    NEX_CLASS_VALID_REVISION_DEF(expiryDate, 0);
    qBool NEX_CLASS_ISVALID(expiryDate) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType expiredCount;
    NEX_CLASS_VALID_REVISION_DEF(expiredCount, 0);
    qBool NEX_CLASS_ISVALID(expiredCount) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(uint32) >::CPPType expiryCounts;
    NEX_CLASS_VALID_REVISION_DEF(expiryCounts, 0);
    qBool NEX_CLASS_ISVALID(expiryCounts) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemAcquireServiceItemResponse): public DDLType {
public:
    typedef ServiceItemAcquireServiceItemResponse CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemAcquireServiceItemResponse)& oServiceItemAcquireServiceItemResponse) {
        DDLCLASS(ServiceItemAcquireServiceItemResponse)::Add(pMessageToSend,oServiceItemAcquireServiceItemResponse);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemAcquireServiceItemResponse)* pServiceItemAcquireServiceItemResponseToRefresh) {
        DDLCLASS(ServiceItemAcquireServiceItemResponse)::Extract(pReceivedMessage,pServiceItemAcquireServiceItemResponseToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
