#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemAutoBillingContract;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemAutoBillingContract): public RootObject {
public:
    DDLCLASS(ServiceItemAutoBillingContract)():_mRevision_ServiceItemAutoBillingContract(0)
     {};
    DDLCLASS(ServiceItemAutoBillingContract)(const DDLCLASS(ServiceItemAutoBillingContract) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemAutoBillingContract(oOther._mRevision_ServiceItemAutoBillingContract),
        itemCode(oOther.itemCode),
        referenceId(oOther.referenceId),
        description(oOther.description),
        name(oOther.name),
        nextPurchaseDate(oOther.nextPurchaseDate)
    {
    }
    virtual ~DDLCLASS(ServiceItemAutoBillingContract)() {};
    const DDLCLASS(ServiceItemAutoBillingContract) &operator=(const DDLCLASS(ServiceItemAutoBillingContract) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemAutoBillingContract) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemAutoBillingContract) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemAutoBillingContract) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemAutoBillingContract) *pValue);
    qByte _mRevision_ServiceItemAutoBillingContract;
    qByte GetClassRevision_ServiceItemAutoBillingContract() const {return _mRevision_ServiceItemAutoBillingContract;}
    void SetClassRevision_ServiceItemAutoBillingContract(qByte revision) {_mRevision_ServiceItemAutoBillingContract=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemAutoBillingContract() {return 0;}
    DDLTYPE(string)::CPPType itemCode;
    NEX_CLASS_VALID_REVISION_DEF(itemCode, 0);
    qBool NEX_CLASS_ISVALID(itemCode) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType referenceId;
    NEX_CLASS_VALID_REVISION_DEF(referenceId, 0);
    qBool NEX_CLASS_ISVALID(referenceId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType description;
    NEX_CLASS_VALID_REVISION_DEF(description, 0);
    qBool NEX_CLASS_ISVALID(description) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType name;
    NEX_CLASS_VALID_REVISION_DEF(name, 0);
    qBool NEX_CLASS_ISVALID(name) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(datetime)::CPPType nextPurchaseDate;
    NEX_CLASS_VALID_REVISION_DEF(nextPurchaseDate, 0);
    qBool NEX_CLASS_ISVALID(nextPurchaseDate) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemAutoBillingContract): public DDLType {
public:
    typedef ServiceItemAutoBillingContract CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemAutoBillingContract)& oServiceItemAutoBillingContract) {
        DDLCLASS(ServiceItemAutoBillingContract)::Add(pMessageToSend,oServiceItemAutoBillingContract);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemAutoBillingContract)* pServiceItemAutoBillingContractToRefresh) {
        DDLCLASS(ServiceItemAutoBillingContract)::Extract(pReceivedMessage,pServiceItemAutoBillingContractToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
