#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemGetBalanceParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemGetBalanceParam): public RootObject {
public:
    DDLCLASS(ServiceItemGetBalanceParam)():_mRevision_ServiceItemGetBalanceParam(0)
     {};
    DDLCLASS(ServiceItemGetBalanceParam)(const DDLCLASS(ServiceItemGetBalanceParam) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemGetBalanceParam(oOther._mRevision_ServiceItemGetBalanceParam),
        language(oOther.language),
        uniqueId(oOther.uniqueId),
        platform(oOther.platform)
    {
    }
    virtual ~DDLCLASS(ServiceItemGetBalanceParam)() {};
    const DDLCLASS(ServiceItemGetBalanceParam) &operator=(const DDLCLASS(ServiceItemGetBalanceParam) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemGetBalanceParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemGetBalanceParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemGetBalanceParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemGetBalanceParam) *pValue);
    qByte _mRevision_ServiceItemGetBalanceParam;
    qByte GetClassRevision_ServiceItemGetBalanceParam() const {return _mRevision_ServiceItemGetBalanceParam;}
    void SetClassRevision_ServiceItemGetBalanceParam(qByte revision) {_mRevision_ServiceItemGetBalanceParam=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemGetBalanceParam() {return 0;}
    DDLTYPE(string)::CPPType language;
    NEX_CLASS_VALID_REVISION_DEF(language, 0);
    qBool NEX_CLASS_ISVALID(language) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType platform;
    NEX_CLASS_VALID_REVISION_DEF(platform, 0);
    qBool NEX_CLASS_ISVALID(platform) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemGetBalanceParam): public DDLType {
public:
    typedef ServiceItemGetBalanceParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemGetBalanceParam)& oServiceItemGetBalanceParam) {
        DDLCLASS(ServiceItemGetBalanceParam)::Add(pMessageToSend,oServiceItemGetBalanceParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemGetBalanceParam)* pServiceItemGetBalanceParamToRefresh) {
        DDLCLASS(ServiceItemGetBalanceParam)::Extract(pReceivedMessage,pServiceItemGetBalanceParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
