#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemLimitation.h"

BEGIN_NAMESPACE_NEX
class ServiceItemGetPrepurchaseInfoParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemGetPrepurchaseInfoParam): public RootObject {
public:
    DDLCLASS(ServiceItemGetPrepurchaseInfoParam)():_mRevision_ServiceItemGetPrepurchaseInfoParam(0)
     {};
    DDLCLASS(ServiceItemGetPrepurchaseInfoParam)(const DDLCLASS(ServiceItemGetPrepurchaseInfoParam) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemGetPrepurchaseInfoParam(oOther._mRevision_ServiceItemGetPrepurchaseInfoParam),
        itemCode(oOther.itemCode),
        referenceId(oOther.referenceId),
        limitation(oOther.limitation),
        language(oOther.language),
        uniqueId(oOther.uniqueId),
        platform(oOther.platform),
        periodId(oOther.periodId)
    {
    }
    virtual ~DDLCLASS(ServiceItemGetPrepurchaseInfoParam)() {};
    const DDLCLASS(ServiceItemGetPrepurchaseInfoParam) &operator=(const DDLCLASS(ServiceItemGetPrepurchaseInfoParam) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemGetPrepurchaseInfoParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemGetPrepurchaseInfoParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemGetPrepurchaseInfoParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemGetPrepurchaseInfoParam) *pValue);
    qByte _mRevision_ServiceItemGetPrepurchaseInfoParam;
    qByte GetClassRevision_ServiceItemGetPrepurchaseInfoParam() const {return _mRevision_ServiceItemGetPrepurchaseInfoParam;}
    void SetClassRevision_ServiceItemGetPrepurchaseInfoParam(qByte revision) {_mRevision_ServiceItemGetPrepurchaseInfoParam=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemGetPrepurchaseInfoParam() {return 0;}
    DDLTYPE(string)::CPPType itemCode;
    NEX_CLASS_VALID_REVISION_DEF(itemCode, 0);
    qBool NEX_CLASS_ISVALID(itemCode) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType referenceId;
    NEX_CLASS_VALID_REVISION_DEF(referenceId, 0);
    qBool NEX_CLASS_ISVALID(referenceId) const { return true; /* The revision is 0. Always true */}
    ServiceItemLimitation limitation;
    NEX_CLASS_VALID_REVISION_DEF(limitation, 0);
    qBool NEX_CLASS_ISVALID(limitation) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType language;
    NEX_CLASS_VALID_REVISION_DEF(language, 0);
    qBool NEX_CLASS_ISVALID(language) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType platform;
    NEX_CLASS_VALID_REVISION_DEF(platform, 0);
    qBool NEX_CLASS_ISVALID(platform) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType periodId;
    NEX_CLASS_VALID_REVISION_DEF(periodId, 0);
    qBool NEX_CLASS_ISVALID(periodId) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemGetPrepurchaseInfoParam): public DDLType {
public:
    typedef ServiceItemGetPrepurchaseInfoParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemGetPrepurchaseInfoParam)& oServiceItemGetPrepurchaseInfoParam) {
        DDLCLASS(ServiceItemGetPrepurchaseInfoParam)::Add(pMessageToSend,oServiceItemGetPrepurchaseInfoParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemGetPrepurchaseInfoParam)* pServiceItemGetPrepurchaseInfoParamToRefresh) {
        DDLCLASS(ServiceItemGetPrepurchaseInfoParam)::Extract(pReceivedMessage,pServiceItemGetPrepurchaseInfoParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
