#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "ServiceItemEShopResponse.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemPrepurchaseInfo.h"

BEGIN_NAMESPACE_NEX
class ServiceItemGetPrepurchaseInfoResponse;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemGetPrepurchaseInfoResponse): public ServiceItemEShopResponse {
public:
    DDLCLASS(ServiceItemGetPrepurchaseInfoResponse)():_mRevision_ServiceItemGetPrepurchaseInfoResponse(0)
    , nullablePrepurchaseInfo(0)     {};
    DDLCLASS(ServiceItemGetPrepurchaseInfoResponse)(const DDLCLASS(ServiceItemGetPrepurchaseInfoResponse) &oOther):
        ServiceItemEShopResponse(oOther),
        _mRevision_ServiceItemGetPrepurchaseInfoResponse(oOther._mRevision_ServiceItemGetPrepurchaseInfoResponse),
        nullablePrepurchaseInfo(oOther.nullablePrepurchaseInfo)
    {
    }
    virtual ~DDLCLASS(ServiceItemGetPrepurchaseInfoResponse)() {};
    const DDLCLASS(ServiceItemGetPrepurchaseInfoResponse) &operator=(const DDLCLASS(ServiceItemGetPrepurchaseInfoResponse) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemGetPrepurchaseInfoResponse) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemGetPrepurchaseInfoResponse) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemGetPrepurchaseInfoResponse) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemGetPrepurchaseInfoResponse) *pValue);
    qByte _mRevision_ServiceItemGetPrepurchaseInfoResponse;
    qByte GetClassRevision_ServiceItemGetPrepurchaseInfoResponse() const {return _mRevision_ServiceItemGetPrepurchaseInfoResponse;}
    void SetClassRevision_ServiceItemGetPrepurchaseInfoResponse(qByte revision) {_mRevision_ServiceItemGetPrepurchaseInfoResponse=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemGetPrepurchaseInfoResponse() {return 0;}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemPrepurchaseInfo) >::CPPType nullablePrepurchaseInfo;
    NEX_CLASS_VALID_REVISION_DEF(nullablePrepurchaseInfo, 0);
    qBool NEX_CLASS_ISVALID(nullablePrepurchaseInfo) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemGetPrepurchaseInfoResponse): public DDLType {
public:
    typedef ServiceItemGetPrepurchaseInfoResponse CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemGetPrepurchaseInfoResponse)& oServiceItemGetPrepurchaseInfoResponse) {
        DDLCLASS(ServiceItemGetPrepurchaseInfoResponse)::Add(pMessageToSend,oServiceItemGetPrepurchaseInfoResponse);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemGetPrepurchaseInfoResponse)* pServiceItemGetPrepurchaseInfoResponseToRefresh) {
        DDLCLASS(ServiceItemGetPrepurchaseInfoResponse)::Extract(pReceivedMessage,pServiceItemGetPrepurchaseInfoResponseToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
