#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemGetPurchaseHistoryParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemGetPurchaseHistoryParam): public RootObject {
public:
    DDLCLASS(ServiceItemGetPurchaseHistoryParam)():_mRevision_ServiceItemGetPurchaseHistoryParam(0)
     {};
    DDLCLASS(ServiceItemGetPurchaseHistoryParam)(const DDLCLASS(ServiceItemGetPurchaseHistoryParam) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemGetPurchaseHistoryParam(oOther._mRevision_ServiceItemGetPurchaseHistoryParam),
        language(oOther.language),
        offset(oOther.offset),
        size(oOther.size),
        uniqueId(oOther.uniqueId),
        platform(oOther.platform)
    {
    }
    virtual ~DDLCLASS(ServiceItemGetPurchaseHistoryParam)() {};
    const DDLCLASS(ServiceItemGetPurchaseHistoryParam) &operator=(const DDLCLASS(ServiceItemGetPurchaseHistoryParam) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemGetPurchaseHistoryParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemGetPurchaseHistoryParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemGetPurchaseHistoryParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemGetPurchaseHistoryParam) *pValue);
    qByte _mRevision_ServiceItemGetPurchaseHistoryParam;
    qByte GetClassRevision_ServiceItemGetPurchaseHistoryParam() const {return _mRevision_ServiceItemGetPurchaseHistoryParam;}
    void SetClassRevision_ServiceItemGetPurchaseHistoryParam(qByte revision) {_mRevision_ServiceItemGetPurchaseHistoryParam=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemGetPurchaseHistoryParam() {return 0;}
    DDLTYPE(string)::CPPType language;
    NEX_CLASS_VALID_REVISION_DEF(language, 0);
    qBool NEX_CLASS_ISVALID(language) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType offset;
    NEX_CLASS_VALID_REVISION_DEF(offset, 0);
    qBool NEX_CLASS_ISVALID(offset) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType size;
    NEX_CLASS_VALID_REVISION_DEF(size, 0);
    qBool NEX_CLASS_ISVALID(size) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType platform;
    NEX_CLASS_VALID_REVISION_DEF(platform, 0);
    qBool NEX_CLASS_ISVALID(platform) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemGetPurchaseHistoryParam): public DDLType {
public:
    typedef ServiceItemGetPurchaseHistoryParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemGetPurchaseHistoryParam)& oServiceItemGetPurchaseHistoryParam) {
        DDLCLASS(ServiceItemGetPurchaseHistoryParam)::Add(pMessageToSend,oServiceItemGetPurchaseHistoryParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemGetPurchaseHistoryParam)* pServiceItemGetPurchaseHistoryParamToRefresh) {
        DDLCLASS(ServiceItemGetPurchaseHistoryParam)::Extract(pReceivedMessage,pServiceItemGetPurchaseHistoryParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
