#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemListAutoBillingServiceItemParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemListAutoBillingServiceItemParam): public RootObject {
public:
    DDLCLASS(ServiceItemListAutoBillingServiceItemParam)():_mRevision_ServiceItemListAutoBillingServiceItemParam(0)
     {};
    DDLCLASS(ServiceItemListAutoBillingServiceItemParam)(const DDLCLASS(ServiceItemListAutoBillingServiceItemParam) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemListAutoBillingServiceItemParam(oOther._mRevision_ServiceItemListAutoBillingServiceItemParam),
        uniqueId(oOther.uniqueId),
        language(oOther.language),
        offset(oOther.offset),
        size(oOther.size),
        platform(oOther.platform)
    {
    }
    virtual ~DDLCLASS(ServiceItemListAutoBillingServiceItemParam)() {};
    const DDLCLASS(ServiceItemListAutoBillingServiceItemParam) &operator=(const DDLCLASS(ServiceItemListAutoBillingServiceItemParam) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemListAutoBillingServiceItemParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemListAutoBillingServiceItemParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemListAutoBillingServiceItemParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemListAutoBillingServiceItemParam) *pValue);
    qByte _mRevision_ServiceItemListAutoBillingServiceItemParam;
    qByte GetClassRevision_ServiceItemListAutoBillingServiceItemParam() const {return _mRevision_ServiceItemListAutoBillingServiceItemParam;}
    void SetClassRevision_ServiceItemListAutoBillingServiceItemParam(qByte revision) {_mRevision_ServiceItemListAutoBillingServiceItemParam=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemListAutoBillingServiceItemParam() {return 0;}
    DDLTYPE(uint32)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType language;
    NEX_CLASS_VALID_REVISION_DEF(language, 0);
    qBool NEX_CLASS_ISVALID(language) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType offset;
    NEX_CLASS_VALID_REVISION_DEF(offset, 0);
    qBool NEX_CLASS_ISVALID(offset) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType size;
    NEX_CLASS_VALID_REVISION_DEF(size, 0);
    qBool NEX_CLASS_ISVALID(size) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType platform;
    NEX_CLASS_VALID_REVISION_DEF(platform, 0);
    qBool NEX_CLASS_ISVALID(platform) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemListAutoBillingServiceItemParam): public DDLType {
public:
    typedef ServiceItemListAutoBillingServiceItemParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemListAutoBillingServiceItemParam)& oServiceItemListAutoBillingServiceItemParam) {
        DDLCLASS(ServiceItemListAutoBillingServiceItemParam)::Add(pMessageToSend,oServiceItemListAutoBillingServiceItemParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemListAutoBillingServiceItemParam)* pServiceItemListAutoBillingServiceItemParamToRefresh) {
        DDLCLASS(ServiceItemListAutoBillingServiceItemParam)::Extract(pReceivedMessage,pServiceItemListAutoBillingServiceItemParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
