#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemLimitation.h"
#include "ServiceItemAttribute.h"

BEGIN_NAMESPACE_NEX
class ServiceItemListRedemptionItem;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemListRedemptionItem): public RootObject {
public:
    DDLCLASS(ServiceItemListRedemptionItem)():_mRevision_ServiceItemListRedemptionItem(0)
    , attributes(0)     {};
    DDLCLASS(ServiceItemListRedemptionItem)(const DDLCLASS(ServiceItemListRedemptionItem) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemListRedemptionItem(oOther._mRevision_ServiceItemListRedemptionItem),
        itemCode(oOther.itemCode),
        initialPurchaseOnly(oOther.initialPurchaseOnly),
        limitation(oOther.limitation),
        attributes(oOther.attributes)
    {
    }
    virtual ~DDLCLASS(ServiceItemListRedemptionItem)() {};
    const DDLCLASS(ServiceItemListRedemptionItem) &operator=(const DDLCLASS(ServiceItemListRedemptionItem) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemListRedemptionItem) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemListRedemptionItem) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemListRedemptionItem) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemListRedemptionItem) *pValue);
    qByte _mRevision_ServiceItemListRedemptionItem;
    qByte GetClassRevision_ServiceItemListRedemptionItem() const {return _mRevision_ServiceItemListRedemptionItem;}
    void SetClassRevision_ServiceItemListRedemptionItem(qByte revision) {_mRevision_ServiceItemListRedemptionItem=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemListRedemptionItem() {return 0;}
    DDLTYPE(string)::CPPType itemCode;
    NEX_CLASS_VALID_REVISION_DEF(itemCode, 0);
    qBool NEX_CLASS_ISVALID(itemCode) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(bool)::CPPType initialPurchaseOnly;
    NEX_CLASS_VALID_REVISION_DEF(initialPurchaseOnly, 0);
    qBool NEX_CLASS_ISVALID(initialPurchaseOnly) const { return true; /* The revision is 0. Always true */}
    ServiceItemLimitation limitation;
    NEX_CLASS_VALID_REVISION_DEF(limitation, 0);
    qBool NEX_CLASS_ISVALID(limitation) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemAttribute) >::CPPType attributes;
    NEX_CLASS_VALID_REVISION_DEF(attributes, 0);
    qBool NEX_CLASS_ISVALID(attributes) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemListRedemptionItem): public DDLType {
public:
    typedef ServiceItemListRedemptionItem CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemListRedemptionItem)& oServiceItemListRedemptionItem) {
        DDLCLASS(ServiceItemListRedemptionItem)::Add(pMessageToSend,oServiceItemListRedemptionItem);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemListRedemptionItem)* pServiceItemListRedemptionItemToRefresh) {
        DDLCLASS(ServiceItemListRedemptionItem)::Extract(pReceivedMessage,pServiceItemListRedemptionItemToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
