#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemListServiceItemParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemListServiceItemParam): public RootObject {
public:
    DDLCLASS(ServiceItemListServiceItemParam)():_mRevision_ServiceItemListServiceItemParam(0)
     {};
    DDLCLASS(ServiceItemListServiceItemParam)(const DDLCLASS(ServiceItemListServiceItemParam) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemListServiceItemParam(oOther._mRevision_ServiceItemListServiceItemParam),
        language(oOther.language),
        offset(oOther.offset),
        size(oOther.size),
        isBalanceAvailable(oOther.isBalanceAvailable),
        uniqueId(oOther.uniqueId),
        platform(oOther.platform)
    {
    }
    virtual ~DDLCLASS(ServiceItemListServiceItemParam)() {};
    const DDLCLASS(ServiceItemListServiceItemParam) &operator=(const DDLCLASS(ServiceItemListServiceItemParam) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemListServiceItemParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemListServiceItemParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemListServiceItemParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemListServiceItemParam) *pValue);
    qByte _mRevision_ServiceItemListServiceItemParam;
    qByte GetClassRevision_ServiceItemListServiceItemParam() const {return _mRevision_ServiceItemListServiceItemParam;}
    void SetClassRevision_ServiceItemListServiceItemParam(qByte revision) {_mRevision_ServiceItemListServiceItemParam=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemListServiceItemParam() {return 0;}
    DDLTYPE(string)::CPPType language;
    NEX_CLASS_VALID_REVISION_DEF(language, 0);
    qBool NEX_CLASS_ISVALID(language) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType offset;
    NEX_CLASS_VALID_REVISION_DEF(offset, 0);
    qBool NEX_CLASS_ISVALID(offset) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType size;
    NEX_CLASS_VALID_REVISION_DEF(size, 0);
    qBool NEX_CLASS_ISVALID(size) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(bool)::CPPType isBalanceAvailable;
    NEX_CLASS_VALID_REVISION_DEF(isBalanceAvailable, 0);
    qBool NEX_CLASS_ISVALID(isBalanceAvailable) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType platform;
    NEX_CLASS_VALID_REVISION_DEF(platform, 0);
    qBool NEX_CLASS_ISVALID(platform) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemListServiceItemParam): public DDLType {
public:
    typedef ServiceItemListServiceItemParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemListServiceItemParam)& oServiceItemListServiceItemParam) {
        DDLCLASS(ServiceItemListServiceItemParam)::Add(pMessageToSend,oServiceItemListServiceItemParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemListServiceItemParam)* pServiceItemListServiceItemParamToRefresh) {
        DDLCLASS(ServiceItemListServiceItemParam)::Extract(pReceivedMessage,pServiceItemListServiceItemParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
