#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "ServiceItemEShopResponse.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemCatalog.h"

BEGIN_NAMESPACE_NEX
class ServiceItemListServiceItemResponse;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemListServiceItemResponse): public ServiceItemEShopResponse {
public:
    DDLCLASS(ServiceItemListServiceItemResponse)():_mRevision_ServiceItemListServiceItemResponse(0)
    , nullableCatalog(0)     {};
    DDLCLASS(ServiceItemListServiceItemResponse)(const DDLCLASS(ServiceItemListServiceItemResponse) &oOther):
        ServiceItemEShopResponse(oOther),
        _mRevision_ServiceItemListServiceItemResponse(oOther._mRevision_ServiceItemListServiceItemResponse),
        nullableCatalog(oOther.nullableCatalog)
    {
    }
    virtual ~DDLCLASS(ServiceItemListServiceItemResponse)() {};
    const DDLCLASS(ServiceItemListServiceItemResponse) &operator=(const DDLCLASS(ServiceItemListServiceItemResponse) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemListServiceItemResponse) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemListServiceItemResponse) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemListServiceItemResponse) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemListServiceItemResponse) *pValue);
    qByte _mRevision_ServiceItemListServiceItemResponse;
    qByte GetClassRevision_ServiceItemListServiceItemResponse() const {return _mRevision_ServiceItemListServiceItemResponse;}
    void SetClassRevision_ServiceItemListServiceItemResponse(qByte revision) {_mRevision_ServiceItemListServiceItemResponse=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemListServiceItemResponse() {return 0;}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemCatalog) >::CPPType nullableCatalog;
    NEX_CLASS_VALID_REVISION_DEF(nullableCatalog, 0);
    qBool NEX_CLASS_ISVALID(nullableCatalog) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemListServiceItemResponse): public DDLType {
public:
    typedef ServiceItemListServiceItemResponse CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemListServiceItemResponse)& oServiceItemListServiceItemResponse) {
        DDLCLASS(ServiceItemListServiceItemResponse)::Add(pMessageToSend,oServiceItemListServiceItemResponse);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemListServiceItemResponse)* pServiceItemListServiceItemResponseToRefresh) {
        DDLCLASS(ServiceItemListServiceItemResponse)::Extract(pReceivedMessage,pServiceItemListServiceItemResponseToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
