#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemPostRightBinaryByAccountParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemPostRightBinaryByAccountParam): public RootObject {
public:
    DDLCLASS(ServiceItemPostRightBinaryByAccountParam)():_mRevision_ServiceItemPostRightBinaryByAccountParam(0)
     {};
    DDLCLASS(ServiceItemPostRightBinaryByAccountParam)(const DDLCLASS(ServiceItemPostRightBinaryByAccountParam) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemPostRightBinaryByAccountParam(oOther._mRevision_ServiceItemPostRightBinaryByAccountParam),
        referenceId(oOther.referenceId),
        useType(oOther.useType),
        rightBinary(oOther.rightBinary),
        logMessage(oOther.logMessage),
        uniqueId(oOther.uniqueId),
        platform(oOther.platform)
    {
    }
    virtual ~DDLCLASS(ServiceItemPostRightBinaryByAccountParam)() {};
    const DDLCLASS(ServiceItemPostRightBinaryByAccountParam) &operator=(const DDLCLASS(ServiceItemPostRightBinaryByAccountParam) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemPostRightBinaryByAccountParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemPostRightBinaryByAccountParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemPostRightBinaryByAccountParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemPostRightBinaryByAccountParam) *pValue);
    qByte _mRevision_ServiceItemPostRightBinaryByAccountParam;
    qByte GetClassRevision_ServiceItemPostRightBinaryByAccountParam() const {return _mRevision_ServiceItemPostRightBinaryByAccountParam;}
    void SetClassRevision_ServiceItemPostRightBinaryByAccountParam(qByte revision) {_mRevision_ServiceItemPostRightBinaryByAccountParam=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemPostRightBinaryByAccountParam() {return 0;}
    DDLTYPE(string)::CPPType referenceId;
    NEX_CLASS_VALID_REVISION_DEF(referenceId, 0);
    qBool NEX_CLASS_ISVALID(referenceId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType useType;
    NEX_CLASS_VALID_REVISION_DEF(useType, 0);
    qBool NEX_CLASS_ISVALID(useType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qBuffer)::CPPType rightBinary;
    NEX_CLASS_VALID_REVISION_DEF(rightBinary, 0);
    qBool NEX_CLASS_ISVALID(rightBinary) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType logMessage;
    NEX_CLASS_VALID_REVISION_DEF(logMessage, 0);
    qBool NEX_CLASS_ISVALID(logMessage) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType platform;
    NEX_CLASS_VALID_REVISION_DEF(platform, 0);
    qBool NEX_CLASS_ISVALID(platform) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemPostRightBinaryByAccountParam): public DDLType {
public:
    typedef ServiceItemPostRightBinaryByAccountParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemPostRightBinaryByAccountParam)& oServiceItemPostRightBinaryByAccountParam) {
        DDLCLASS(ServiceItemPostRightBinaryByAccountParam)::Add(pMessageToSend,oServiceItemPostRightBinaryByAccountParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemPostRightBinaryByAccountParam)* pServiceItemPostRightBinaryByAccountParamToRefresh) {
        DDLCLASS(ServiceItemPostRightBinaryByAccountParam)::Extract(pReceivedMessage,pServiceItemPostRightBinaryByAccountParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
