#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "ServiceItemEShopResponse.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemPurchaseInfo.h"

BEGIN_NAMESPACE_NEX
class ServiceItemPurchaseServiceItemResponse;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemPurchaseServiceItemResponse): public ServiceItemEShopResponse {
public:
    DDLCLASS(ServiceItemPurchaseServiceItemResponse)():_mRevision_ServiceItemPurchaseServiceItemResponse(0)
    , nullablePurchaseInfo(0)     {};
    DDLCLASS(ServiceItemPurchaseServiceItemResponse)(const DDLCLASS(ServiceItemPurchaseServiceItemResponse) &oOther):
        ServiceItemEShopResponse(oOther),
        _mRevision_ServiceItemPurchaseServiceItemResponse(oOther._mRevision_ServiceItemPurchaseServiceItemResponse),
        nullablePurchaseInfo(oOther.nullablePurchaseInfo)
    {
    }
    virtual ~DDLCLASS(ServiceItemPurchaseServiceItemResponse)() {};
    const DDLCLASS(ServiceItemPurchaseServiceItemResponse) &operator=(const DDLCLASS(ServiceItemPurchaseServiceItemResponse) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemPurchaseServiceItemResponse) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemPurchaseServiceItemResponse) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemPurchaseServiceItemResponse) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemPurchaseServiceItemResponse) *pValue);
    qByte _mRevision_ServiceItemPurchaseServiceItemResponse;
    qByte GetClassRevision_ServiceItemPurchaseServiceItemResponse() const {return _mRevision_ServiceItemPurchaseServiceItemResponse;}
    void SetClassRevision_ServiceItemPurchaseServiceItemResponse(qByte revision) {_mRevision_ServiceItemPurchaseServiceItemResponse=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemPurchaseServiceItemResponse() {return 0;}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemPurchaseInfo) >::CPPType nullablePurchaseInfo;
    NEX_CLASS_VALID_REVISION_DEF(nullablePurchaseInfo, 0);
    qBool NEX_CLASS_ISVALID(nullablePurchaseInfo) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemPurchaseServiceItemResponse): public DDLType {
public:
    typedef ServiceItemPurchaseServiceItemResponse CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemPurchaseServiceItemResponse)& oServiceItemPurchaseServiceItemResponse) {
        DDLCLASS(ServiceItemPurchaseServiceItemResponse)::Add(pMessageToSend,oServiceItemPurchaseServiceItemResponse);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemPurchaseServiceItemResponse)* pServiceItemPurchaseServiceItemResponseToRefresh) {
        DDLCLASS(ServiceItemPurchaseServiceItemResponse)::Extract(pReceivedMessage,pServiceItemPurchaseServiceItemResponseToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
