#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "ServiceItemRightInfo.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemAccountRightConsumption.h"

BEGIN_NAMESPACE_NEX
class ServiceItemRightConsumptionInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemRightConsumptionInfo): public ServiceItemRightInfo {
public:
    DDLCLASS(ServiceItemRightConsumptionInfo)():_mRevision_ServiceItemRightConsumptionInfo(0)
    , accountRights(0)     {};
    DDLCLASS(ServiceItemRightConsumptionInfo)(const DDLCLASS(ServiceItemRightConsumptionInfo) &oOther):
        ServiceItemRightInfo(oOther),
        _mRevision_ServiceItemRightConsumptionInfo(oOther._mRevision_ServiceItemRightConsumptionInfo),
        accountRights(oOther.accountRights)
    {
    }
    virtual ~DDLCLASS(ServiceItemRightConsumptionInfo)() {};
    const DDLCLASS(ServiceItemRightConsumptionInfo) &operator=(const DDLCLASS(ServiceItemRightConsumptionInfo) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemRightConsumptionInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemRightConsumptionInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemRightConsumptionInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemRightConsumptionInfo) *pValue);
    qByte _mRevision_ServiceItemRightConsumptionInfo;
    qByte GetClassRevision_ServiceItemRightConsumptionInfo() const {return _mRevision_ServiceItemRightConsumptionInfo;}
    void SetClassRevision_ServiceItemRightConsumptionInfo(qByte revision) {_mRevision_ServiceItemRightConsumptionInfo=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemRightConsumptionInfo() {return 0;}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemAccountRightConsumption) >::CPPType accountRights;
    NEX_CLASS_VALID_REVISION_DEF(accountRights, 0);
    qBool NEX_CLASS_ISVALID(accountRights) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemRightConsumptionInfo): public DDLType {
public:
    typedef ServiceItemRightConsumptionInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemRightConsumptionInfo)& oServiceItemRightConsumptionInfo) {
        DDLCLASS(ServiceItemRightConsumptionInfo)::Add(pMessageToSend,oServiceItemRightConsumptionInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemRightConsumptionInfo)* pServiceItemRightConsumptionInfoToRefresh) {
        DDLCLASS(ServiceItemRightConsumptionInfo)::Extract(pReceivedMessage,pServiceItemRightConsumptionInfoToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
