#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemUseServiceItemByAccountParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemUseServiceItemByAccountParam): public RootObject {
public:
    DDLCLASS(ServiceItemUseServiceItemByAccountParam)():_mRevision_ServiceItemUseServiceItemByAccountParam(0)
     {};
    DDLCLASS(ServiceItemUseServiceItemByAccountParam)(const DDLCLASS(ServiceItemUseServiceItemByAccountParam) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemUseServiceItemByAccountParam(oOther._mRevision_ServiceItemUseServiceItemByAccountParam),
        referenceIdForUse(oOther.referenceIdForUse),
        referenceIdForRightBinary(oOther.referenceIdForRightBinary),
        useType(oOther.useType),
        useNumber(oOther.useNumber),
        rightBinary(oOther.rightBinary),
        logMessage(oOther.logMessage),
        uniqueId(oOther.uniqueId),
        platform(oOther.platform)
    {
    }
    virtual ~DDLCLASS(ServiceItemUseServiceItemByAccountParam)() {};
    const DDLCLASS(ServiceItemUseServiceItemByAccountParam) &operator=(const DDLCLASS(ServiceItemUseServiceItemByAccountParam) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemUseServiceItemByAccountParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemUseServiceItemByAccountParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemUseServiceItemByAccountParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemUseServiceItemByAccountParam) *pValue);
    qByte _mRevision_ServiceItemUseServiceItemByAccountParam;
    qByte GetClassRevision_ServiceItemUseServiceItemByAccountParam() const {return _mRevision_ServiceItemUseServiceItemByAccountParam;}
    void SetClassRevision_ServiceItemUseServiceItemByAccountParam(qByte revision) {_mRevision_ServiceItemUseServiceItemByAccountParam=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemUseServiceItemByAccountParam() {return 0;}
    DDLTYPE(string)::CPPType referenceIdForUse;
    NEX_CLASS_VALID_REVISION_DEF(referenceIdForUse, 0);
    qBool NEX_CLASS_ISVALID(referenceIdForUse) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType referenceIdForRightBinary;
    NEX_CLASS_VALID_REVISION_DEF(referenceIdForRightBinary, 0);
    qBool NEX_CLASS_ISVALID(referenceIdForRightBinary) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType useType;
    NEX_CLASS_VALID_REVISION_DEF(useType, 0);
    qBool NEX_CLASS_ISVALID(useType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType useNumber;
    NEX_CLASS_VALID_REVISION_DEF(useNumber, 0);
    qBool NEX_CLASS_ISVALID(useNumber) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qBuffer)::CPPType rightBinary;
    NEX_CLASS_VALID_REVISION_DEF(rightBinary, 0);
    qBool NEX_CLASS_ISVALID(rightBinary) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType logMessage;
    NEX_CLASS_VALID_REVISION_DEF(logMessage, 0);
    qBool NEX_CLASS_ISVALID(logMessage) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType platform;
    NEX_CLASS_VALID_REVISION_DEF(platform, 0);
    qBool NEX_CLASS_ISVALID(platform) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemUseServiceItemByAccountParam): public DDLType {
public:
    typedef ServiceItemUseServiceItemByAccountParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemUseServiceItemByAccountParam)& oServiceItemUseServiceItemByAccountParam) {
        DDLCLASS(ServiceItemUseServiceItemByAccountParam)::Add(pMessageToSend,oServiceItemUseServiceItemByAccountParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemUseServiceItemByAccountParam)* pServiceItemUseServiceItemByAccountParamToRefresh) {
        DDLCLASS(ServiceItemUseServiceItemByAccountParam)::Extract(pReceivedMessage,pServiceItemUseServiceItemByAccountParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
