#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemUserInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemUserInfo): public RootObject {
public:
    DDLCLASS(ServiceItemUserInfo)():_mRevision_ServiceItemUserInfo(0)
     {};
    DDLCLASS(ServiceItemUserInfo)(const DDLCLASS(ServiceItemUserInfo) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemUserInfo(oOther._mRevision_ServiceItemUserInfo),
        applicationBuffer(oOther.applicationBuffer)
    {
    }
    virtual ~DDLCLASS(ServiceItemUserInfo)() {};
    const DDLCLASS(ServiceItemUserInfo) &operator=(const DDLCLASS(ServiceItemUserInfo) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemUserInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemUserInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemUserInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemUserInfo) *pValue);
    qByte _mRevision_ServiceItemUserInfo;
    qByte GetClassRevision_ServiceItemUserInfo() const {return _mRevision_ServiceItemUserInfo;}
    void SetClassRevision_ServiceItemUserInfo(qByte revision) {_mRevision_ServiceItemUserInfo=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemUserInfo() {return 0;}
    DDLTYPE(qBuffer)::CPPType applicationBuffer;
    NEX_CLASS_VALID_REVISION_DEF(applicationBuffer, 0);
    qBool NEX_CLASS_ISVALID(applicationBuffer) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(ServiceItemUserInfo): public DDLType {
public:
    typedef ServiceItemUserInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemUserInfo)& oServiceItemUserInfo) {
        DDLCLASS(ServiceItemUserInfo)::Add(pMessageToSend,oServiceItemUserInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemUserInfo)* pServiceItemUserInfoToRefresh) {
        DDLCLASS(ServiceItemUserInfo)::Extract(pReceivedMessage,pServiceItemUserInfoToRefresh);
    }
};

class ServiceItemUserInfo: public DDLCLASS(ServiceItemUserInfo) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
