#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class SubscriberGetTimelineParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(SubscriberGetTimelineParam): public RootObject {
public:
    DDLCLASS(SubscriberGetTimelineParam)():_mRevision_SubscriberGetTimelineParam(0)
     {};
    DDLCLASS(SubscriberGetTimelineParam)(const DDLCLASS(SubscriberGetTimelineParam) &oOther):
        RootObject(oOther),
        _mRevision_SubscriberGetTimelineParam(oOther._mRevision_SubscriberGetTimelineParam),
        pid(oOther.pid),
        size(oOther.size),
        offset(oOther.offset),
        forceCreate(oOther.forceCreate),
        minimumContentId(oOther.minimumContentId)
    {
    }
    virtual ~DDLCLASS(SubscriberGetTimelineParam)() {};
    const DDLCLASS(SubscriberGetTimelineParam) &operator=(const DDLCLASS(SubscriberGetTimelineParam) &oOther);
    qBool operator==(const DDLCLASS(SubscriberGetTimelineParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(SubscriberGetTimelineParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(SubscriberGetTimelineParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(SubscriberGetTimelineParam) *pValue);
    qByte _mRevision_SubscriberGetTimelineParam;
    qByte GetClassRevision_SubscriberGetTimelineParam() const {return _mRevision_SubscriberGetTimelineParam;}
    void SetClassRevision_SubscriberGetTimelineParam(qByte revision) {_mRevision_SubscriberGetTimelineParam=revision;}
    static qByte GetKnownMaxClassRevision_SubscriberGetTimelineParam() {return 0;}
    DDLTYPE(uint32)::CPPType pid;
    NEX_CLASS_VALID_REVISION_DEF(pid, 0);
    qBool NEX_CLASS_ISVALID(pid) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType size;
    NEX_CLASS_VALID_REVISION_DEF(size, 0);
    qBool NEX_CLASS_ISVALID(size) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType offset;
    NEX_CLASS_VALID_REVISION_DEF(offset, 0);
    qBool NEX_CLASS_ISVALID(offset) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(bool)::CPPType forceCreate;
    NEX_CLASS_VALID_REVISION_DEF(forceCreate, 0);
    qBool NEX_CLASS_ISVALID(forceCreate) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType minimumContentId;
    NEX_CLASS_VALID_REVISION_DEF(minimumContentId, 0);
    qBool NEX_CLASS_ISVALID(minimumContentId) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(SubscriberGetTimelineParam): public DDLType {
public:
    typedef SubscriberGetTimelineParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(SubscriberGetTimelineParam)& oSubscriberGetTimelineParam) {
        DDLCLASS(SubscriberGetTimelineParam)::Add(pMessageToSend,oSubscriberGetTimelineParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(SubscriberGetTimelineParam)* pSubscriberGetTimelineParamToRefresh) {
        DDLCLASS(SubscriberGetTimelineParam)::Extract(pReceivedMessage,pSubscriberGetTimelineParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
