#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "RendezVous/Core/src/Common/ProtocolFoundationProperties.h"
#include "RendezVous/Core/src/Common/UserMessage.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class TextMessage;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(TextMessage): public UserMessage {
public:
    DDLCLASS(TextMessage)():_mRevision_TextMessage(0)
     {};
    DDLCLASS(TextMessage)(const DDLCLASS(TextMessage) &oOther):
        UserMessage(oOther),
        _mRevision_TextMessage(oOther._mRevision_TextMessage),
        m_strTextBody(oOther.m_strTextBody)
    {
    }
    virtual ~DDLCLASS(TextMessage)() {};
    const DDLCLASS(TextMessage) &operator=(const DDLCLASS(TextMessage) &oOther);
    qBool operator==(const DDLCLASS(TextMessage) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(TextMessage) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(TextMessage) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(TextMessage) *pValue);
    qByte _mRevision_TextMessage;
    qByte GetClassRevision_TextMessage() const {return _mRevision_TextMessage;}
    void SetClassRevision_TextMessage(qByte revision) {_mRevision_TextMessage=revision;}
    static qByte GetKnownMaxClassRevision_TextMessage() {return 0;}
    DDLTYPE(string)::CPPType m_strTextBody;
    NEX_CLASS_VALID_REVISION_DEF(m_strTextBody, 0);
    qBool NEX_CLASS_ISVALID(m_strTextBody) const { return true; /* The revision is 0. Always true */}
    public:
	_PR_dataclass_methods_pudecl(TextMessage)
    protected:
	_PR_dataclass_methods_prdecl()
};


class DDLTYPE(TextMessage): public DDLType {
public:
    typedef TextMessage CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(TextMessage)& oTextMessage) {
        DDLCLASS(TextMessage)::Add(pMessageToSend,oTextMessage);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(TextMessage)* pTextMessageToRefresh) {
        DDLCLASS(TextMessage)::Extract(pReceivedMessage,pTextMessageToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
