﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2018, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2018 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/
//
//  位置を表現するクラス
//

#pragma once

#include <nex.h>
#include "PositionDDL.h"

/*!
    @brief 位置情報クラス。
 */
class Position: public NAMESPACE_NEX DATASET(Position)
{
public:
    Position()
    {
        x = 0;
        y = 0;
    }

    void Move(qReal dx, qReal dy)
    {
        x += dx;
        y += dy;
    }

    void Set(qReal dx, qReal dy)
    {
        x = dx;
        y = dy;
    }
};

