#include "Position.h"
BEGIN_NAMESPACE_NEX
	_DS_IMPLEMENT(Position)

	qBool DATASET(Position)::FormatVariableValue(Variable* pVariable, NAMESPACE_NEX String *pstrResult) const {
		_DS_FormatMatchingVariableValue(T_mRevision,_mRevision);
		_DS_FormatMatchingVariableValue(Tx,x);
		_DS_FormatMatchingVariableValue(Ty,y);
		return false;
	}

	void DATASET(Position)::AddSourceTo(Message *pMsg, Time tTimestamp, qBool bDiscovery) {
		DUMMY_PARAM(tTimestamp);DUMMY_PARAM(bDiscovery);
		_MSG_ADD_VARIABLE(T_mRevision,_mRevision);
		_MSG_ADD_VARIABLE(Tx,x);
		_MSG_ADD_VARIABLE(Ty,y);
	}

	void DATASET(Position)::CallOperationOnVars(Operation::Event eEvent, void* pDOOperation) {
		DUMMY_PARAM(eEvent); DUMMY_PARAM(pDOOperation);
		_MSG_OPERATION_EVENT(T_mRevision,_mRevision);
		_MSG_OPERATION_EVENT(Tx, x);
		_MSG_OPERATION_EVENT(Ty, y);
	}

END_NAMESPACE_NEX
