#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
BEGIN_NAMESPACE_NEX
class OSDK_API DATASET(StationIdentification): public DataSet {
public:
	DDLTYPE(byte)::CPPType _mRevision;

/* ************** Begin the dataset definitions ************** */
	/* --- You can access these values directly. --- */

	//define uint32 m_uiProcessType
	DDLTYPE(uint32)::CPPType m_uiProcessType;

	//define string m_strProcessName
	DDLTYPE(string)::CPPType m_strProcessName;

	//define uint32 m_uiProductVersion
	DDLTYPE(uint32)::CPPType m_uiProductVersion;

	//define string m_strIdentificationToken
	DDLTYPE(string)::CPPType m_strIdentificationToken;

	//define string m_strPlayerName
	DDLTYPE(string)::CPPType m_strPlayerName;

	//define uint32 m_uiPrincipalId
	DDLTYPE(uint32)::CPPType m_uiPrincipalId;

	//define byte m_uiLanguageCode
	DDLTYPE(byte)::CPPType m_uiLanguageCode;

	//define uint32 m_uiNetZVersion
	DDLTYPE(uint32)::CPPType m_uiNetZVersion;

	//define uint32 m_uiApplicationVersion
	DDLTYPE(uint32)::CPPType m_uiApplicationVersion;

	//define uint32 m_uiNATProperties
	DDLTYPE(uint32)::CPPType m_uiNATProperties;

	//define uint32 m_uiPlatformID
	DDLTYPE(uint32)::CPPType m_uiPlatformID;

/* ************** End the dataset definitions ************** */

	qUnsignedInt32 GetRevision() { return _mRevision; }

	void InitVariables() {
		_mRevision=1;
	}

	_DS_GENERAL_DECLARATIONS(StationIdentification)
	DATASET(StationIdentification)( const DATASET(StationIdentification) &oOther ):DataSet() ,
		_mRevision(oOther._mRevision), 
		m_uiProcessType(oOther.m_uiProcessType), 
		m_strProcessName(oOther.m_strProcessName), 
		m_uiProductVersion(oOther.m_uiProductVersion), 
		m_strIdentificationToken(oOther.m_strIdentificationToken), 
		m_strPlayerName(oOther.m_strPlayerName), 
		m_uiPrincipalId(oOther.m_uiPrincipalId), 
		m_uiLanguageCode(oOther.m_uiLanguageCode), 
		m_uiNetZVersion(oOther.m_uiNetZVersion), 
		m_uiApplicationVersion(oOther.m_uiApplicationVersion), 
		m_uiNATProperties(oOther.m_uiNATProperties), 
		m_uiPlatformID(oOther.m_uiPlatformID)
	{
	}

	_DS_ASSIGN_OPERATOR(StationIdentification){
		_DS_COPYDATASET_VAR(_mRevision);
		_DS_COPYDATASET_VAR(m_uiProcessType);
		_DS_COPYDATASET_VAR(m_strProcessName);
		_DS_COPYDATASET_VAR(m_uiProductVersion);
		_DS_COPYDATASET_VAR(m_strIdentificationToken);
		_DS_COPYDATASET_VAR(m_strPlayerName);
		_DS_COPYDATASET_VAR(m_uiPrincipalId);
		_DS_COPYDATASET_VAR(m_uiLanguageCode);
		_DS_COPYDATASET_VAR(m_uiNetZVersion);
		_DS_COPYDATASET_VAR(m_uiApplicationVersion);
		_DS_COPYDATASET_VAR(m_uiNATProperties);
		_DS_COPYDATASET_VAR(m_uiPlatformID);
	}

	_DS_EQUAL_OPERATOR(StationIdentification){
		_DS_EQUAL_VAR(_mRevision);
		_DS_EQUAL_VAR(m_uiProcessType);
		_DS_EQUAL_VAR(m_strProcessName);
		_DS_EQUAL_VAR(m_uiProductVersion);
		_DS_EQUAL_VAR(m_strIdentificationToken);
		_DS_EQUAL_VAR(m_strPlayerName);
		_DS_EQUAL_VAR(m_uiPrincipalId);
		_DS_EQUAL_VAR(m_uiLanguageCode);
		_DS_EQUAL_VAR(m_uiNetZVersion);
		_DS_EQUAL_VAR(m_uiApplicationVersion);
		_DS_EQUAL_VAR(m_uiNATProperties);
		_DS_EQUAL_VAR(m_uiPlatformID);
		return true;
	}

	_DS_TMPL_EQUAL_OPERATOR(StationIdentification)
	void ExtractFrom(Message* pMsg) {
		_MSG_EXTRACT_VARIABLE(T_mRevision, _mRevision);
		_MSG_EXTRACT_VARIABLE(Tm_uiProcessType,m_uiProcessType);
		_MSG_EXTRACT_VARIABLE(Tm_strProcessName,m_strProcessName);
		_MSG_EXTRACT_VARIABLE(Tm_uiProductVersion,m_uiProductVersion);
		_MSG_EXTRACT_VARIABLE(Tm_strIdentificationToken,m_strIdentificationToken);
		_MSG_EXTRACT_VARIABLE(Tm_strPlayerName,m_strPlayerName);
		_MSG_EXTRACT_VARIABLE(Tm_uiPrincipalId,m_uiPrincipalId);
		_MSG_EXTRACT_VARIABLE(Tm_uiLanguageCode,m_uiLanguageCode);
		_MSG_EXTRACT_VARIABLE(Tm_uiNetZVersion,m_uiNetZVersion);
		_MSG_EXTRACT_VARIABLE(Tm_uiApplicationVersion,m_uiApplicationVersion);
		_MSG_EXTRACT_VARIABLE(Tm_uiNATProperties,m_uiNATProperties);
		if (_mRevision < 1) { return; }
		_MSG_EXTRACT_VARIABLE(Tm_uiPlatformID,m_uiPlatformID);
	}



	DATASET_VALID_REVISION_DEF(m_uiProcessType, 0);
	qBool DATASET_ISVALID(m_uiProcessType){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(m_strProcessName, 0);
	qBool DATASET_ISVALID(m_strProcessName){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(m_uiProductVersion, 0);
	qBool DATASET_ISVALID(m_uiProductVersion){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(m_strIdentificationToken, 0);
	qBool DATASET_ISVALID(m_strIdentificationToken){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(m_strPlayerName, 0);
	qBool DATASET_ISVALID(m_strPlayerName){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(m_uiPrincipalId, 0);
	qBool DATASET_ISVALID(m_uiPrincipalId){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(m_uiLanguageCode, 0);
	qBool DATASET_ISVALID(m_uiLanguageCode){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(m_uiNetZVersion, 0);
	qBool DATASET_ISVALID(m_uiNetZVersion){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(m_uiApplicationVersion, 0);
	qBool DATASET_ISVALID(m_uiApplicationVersion){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(m_uiNATProperties, 0);
	qBool DATASET_ISVALID(m_uiNATProperties){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(m_uiPlatformID, 1);
	qBool DATASET_ISVALID(m_uiPlatformID){ return DATASET_VALID_REVISION(m_uiPlatformID) <= _mRevision;}

protected:
private:
	typedef DDLTYPE(byte) T_mRevision;
	typedef DDLTYPE(uint32) Tm_uiProcessType;
	typedef DDLTYPE(string) Tm_strProcessName;
	typedef DDLTYPE(uint32) Tm_uiProductVersion;
	typedef DDLTYPE(string) Tm_strIdentificationToken;
	typedef DDLTYPE(string) Tm_strPlayerName;
	typedef DDLTYPE(uint32) Tm_uiPrincipalId;
	typedef DDLTYPE(byte) Tm_uiLanguageCode;
	typedef DDLTYPE(uint32) Tm_uiNetZVersion;
	typedef DDLTYPE(uint32) Tm_uiApplicationVersion;
	typedef DDLTYPE(uint32) Tm_uiNATProperties;
	typedef DDLTYPE(uint32) Tm_uiPlatformID;
};

#define _DSDECL_StationIdentification StationIdentification

END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
