/*---------------------------------------------------------------------------*
  Copyright (C)2011-2018 Nintendo Co., Ltd.  All rights reserved.
 
  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/
#pragma once 

#include <OnlineCore/src/Platform/Core/PlatformDeclInternal.h>
#ifdef NEX_SIGLO_FAMILY
#ifdef NEX_FORCE_USE_NATIVE_WINSOCK
#include <winsock2.h>
#include <ws2tcpip.h>
#else
#include <nn/socket/socket_Api.h>
#endif
#include <curl/curl.h>

#elif defined(CAFE_TARGET)
#include <cafe/curl/curl.h>
#include <cafe/nssl/nsslclient.h>
#elif defined CAFEIOP_TARGET
#include <cafe/net/so.h>
#include <iop/curl/curl.h>
#include <iop/nssl/nsslclient.h>
#else
#include <curl/curl.h>
#endif

#include <OnlineCore/src/NintendoHTTP/CurlPrivateSetting.h>

