/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2018, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2018 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are 
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#pragma once

#define NEX_VERSION_DATE            20180123
#define NEX_VERSION_TIME            1736
#define NEX_VERSION_MAJOR           4
#define NEX_VERSION_MINOR           4
#define NEX_VERSION_MICRO           0
#define NEX_VERSION_CLIENT_MICRO    NEX_VERSION_MICRO
#define NEX_VERSION_SERVER_MICRO    0
#define NEX_VERSION_PATCH           ""
#define NEX_VERSION_DDL             4
#define NEX_VERSION_SERVER_CUSTOM   0
#define NEX_NGS_API_VERSION_GENERAL 2
#define NEX_NGS_API_VERSION_CUSTOM  2
#define NEX_NGS_API_VERSION_GENERAL_UNKNOWN 1
#define NEX_NGS_API_VERSION_CUSTOM_UNKNOWN  1
#define NEX_NGS_REQUIRED_API_VERSION_GENERAL 1
#define NEX_NGS_REQUIRED_API_VERSION_CUSTOM  1
#define NEX_VERSION_REVISION        "75f8c9c6be15408faf20e9b50ba970aa3b5cf9f5"
#define NEX_VERSION_BRANCH          "origin/master"

#define NEX_VER_STR(version) NEX_VER_STR_(version)
#define NEX_VER_STR_(version) #version

#define NEX_VERSION_STRING "NEX_" NEX_VER_STR(NEX_VERSION_MAJOR) "_" NEX_VER_STR(NEX_VERSION_MINOR) "_" NEX_VER_STR(NEX_VERSION_CLIENT_MICRO)NEX_VERSION_PATCH
#define NEX_CLIENT_VERSION_STRING NEX_VERSION_STRING
#define NEX_SERVER_VERSION_STRING "NEX_" NEX_VER_STR(NEX_VERSION_MAJOR) "_" NEX_VER_STR(NEX_VERSION_MINOR) "_" NEX_VER_STR(NEX_VERSION_SERVER_MICRO)NEX_VERSION_PATCH
