#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class AccountData;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(AccountData): public RootObject {
public:
    DDLCLASS(AccountData)():_mRevision_AccountData(0)
     {};
    DDLCLASS(AccountData)(const DDLCLASS(AccountData) &oOther):
        RootObject(oOther),
        _mRevision_AccountData(oOther._mRevision_AccountData),
        m_pid(oOther.m_pid),
        m_strName(oOther.m_strName),
        m_uiGroups(oOther.m_uiGroups),
        m_strEmail(oOther.m_strEmail),
        m_dtCreationDate(oOther.m_dtCreationDate),
        m_dtEffectiveDate(oOther.m_dtEffectiveDate),
        m_strNotEffectiveMsg(oOther.m_strNotEffectiveMsg),
        m_dtExpiryDate(oOther.m_dtExpiryDate),
        m_strExpiredMsg(oOther.m_strExpiredMsg)
    {
    }
    virtual ~DDLCLASS(AccountData)() {};
    const DDLCLASS(AccountData) &operator=(const DDLCLASS(AccountData) &oOther);
    qBool operator==(const DDLCLASS(AccountData) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(AccountData) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(AccountData) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(AccountData) *pValue);
    qByte _mRevision_AccountData;
    qByte GetClassRevision_AccountData() const {return _mRevision_AccountData;}
    void SetClassRevision_AccountData(qByte revision) {_mRevision_AccountData=revision;}
    static qByte GetKnownMaxClassRevision_AccountData() {return 0;}
    DDLTYPE(uint32)::CPPType m_pid;
    NEX_CLASS_VALID_REVISION_DEF(m_pid, 0);
    qBool NEX_CLASS_ISVALID(m_pid) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType m_strName;
    NEX_CLASS_VALID_REVISION_DEF(m_strName, 0);
    qBool NEX_CLASS_ISVALID(m_strName) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType m_uiGroups;
    NEX_CLASS_VALID_REVISION_DEF(m_uiGroups, 0);
    qBool NEX_CLASS_ISVALID(m_uiGroups) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType m_strEmail;
    NEX_CLASS_VALID_REVISION_DEF(m_strEmail, 0);
    qBool NEX_CLASS_ISVALID(m_strEmail) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(datetime)::CPPType m_dtCreationDate;
    NEX_CLASS_VALID_REVISION_DEF(m_dtCreationDate, 0);
    qBool NEX_CLASS_ISVALID(m_dtCreationDate) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(datetime)::CPPType m_dtEffectiveDate;
    NEX_CLASS_VALID_REVISION_DEF(m_dtEffectiveDate, 0);
    qBool NEX_CLASS_ISVALID(m_dtEffectiveDate) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType m_strNotEffectiveMsg;
    NEX_CLASS_VALID_REVISION_DEF(m_strNotEffectiveMsg, 0);
    qBool NEX_CLASS_ISVALID(m_strNotEffectiveMsg) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(datetime)::CPPType m_dtExpiryDate;
    NEX_CLASS_VALID_REVISION_DEF(m_dtExpiryDate, 0);
    qBool NEX_CLASS_ISVALID(m_dtExpiryDate) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType m_strExpiredMsg;
    NEX_CLASS_VALID_REVISION_DEF(m_strExpiredMsg, 0);
    qBool NEX_CLASS_ISVALID(m_strExpiredMsg) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(AccountData): public DDLType {
public:
    typedef AccountData CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(AccountData)& oAccountData) {
        DDLCLASS(AccountData)::Add(pMessageToSend,oAccountData);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(AccountData)* pAccountDataToRefresh) {
        DDLCLASS(AccountData)::Extract(pReceivedMessage,pAccountDataToRefresh);
    }
};

class AccountData: public DDLCLASS(AccountData) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
