#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "ProtocolFoundationProperties.h"

BEGIN_NAMESPACE_NEX
class Data;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class OSDK_API DDLCLASS(Data): public RootObject {
public:
    DDLCLASS(Data)():_mRevision_Data(0)
     {};
    DDLCLASS(Data)(const DDLCLASS(Data) &oOther):
        RootObject(oOther),
        _mRevision_Data(oOther._mRevision_Data)
    {
    }
    virtual ~DDLCLASS(Data)() {};
    const DDLCLASS(Data) &operator=(const DDLCLASS(Data) &oOther);
    qBool operator==(const DDLCLASS(Data) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(Data) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(Data) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(Data) *pValue);
    qByte _mRevision_Data;
    qByte GetClassRevision_Data() const {return _mRevision_Data;}
    void SetClassRevision_Data(qByte revision) {_mRevision_Data=revision;}
    static qByte GetKnownMaxClassRevision_Data() {return 0;}
    public:
	_PR_dataclass_methods_pudecl(Data)
    protected:
	_PR_dataclass_methods_prdecl()
};


class DDLTYPE(Data): public DDLType {
public:
    typedef Data CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(Data)& oData) {
        DDLCLASS(Data)::Add(pMessageToSend,oData);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(Data)* pDataToRefresh) {
        DDLCLASS(Data)::Extract(pReceivedMessage,pDataToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
