#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ResultRange;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class OSDK_API DDLCLASS(ResultRange): public RootObject {
public:
    DDLCLASS(ResultRange)():_mRevision_ResultRange(0)
     {};
    DDLCLASS(ResultRange)(const DDLCLASS(ResultRange) &oOther):
        RootObject(oOther),
        _mRevision_ResultRange(oOther._mRevision_ResultRange),
        m_uiOffset(oOther.m_uiOffset),
        m_uiSize(oOther.m_uiSize)
    {
    }
    virtual ~DDLCLASS(ResultRange)() {};
    const DDLCLASS(ResultRange) &operator=(const DDLCLASS(ResultRange) &oOther);
    qBool operator==(const DDLCLASS(ResultRange) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ResultRange) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ResultRange) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ResultRange) *pValue);
    qByte _mRevision_ResultRange;
    qByte GetClassRevision_ResultRange() const {return _mRevision_ResultRange;}
    void SetClassRevision_ResultRange(qByte revision) {_mRevision_ResultRange=revision;}
    static qByte GetKnownMaxClassRevision_ResultRange() {return 0;}
    DDLTYPE(uint32)::CPPType m_uiOffset;
    NEX_CLASS_VALID_REVISION_DEF(m_uiOffset, 0);
    qBool NEX_CLASS_ISVALID(m_uiOffset) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType m_uiSize;
    NEX_CLASS_VALID_REVISION_DEF(m_uiSize, 0);
    qBool NEX_CLASS_ISVALID(m_uiSize) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(ResultRange): public DDLType {
public:
    typedef ResultRange CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ResultRange)& oResultRange) {
        DDLCLASS(ResultRange)::Add(pMessageToSend,oResultRange);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ResultRange)* pResultRangeToRefresh) {
        DDLCLASS(ResultRange)::Extract(pReceivedMessage,pResultRangeToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
