#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ValidateAndRequestTicketResult;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ValidateAndRequestTicketResult): public RootObject {
public:
    DDLCLASS(ValidateAndRequestTicketResult)():_mRevision_ValidateAndRequestTicketResult(0)
     {};
    DDLCLASS(ValidateAndRequestTicketResult)(const DDLCLASS(ValidateAndRequestTicketResult) &oOther):
        RootObject(oOther),
        _mRevision_ValidateAndRequestTicketResult(oOther._mRevision_ValidateAndRequestTicketResult),
        sourcePid(oOther.sourcePid),
        bufResponse(oOther.bufResponse),
        serviceNodeUrl(oOther.serviceNodeUrl),
        currentUtcTime(oOther.currentUtcTime),
        returnMsg(oOther.returnMsg),
        sourceKey(oOther.sourceKey)
    {
    }
    virtual ~DDLCLASS(ValidateAndRequestTicketResult)() {};
    const DDLCLASS(ValidateAndRequestTicketResult) &operator=(const DDLCLASS(ValidateAndRequestTicketResult) &oOther);
    qBool operator==(const DDLCLASS(ValidateAndRequestTicketResult) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ValidateAndRequestTicketResult) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ValidateAndRequestTicketResult) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ValidateAndRequestTicketResult) *pValue);
    qByte _mRevision_ValidateAndRequestTicketResult;
    qByte GetClassRevision_ValidateAndRequestTicketResult() const {return _mRevision_ValidateAndRequestTicketResult;}
    void SetClassRevision_ValidateAndRequestTicketResult(qByte revision) {_mRevision_ValidateAndRequestTicketResult=revision;}
    static qByte GetKnownMaxClassRevision_ValidateAndRequestTicketResult() {return 0;}
    DDLTYPE(uint32)::CPPType sourcePid;
    NEX_CLASS_VALID_REVISION_DEF(sourcePid, 0);
    qBool NEX_CLASS_ISVALID(sourcePid) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(buffer)::CPPType bufResponse;
    NEX_CLASS_VALID_REVISION_DEF(bufResponse, 0);
    qBool NEX_CLASS_ISVALID(bufResponse) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(stationurl)::CPPType serviceNodeUrl;
    NEX_CLASS_VALID_REVISION_DEF(serviceNodeUrl, 0);
    qBool NEX_CLASS_ISVALID(serviceNodeUrl) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(datetime)::CPPType currentUtcTime;
    NEX_CLASS_VALID_REVISION_DEF(currentUtcTime, 0);
    qBool NEX_CLASS_ISVALID(currentUtcTime) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType returnMsg;
    NEX_CLASS_VALID_REVISION_DEF(returnMsg, 0);
    qBool NEX_CLASS_ISVALID(returnMsg) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType sourceKey;
    NEX_CLASS_VALID_REVISION_DEF(sourceKey, 0);
    qBool NEX_CLASS_ISVALID(sourceKey) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(ValidateAndRequestTicketResult): public DDLType {
public:
    typedef ValidateAndRequestTicketResult CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ValidateAndRequestTicketResult)& oValidateAndRequestTicketResult) {
        DDLCLASS(ValidateAndRequestTicketResult)::Add(pMessageToSend,oValidateAndRequestTicketResult);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ValidateAndRequestTicketResult)* pValidateAndRequestTicketResultToRefresh) {
        DDLCLASS(ValidateAndRequestTicketResult)::Extract(pReceivedMessage,pValidateAndRequestTicketResultToRefresh);
    }
};

class ValidateAndRequestTicketResult: public DDLCLASS(ValidateAndRequestTicketResult) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
