#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreGetNotificationUrlParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreGetNotificationUrlParam): public RootObject {
public:
    DDLCLASS(DataStoreGetNotificationUrlParam)():_mRevision_DataStoreGetNotificationUrlParam(0)
     {};
    DDLCLASS(DataStoreGetNotificationUrlParam)(const DDLCLASS(DataStoreGetNotificationUrlParam) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreGetNotificationUrlParam(oOther._mRevision_DataStoreGetNotificationUrlParam),
        previousUrl(oOther.previousUrl)
    {
    }
    virtual ~DDLCLASS(DataStoreGetNotificationUrlParam)() {};
    const DDLCLASS(DataStoreGetNotificationUrlParam) &operator=(const DDLCLASS(DataStoreGetNotificationUrlParam) &oOther);
    qBool operator==(const DDLCLASS(DataStoreGetNotificationUrlParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreGetNotificationUrlParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreGetNotificationUrlParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreGetNotificationUrlParam) *pValue);
    qByte _mRevision_DataStoreGetNotificationUrlParam;
    qByte GetClassRevision_DataStoreGetNotificationUrlParam() const {return _mRevision_DataStoreGetNotificationUrlParam;}
    void SetClassRevision_DataStoreGetNotificationUrlParam(qByte revision) {_mRevision_DataStoreGetNotificationUrlParam=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreGetNotificationUrlParam() {return 0;}
    DDLTYPE(string)::CPPType previousUrl;
    NEX_CLASS_VALID_REVISION_DEF(previousUrl, 0);
    qBool NEX_CLASS_ISVALID(previousUrl) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(DataStoreGetNotificationUrlParam): public DDLType {
public:
    typedef DataStoreGetNotificationUrlParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreGetNotificationUrlParam)& oDataStoreGetNotificationUrlParam) {
        DDLCLASS(DataStoreGetNotificationUrlParam)::Add(pMessageToSend,oDataStoreGetNotificationUrlParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreGetNotificationUrlParam)* pDataStoreGetNotificationUrlParamToRefresh) {
        DDLCLASS(DataStoreGetNotificationUrlParam)::Extract(pReceivedMessage,pDataStoreGetNotificationUrlParamToRefresh);
    }
};

class DataStoreGetNotificationUrlParam: public DDLCLASS(DataStoreGetNotificationUrlParam) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
