#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreGetSpecificMetaParamV1;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreGetSpecificMetaParamV1): public RootObject {
public:
    DDLCLASS(DataStoreGetSpecificMetaParamV1)():_mRevision_DataStoreGetSpecificMetaParamV1(0)
    , dataIds(0)     {};
    DDLCLASS(DataStoreGetSpecificMetaParamV1)(const DDLCLASS(DataStoreGetSpecificMetaParamV1) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreGetSpecificMetaParamV1(oOther._mRevision_DataStoreGetSpecificMetaParamV1),
        dataIds(oOther.dataIds)
    {
    }
    virtual ~DDLCLASS(DataStoreGetSpecificMetaParamV1)() {};
    const DDLCLASS(DataStoreGetSpecificMetaParamV1) &operator=(const DDLCLASS(DataStoreGetSpecificMetaParamV1) &oOther);
    qBool operator==(const DDLCLASS(DataStoreGetSpecificMetaParamV1) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreGetSpecificMetaParamV1) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreGetSpecificMetaParamV1) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreGetSpecificMetaParamV1) *pValue);
    qByte _mRevision_DataStoreGetSpecificMetaParamV1;
    qByte GetClassRevision_DataStoreGetSpecificMetaParamV1() const {return _mRevision_DataStoreGetSpecificMetaParamV1;}
    void SetClassRevision_DataStoreGetSpecificMetaParamV1(qByte revision) {_mRevision_DataStoreGetSpecificMetaParamV1=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreGetSpecificMetaParamV1() {return 0;}
    DDLTYPE(qvector)< DDLTYPE(uint32) >::CPPType dataIds;
    NEX_CLASS_VALID_REVISION_DEF(dataIds, 0);
    qBool NEX_CLASS_ISVALID(dataIds) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(DataStoreGetSpecificMetaParamV1): public DDLType {
public:
    typedef DataStoreGetSpecificMetaParamV1 CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreGetSpecificMetaParamV1)& oDataStoreGetSpecificMetaParamV1) {
        DDLCLASS(DataStoreGetSpecificMetaParamV1)::Add(pMessageToSend,oDataStoreGetSpecificMetaParamV1);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreGetSpecificMetaParamV1)* pDataStoreGetSpecificMetaParamV1ToRefresh) {
        DDLCLASS(DataStoreGetSpecificMetaParamV1)::Extract(pReceivedMessage,pDataStoreGetSpecificMetaParamV1ToRefresh);
    }
};

class DataStoreGetSpecificMetaParamV1: public DDLCLASS(DataStoreGetSpecificMetaParamV1) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
