#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "DataStorePermission.h"
#include "DataStoreRatingInitParamWithSlotDDL.h"

BEGIN_NAMESPACE_NEX
class DataStorePreparePostParamV1;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStorePreparePostParamV1): public RootObject {
public:
    DDLCLASS(DataStorePreparePostParamV1)():_mRevision_DataStorePreparePostParamV1(0)
    , tags(0)    , ratingInitParams(0)     {};
    DDLCLASS(DataStorePreparePostParamV1)(const DDLCLASS(DataStorePreparePostParamV1) &oOther):
        RootObject(oOther),
        _mRevision_DataStorePreparePostParamV1(oOther._mRevision_DataStorePreparePostParamV1),
        size(oOther.size),
        name(oOther.name),
        dataType(oOther.dataType),
        metaBinary(oOther.metaBinary),
        permission(oOther.permission),
        delPermission(oOther.delPermission),
        flag(oOther.flag),
        period(oOther.period),
        referDataId(oOther.referDataId),
        tags(oOther.tags),
        ratingInitParams(oOther.ratingInitParams)
    {
    }
    virtual ~DDLCLASS(DataStorePreparePostParamV1)() {};
    const DDLCLASS(DataStorePreparePostParamV1) &operator=(const DDLCLASS(DataStorePreparePostParamV1) &oOther);
    qBool operator==(const DDLCLASS(DataStorePreparePostParamV1) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStorePreparePostParamV1) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStorePreparePostParamV1) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStorePreparePostParamV1) *pValue);
    qByte _mRevision_DataStorePreparePostParamV1;
    qByte GetClassRevision_DataStorePreparePostParamV1() const {return _mRevision_DataStorePreparePostParamV1;}
    void SetClassRevision_DataStorePreparePostParamV1(qByte revision) {_mRevision_DataStorePreparePostParamV1=revision;}
    static qByte GetKnownMaxClassRevision_DataStorePreparePostParamV1() {return 0;}
    DDLTYPE(uint32)::CPPType size;
    NEX_CLASS_VALID_REVISION_DEF(size, 0);
    qBool NEX_CLASS_ISVALID(size) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType name;
    NEX_CLASS_VALID_REVISION_DEF(name, 0);
    qBool NEX_CLASS_ISVALID(name) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType dataType;
    NEX_CLASS_VALID_REVISION_DEF(dataType, 0);
    qBool NEX_CLASS_ISVALID(dataType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qBuffer)::CPPType metaBinary;
    NEX_CLASS_VALID_REVISION_DEF(metaBinary, 0);
    qBool NEX_CLASS_ISVALID(metaBinary) const { return true; /* The revision is 0. Always true */}
    DataStorePermission permission;
    NEX_CLASS_VALID_REVISION_DEF(permission, 0);
    qBool NEX_CLASS_ISVALID(permission) const { return true; /* The revision is 0. Always true */}
    DataStorePermission delPermission;
    NEX_CLASS_VALID_REVISION_DEF(delPermission, 0);
    qBool NEX_CLASS_ISVALID(delPermission) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType flag;
    NEX_CLASS_VALID_REVISION_DEF(flag, 0);
    qBool NEX_CLASS_ISVALID(flag) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType period;
    NEX_CLASS_VALID_REVISION_DEF(period, 0);
    qBool NEX_CLASS_ISVALID(period) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType referDataId;
    NEX_CLASS_VALID_REVISION_DEF(referDataId, 0);
    qBool NEX_CLASS_ISVALID(referDataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(string) >::CPPType tags;
    NEX_CLASS_VALID_REVISION_DEF(tags, 0);
    qBool NEX_CLASS_ISVALID(tags) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(DataStoreRatingInitParamWithSlot) >::CPPType ratingInitParams;
    NEX_CLASS_VALID_REVISION_DEF(ratingInitParams, 0);
    qBool NEX_CLASS_ISVALID(ratingInitParams) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStorePreparePostParamV1): public DDLType {
public:
    typedef DataStorePreparePostParamV1 CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStorePreparePostParamV1)& oDataStorePreparePostParamV1) {
        DDLCLASS(DataStorePreparePostParamV1)::Add(pMessageToSend,oDataStorePreparePostParamV1);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStorePreparePostParamV1)* pDataStorePreparePostParamV1ToRefresh) {
        DDLCLASS(DataStorePreparePostParamV1)::Extract(pReceivedMessage,pDataStorePreparePostParamV1ToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
