#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ApiCallSummary;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ApiCallSummary): public RootObject {
public:
    DDLCLASS(ApiCallSummary)():_mRevision_ApiCallSummary(0)
     {};
    DDLCLASS(ApiCallSummary)(const DDLCLASS(ApiCallSummary) &oOther):
        RootObject(oOther),
        _mRevision_ApiCallSummary(oOther._mRevision_ApiCallSummary),
        methodName(oOther.methodName),
        result(oOther.result),
        period(oOther.period),
        limit(oOther.limit),
        callStartTime(oOther.callStartTime),
        count(oOther.count),
        totalCount(oOther.totalCount)
    {
    }
    virtual ~DDLCLASS(ApiCallSummary)() {};
    const DDLCLASS(ApiCallSummary) &operator=(const DDLCLASS(ApiCallSummary) &oOther);
    qBool operator==(const DDLCLASS(ApiCallSummary) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ApiCallSummary) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ApiCallSummary) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ApiCallSummary) *pValue);
    qByte _mRevision_ApiCallSummary;
    qByte GetClassRevision_ApiCallSummary() const {return _mRevision_ApiCallSummary;}
    void SetClassRevision_ApiCallSummary(qByte revision) {_mRevision_ApiCallSummary=revision;}
    static qByte GetKnownMaxClassRevision_ApiCallSummary() {return 0;}
    DDLTYPE(string)::CPPType methodName;
    NEX_CLASS_VALID_REVISION_DEF(methodName, 0);
    qBool NEX_CLASS_ISVALID(methodName) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType result;
    NEX_CLASS_VALID_REVISION_DEF(result, 0);
    qBool NEX_CLASS_ISVALID(result) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType period;
    NEX_CLASS_VALID_REVISION_DEF(period, 0);
    qBool NEX_CLASS_ISVALID(period) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType limit;
    NEX_CLASS_VALID_REVISION_DEF(limit, 0);
    qBool NEX_CLASS_ISVALID(limit) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(datetime)::CPPType callStartTime;
    NEX_CLASS_VALID_REVISION_DEF(callStartTime, 0);
    qBool NEX_CLASS_ISVALID(callStartTime) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType count;
    NEX_CLASS_VALID_REVISION_DEF(count, 0);
    qBool NEX_CLASS_ISVALID(count) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType totalCount;
    NEX_CLASS_VALID_REVISION_DEF(totalCount, 0);
    qBool NEX_CLASS_ISVALID(totalCount) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ApiCallSummary): public DDLType {
public:
    typedef ApiCallSummary CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ApiCallSummary)& oApiCallSummary) {
        DDLCLASS(ApiCallSummary)::Add(pMessageToSend,oApiCallSummary);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ApiCallSummary)* pApiCallSummaryToRefresh) {
        DDLCLASS(ApiCallSummary)::Extract(pReceivedMessage,pApiCallSummaryToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
