#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "MatchmakeSession.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class CreateMatchmakeSessionParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(CreateMatchmakeSessionParam): public RootObject {
public:
    DDLCLASS(CreateMatchmakeSessionParam)():_mRevision_CreateMatchmakeSessionParam(0)
     {};
    DDLCLASS(CreateMatchmakeSessionParam)(const DDLCLASS(CreateMatchmakeSessionParam) &oOther):
        RootObject(oOther),
        _mRevision_CreateMatchmakeSessionParam(oOther._mRevision_CreateMatchmakeSessionParam),
        sourceMatchmakeSession(oOther.sourceMatchmakeSession),
        additionalParticipants(oOther.additionalParticipants),
        gidForParticipationCheck(oOther.gidForParticipationCheck),
        createMatchmakeSessionOption(oOther.createMatchmakeSessionOption),
        joinMessage(oOther.joinMessage),
        participationCount(oOther.participationCount)
    {
    }
    virtual ~DDLCLASS(CreateMatchmakeSessionParam)() {};
    const DDLCLASS(CreateMatchmakeSessionParam) &operator=(const DDLCLASS(CreateMatchmakeSessionParam) &oOther);
    qBool operator==(const DDLCLASS(CreateMatchmakeSessionParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(CreateMatchmakeSessionParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(CreateMatchmakeSessionParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(CreateMatchmakeSessionParam) *pValue);
    qByte _mRevision_CreateMatchmakeSessionParam;
    qByte GetClassRevision_CreateMatchmakeSessionParam() const {return _mRevision_CreateMatchmakeSessionParam;}
    void SetClassRevision_CreateMatchmakeSessionParam(qByte revision) {_mRevision_CreateMatchmakeSessionParam=revision;}
    static qByte GetKnownMaxClassRevision_CreateMatchmakeSessionParam() {return 0;}
    MatchmakeSession sourceMatchmakeSession;
    NEX_CLASS_VALID_REVISION_DEF(sourceMatchmakeSession, 0);
    qBool NEX_CLASS_ISVALID(sourceMatchmakeSession) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qlist)< DDLTYPE(uint32) >::CPPType additionalParticipants;
    NEX_CLASS_VALID_REVISION_DEF(additionalParticipants, 0);
    qBool NEX_CLASS_ISVALID(additionalParticipants) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType gidForParticipationCheck;
    NEX_CLASS_VALID_REVISION_DEF(gidForParticipationCheck, 0);
    qBool NEX_CLASS_ISVALID(gidForParticipationCheck) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType createMatchmakeSessionOption;
    NEX_CLASS_VALID_REVISION_DEF(createMatchmakeSessionOption, 0);
    qBool NEX_CLASS_ISVALID(createMatchmakeSessionOption) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType joinMessage;
    NEX_CLASS_VALID_REVISION_DEF(joinMessage, 0);
    qBool NEX_CLASS_ISVALID(joinMessage) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType participationCount;
    NEX_CLASS_VALID_REVISION_DEF(participationCount, 0);
    qBool NEX_CLASS_ISVALID(participationCount) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(CreateMatchmakeSessionParam): public DDLType {
public:
    typedef CreateMatchmakeSessionParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(CreateMatchmakeSessionParam)& oCreateMatchmakeSessionParam) {
        DDLCLASS(CreateMatchmakeSessionParam)::Add(pMessageToSend,oCreateMatchmakeSessionParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(CreateMatchmakeSessionParam)* pCreateMatchmakeSessionParamToRefresh) {
        DDLCLASS(CreateMatchmakeSessionParam)::Extract(pReceivedMessage,pCreateMatchmakeSessionParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
