#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class MatchmakeBlockListParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(MatchmakeBlockListParam): public RootObject {
public:
    DDLCLASS(MatchmakeBlockListParam)():_mRevision_MatchmakeBlockListParam(0)
     {};
    DDLCLASS(MatchmakeBlockListParam)(const DDLCLASS(MatchmakeBlockListParam) &oOther):
        RootObject(oOther),
        _mRevision_MatchmakeBlockListParam(oOther._mRevision_MatchmakeBlockListParam),
        optionFlag(oOther.optionFlag)
    {
    }
    virtual ~DDLCLASS(MatchmakeBlockListParam)() {};
    const DDLCLASS(MatchmakeBlockListParam) &operator=(const DDLCLASS(MatchmakeBlockListParam) &oOther);
    qBool operator==(const DDLCLASS(MatchmakeBlockListParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(MatchmakeBlockListParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(MatchmakeBlockListParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(MatchmakeBlockListParam) *pValue);
    qByte _mRevision_MatchmakeBlockListParam;
    qByte GetClassRevision_MatchmakeBlockListParam() const {return _mRevision_MatchmakeBlockListParam;}
    void SetClassRevision_MatchmakeBlockListParam(qByte revision) {_mRevision_MatchmakeBlockListParam=revision;}
    static qByte GetKnownMaxClassRevision_MatchmakeBlockListParam() {return 0;}
    DDLTYPE(uint32)::CPPType optionFlag;
    NEX_CLASS_VALID_REVISION_DEF(optionFlag, 0);
    qBool NEX_CLASS_ISVALID(optionFlag) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(MatchmakeBlockListParam): public DDLType {
public:
    typedef MatchmakeBlockListParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(MatchmakeBlockListParam)& oMatchmakeBlockListParam) {
        DDLCLASS(MatchmakeBlockListParam)::Add(pMessageToSend,oMatchmakeBlockListParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(MatchmakeBlockListParam)* pMatchmakeBlockListParamToRefresh) {
        DDLCLASS(MatchmakeBlockListParam)::Extract(pReceivedMessage,pMatchmakeBlockListParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
