#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class SimpleCommunity;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(SimpleCommunity): public RootObject {
public:
    DDLCLASS(SimpleCommunity)():_mRevision_SimpleCommunity(0)
     {};
    DDLCLASS(SimpleCommunity)(const DDLCLASS(SimpleCommunity) &oOther):
        RootObject(oOther),
        _mRevision_SimpleCommunity(oOther._mRevision_SimpleCommunity),
        m_GatheringID(oOther.m_GatheringID),
        m_MatchmakeSessionCount(oOther.m_MatchmakeSessionCount)
    {
    }
    virtual ~DDLCLASS(SimpleCommunity)() {};
    const DDLCLASS(SimpleCommunity) &operator=(const DDLCLASS(SimpleCommunity) &oOther);
    qBool operator==(const DDLCLASS(SimpleCommunity) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(SimpleCommunity) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(SimpleCommunity) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(SimpleCommunity) *pValue);
    qByte _mRevision_SimpleCommunity;
    qByte GetClassRevision_SimpleCommunity() const {return _mRevision_SimpleCommunity;}
    void SetClassRevision_SimpleCommunity(qByte revision) {_mRevision_SimpleCommunity=revision;}
    static qByte GetKnownMaxClassRevision_SimpleCommunity() {return 0;}
    DDLTYPE(uint32)::CPPType m_GatheringID;
    NEX_CLASS_VALID_REVISION_DEF(m_GatheringID, 0);
    qBool NEX_CLASS_ISVALID(m_GatheringID) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType m_MatchmakeSessionCount;
    NEX_CLASS_VALID_REVISION_DEF(m_MatchmakeSessionCount, 0);
    qBool NEX_CLASS_ISVALID(m_MatchmakeSessionCount) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(SimpleCommunity): public DDLType {
public:
    typedef SimpleCommunity CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(SimpleCommunity)& oSimpleCommunity) {
        DDLCLASS(SimpleCommunity)::Add(pMessageToSend,oSimpleCommunity);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(SimpleCommunity)* pSimpleCommunityToRefresh) {
        DDLCLASS(SimpleCommunity)::Extract(pReceivedMessage,pSimpleCommunityToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
