#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class SimplePlayingSession;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(SimplePlayingSession): public RootObject {
public:
    DDLCLASS(SimplePlayingSession)():_mRevision_SimplePlayingSession(0)
     {};
    DDLCLASS(SimplePlayingSession)(const DDLCLASS(SimplePlayingSession) &oOther):
        RootObject(oOther),
        _mRevision_SimplePlayingSession(oOther._mRevision_SimplePlayingSession),
        m_PrincipalID(oOther.m_PrincipalID),
        m_GatheringID(oOther.m_GatheringID),
        m_GameMode(oOther.m_GameMode),
        m_Attribute_0(oOther.m_Attribute_0)
    {
    }
    virtual ~DDLCLASS(SimplePlayingSession)() {};
    const DDLCLASS(SimplePlayingSession) &operator=(const DDLCLASS(SimplePlayingSession) &oOther);
    qBool operator==(const DDLCLASS(SimplePlayingSession) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(SimplePlayingSession) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(SimplePlayingSession) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(SimplePlayingSession) *pValue);
    qByte _mRevision_SimplePlayingSession;
    qByte GetClassRevision_SimplePlayingSession() const {return _mRevision_SimplePlayingSession;}
    void SetClassRevision_SimplePlayingSession(qByte revision) {_mRevision_SimplePlayingSession=revision;}
    static qByte GetKnownMaxClassRevision_SimplePlayingSession() {return 0;}
    DDLTYPE(uint32)::CPPType m_PrincipalID;
    NEX_CLASS_VALID_REVISION_DEF(m_PrincipalID, 0);
    qBool NEX_CLASS_ISVALID(m_PrincipalID) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType m_GatheringID;
    NEX_CLASS_VALID_REVISION_DEF(m_GatheringID, 0);
    qBool NEX_CLASS_ISVALID(m_GatheringID) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType m_GameMode;
    NEX_CLASS_VALID_REVISION_DEF(m_GameMode, 0);
    qBool NEX_CLASS_ISVALID(m_GameMode) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType m_Attribute_0;
    NEX_CLASS_VALID_REVISION_DEF(m_Attribute_0, 0);
    qBool NEX_CLASS_ISVALID(m_Attribute_0) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(SimplePlayingSession): public DDLType {
public:
    typedef SimplePlayingSession CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(SimplePlayingSession)& oSimplePlayingSession) {
        DDLCLASS(SimplePlayingSession)::Add(pMessageToSend,oSimplePlayingSession);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(SimplePlayingSession)* pSimplePlayingSessionToRefresh) {
        DDLCLASS(SimplePlayingSession)::Extract(pReceivedMessage,pSimplePlayingSessionToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
