#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "MatchmakeRefereePersonalRoundResult.h"

BEGIN_NAMESPACE_NEX
class MatchmakeRefereeEndRoundParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(MatchmakeRefereeEndRoundParam): public RootObject {
public:
    DDLCLASS(MatchmakeRefereeEndRoundParam)():_mRevision_MatchmakeRefereeEndRoundParam(0)
    , personalRoundResults(0)     {};
    DDLCLASS(MatchmakeRefereeEndRoundParam)(const DDLCLASS(MatchmakeRefereeEndRoundParam) &oOther):
        RootObject(oOther),
        _mRevision_MatchmakeRefereeEndRoundParam(oOther._mRevision_MatchmakeRefereeEndRoundParam),
        roundId(oOther.roundId),
        personalRoundResults(oOther.personalRoundResults)
    {
    }
    virtual ~DDLCLASS(MatchmakeRefereeEndRoundParam)() {};
    const DDLCLASS(MatchmakeRefereeEndRoundParam) &operator=(const DDLCLASS(MatchmakeRefereeEndRoundParam) &oOther);
    qBool operator==(const DDLCLASS(MatchmakeRefereeEndRoundParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(MatchmakeRefereeEndRoundParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(MatchmakeRefereeEndRoundParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(MatchmakeRefereeEndRoundParam) *pValue);
    qByte _mRevision_MatchmakeRefereeEndRoundParam;
    qByte GetClassRevision_MatchmakeRefereeEndRoundParam() const {return _mRevision_MatchmakeRefereeEndRoundParam;}
    void SetClassRevision_MatchmakeRefereeEndRoundParam(qByte revision) {_mRevision_MatchmakeRefereeEndRoundParam=revision;}
    static qByte GetKnownMaxClassRevision_MatchmakeRefereeEndRoundParam() {return 0;}
    DDLTYPE(uint64)::CPPType roundId;
    NEX_CLASS_VALID_REVISION_DEF(roundId, 0);
    qBool NEX_CLASS_ISVALID(roundId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(MatchmakeRefereePersonalRoundResult) >::CPPType personalRoundResults;
    NEX_CLASS_VALID_REVISION_DEF(personalRoundResults, 0);
    qBool NEX_CLASS_ISVALID(personalRoundResults) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(MatchmakeRefereeEndRoundParam): public DDLType {
public:
    typedef MatchmakeRefereeEndRoundParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(MatchmakeRefereeEndRoundParam)& oMatchmakeRefereeEndRoundParam) {
        DDLCLASS(MatchmakeRefereeEndRoundParam)::Add(pMessageToSend,oMatchmakeRefereeEndRoundParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(MatchmakeRefereeEndRoundParam)* pMatchmakeRefereeEndRoundParamToRefresh) {
        DDLCLASS(MatchmakeRefereeEndRoundParam)::Extract(pReceivedMessage,pMatchmakeRefereeEndRoundParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
