#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class MatchmakeRefereeStatsInitParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(MatchmakeRefereeStatsInitParam): public RootObject {
public:
    DDLCLASS(MatchmakeRefereeStatsInitParam)():_mRevision_MatchmakeRefereeStatsInitParam(0)
     {};
    DDLCLASS(MatchmakeRefereeStatsInitParam)(const DDLCLASS(MatchmakeRefereeStatsInitParam) &oOther):
        RootObject(oOther),
        _mRevision_MatchmakeRefereeStatsInitParam(oOther._mRevision_MatchmakeRefereeStatsInitParam),
        category(oOther.category),
        initialRatingValue(oOther.initialRatingValue)
    {
    }
    virtual ~DDLCLASS(MatchmakeRefereeStatsInitParam)() {};
    const DDLCLASS(MatchmakeRefereeStatsInitParam) &operator=(const DDLCLASS(MatchmakeRefereeStatsInitParam) &oOther);
    qBool operator==(const DDLCLASS(MatchmakeRefereeStatsInitParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(MatchmakeRefereeStatsInitParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(MatchmakeRefereeStatsInitParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(MatchmakeRefereeStatsInitParam) *pValue);
    qByte _mRevision_MatchmakeRefereeStatsInitParam;
    qByte GetClassRevision_MatchmakeRefereeStatsInitParam() const {return _mRevision_MatchmakeRefereeStatsInitParam;}
    void SetClassRevision_MatchmakeRefereeStatsInitParam(qByte revision) {_mRevision_MatchmakeRefereeStatsInitParam=revision;}
    static qByte GetKnownMaxClassRevision_MatchmakeRefereeStatsInitParam() {return 0;}
    DDLTYPE(uint32)::CPPType category;
    NEX_CLASS_VALID_REVISION_DEF(category, 0);
    qBool NEX_CLASS_ISVALID(category) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType initialRatingValue;
    NEX_CLASS_VALID_REVISION_DEF(initialRatingValue, 0);
    qBool NEX_CLASS_ISVALID(initialRatingValue) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(MatchmakeRefereeStatsInitParam): public DDLType {
public:
    typedef MatchmakeRefereeStatsInitParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(MatchmakeRefereeStatsInitParam)& oMatchmakeRefereeStatsInitParam) {
        DDLCLASS(MatchmakeRefereeStatsInitParam)::Add(pMessageToSend,oMatchmakeRefereeStatsInitParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(MatchmakeRefereeStatsInitParam)* pMatchmakeRefereeStatsInitParamToRefresh) {
        DDLCLASS(MatchmakeRefereeStatsInitParam)::Extract(pReceivedMessage,pMatchmakeRefereeStatsInitParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
