#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "RankingResult.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class RankingCachedResult;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(RankingCachedResult): public RankingResult {
public:
    DDLCLASS(RankingCachedResult)():_mRevision_RankingCachedResult(0)
     {};
    DDLCLASS(RankingCachedResult)(const DDLCLASS(RankingCachedResult) &oOther):
        RankingResult(oOther),
        _mRevision_RankingCachedResult(oOther._mRevision_RankingCachedResult),
        createdTime(oOther.createdTime),
        expiredTime(oOther.expiredTime),
        maxLength(oOther.maxLength)
    {
    }
    virtual ~DDLCLASS(RankingCachedResult)() {};
    const DDLCLASS(RankingCachedResult) &operator=(const DDLCLASS(RankingCachedResult) &oOther);
    qBool operator==(const DDLCLASS(RankingCachedResult) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(RankingCachedResult) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(RankingCachedResult) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(RankingCachedResult) *pValue);
    qByte _mRevision_RankingCachedResult;
    qByte GetClassRevision_RankingCachedResult() const {return _mRevision_RankingCachedResult;}
    void SetClassRevision_RankingCachedResult(qByte revision) {_mRevision_RankingCachedResult=revision;}
    static qByte GetKnownMaxClassRevision_RankingCachedResult() {return 0;}
    DDLTYPE(datetime)::CPPType createdTime;
    NEX_CLASS_VALID_REVISION_DEF(createdTime, 0);
    qBool NEX_CLASS_ISVALID(createdTime) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(datetime)::CPPType expiredTime;
    NEX_CLASS_VALID_REVISION_DEF(expiredTime, 0);
    qBool NEX_CLASS_ISVALID(expiredTime) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType maxLength;
    NEX_CLASS_VALID_REVISION_DEF(maxLength, 0);
    qBool NEX_CLASS_ISVALID(maxLength) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(RankingCachedResult): public DDLType {
public:
    typedef RankingCachedResult CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(RankingCachedResult)& oRankingCachedResult) {
        DDLCLASS(RankingCachedResult)::Add(pMessageToSend,oRankingCachedResult);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(RankingCachedResult)* pRankingCachedResultToRefresh) {
        DDLCLASS(RankingCachedResult)::Extract(pReceivedMessage,pRankingCachedResultToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
