#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class RankingStats;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(RankingStats): public RootObject {
public:
    DDLCLASS(RankingStats)():_mRevision_RankingStats(0)
    , statsList(0)     {};
    DDLCLASS(RankingStats)(const DDLCLASS(RankingStats) &oOther):
        RootObject(oOther),
        _mRevision_RankingStats(oOther._mRevision_RankingStats),
        statsList(oOther.statsList)
    {
    }
    virtual ~DDLCLASS(RankingStats)() {};
    const DDLCLASS(RankingStats) &operator=(const DDLCLASS(RankingStats) &oOther);
    qBool operator==(const DDLCLASS(RankingStats) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(RankingStats) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(RankingStats) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(RankingStats) *pValue);
    qByte _mRevision_RankingStats;
    qByte GetClassRevision_RankingStats() const {return _mRevision_RankingStats;}
    void SetClassRevision_RankingStats(qByte revision) {_mRevision_RankingStats=revision;}
    static qByte GetKnownMaxClassRevision_RankingStats() {return 0;}
    DDLTYPE(qvector)< DDLTYPE(double) >::CPPType statsList;
    NEX_CLASS_VALID_REVISION_DEF(statsList, 0);
    qBool NEX_CLASS_ISVALID(statsList) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(RankingStats): public DDLType {
public:
    typedef RankingStats CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(RankingStats)& oRankingStats) {
        DDLCLASS(RankingStats)::Add(pMessageToSend,oRankingStats);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(RankingStats)* pRankingStatsToRefresh) {
        DDLCLASS(RankingStats)::Extract(pReceivedMessage,pRankingStatsToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
