#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class Ranking2CommonData;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(Ranking2CommonData): public RootObject {
public:
    DDLCLASS(Ranking2CommonData)():_mRevision_Ranking2CommonData(0)
     {};
    DDLCLASS(Ranking2CommonData)(const DDLCLASS(Ranking2CommonData) &oOther):
        RootObject(oOther),
        _mRevision_Ranking2CommonData(oOther._mRevision_Ranking2CommonData),
        userName(oOther.userName),
        mii(oOther.mii),
        binaryData(oOther.binaryData)
    {
    }
    virtual ~DDLCLASS(Ranking2CommonData)() {};
    const DDLCLASS(Ranking2CommonData) &operator=(const DDLCLASS(Ranking2CommonData) &oOther);
    qBool operator==(const DDLCLASS(Ranking2CommonData) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(Ranking2CommonData) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(Ranking2CommonData) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(Ranking2CommonData) *pValue);
    qByte _mRevision_Ranking2CommonData;
    qByte GetClassRevision_Ranking2CommonData() const {return _mRevision_Ranking2CommonData;}
    void SetClassRevision_Ranking2CommonData(qByte revision) {_mRevision_Ranking2CommonData=revision;}
    static qByte GetKnownMaxClassRevision_Ranking2CommonData() {return 0;}
    DDLTYPE(string)::CPPType userName;
    NEX_CLASS_VALID_REVISION_DEF(userName, 0);
    qBool NEX_CLASS_ISVALID(userName) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qBuffer)::CPPType mii;
    NEX_CLASS_VALID_REVISION_DEF(mii, 0);
    qBool NEX_CLASS_ISVALID(mii) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qBuffer)::CPPType binaryData;
    NEX_CLASS_VALID_REVISION_DEF(binaryData, 0);
    qBool NEX_CLASS_ISVALID(binaryData) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(Ranking2CommonData): public DDLType {
public:
    typedef Ranking2CommonData CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(Ranking2CommonData)& oRanking2CommonData) {
        DDLCLASS(Ranking2CommonData)::Add(pMessageToSend,oRanking2CommonData);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(Ranking2CommonData)* pRanking2CommonDataToRefresh) {
        DDLCLASS(Ranking2CommonData)::Extract(pReceivedMessage,pRanking2CommonDataToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
