#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "Ranking2CommonData.h"

BEGIN_NAMESPACE_NEX
class Ranking2RankData;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(Ranking2RankData): public RootObject {
public:
    DDLCLASS(Ranking2RankData)():_mRevision_Ranking2RankData(0)
     {};
    DDLCLASS(Ranking2RankData)(const DDLCLASS(Ranking2RankData) &oOther):
        RootObject(oOther),
        _mRevision_Ranking2RankData(oOther._mRevision_Ranking2RankData),
        misc(oOther.misc),
        nexUniqueId(oOther.nexUniqueId),
        principalId(oOther.principalId),
        rank(oOther.rank),
        score(oOther.score),
        commonData(oOther.commonData)
    {
    }
    virtual ~DDLCLASS(Ranking2RankData)() {};
    const DDLCLASS(Ranking2RankData) &operator=(const DDLCLASS(Ranking2RankData) &oOther);
    qBool operator==(const DDLCLASS(Ranking2RankData) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(Ranking2RankData) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(Ranking2RankData) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(Ranking2RankData) *pValue);
    qByte _mRevision_Ranking2RankData;
    qByte GetClassRevision_Ranking2RankData() const {return _mRevision_Ranking2RankData;}
    void SetClassRevision_Ranking2RankData(qByte revision) {_mRevision_Ranking2RankData=revision;}
    static qByte GetKnownMaxClassRevision_Ranking2RankData() {return 0;}
    DDLTYPE(uint64)::CPPType misc;
    NEX_CLASS_VALID_REVISION_DEF(misc, 0);
    qBool NEX_CLASS_ISVALID(misc) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType nexUniqueId;
    NEX_CLASS_VALID_REVISION_DEF(nexUniqueId, 0);
    qBool NEX_CLASS_ISVALID(nexUniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType principalId;
    NEX_CLASS_VALID_REVISION_DEF(principalId, 0);
    qBool NEX_CLASS_ISVALID(principalId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType rank;
    NEX_CLASS_VALID_REVISION_DEF(rank, 0);
    qBool NEX_CLASS_ISVALID(rank) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType score;
    NEX_CLASS_VALID_REVISION_DEF(score, 0);
    qBool NEX_CLASS_ISVALID(score) const { return true; /* The revision is 0. Always true */}
    Ranking2CommonData commonData;
    NEX_CLASS_VALID_REVISION_DEF(commonData, 0);
    qBool NEX_CLASS_ISVALID(commonData) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(Ranking2RankData): public DDLType {
public:
    typedef Ranking2RankData CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(Ranking2RankData)& oRanking2RankData) {
        DDLCLASS(Ranking2RankData)::Add(pMessageToSend,oRanking2RankData);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(Ranking2RankData)* pRanking2RankDataToRefresh) {
        DDLCLASS(Ranking2RankData)::Extract(pReceivedMessage,pRanking2RankDataToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
