#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "OnlineCore/src/DDLTypes/STLExtTypes.h"

BEGIN_NAMESPACE_NEX
class ScreeningUgcViolationParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ScreeningUgcViolationParam): public RootObject {
public:
    DDLCLASS(ScreeningUgcViolationParam)():_mRevision_ScreeningUgcViolationParam(0)
     {};
    DDLCLASS(ScreeningUgcViolationParam)(const DDLCLASS(ScreeningUgcViolationParam) &oOther):
        RootObject(oOther),
        _mRevision_ScreeningUgcViolationParam(oOther._mRevision_ScreeningUgcViolationParam),
        categoryString(oOther.categoryString),
        reason(oOther.reason),
        noscreening(oOther.noscreening),
        context(oOther.context)
    {
    }
    virtual ~DDLCLASS(ScreeningUgcViolationParam)() {};
    const DDLCLASS(ScreeningUgcViolationParam) &operator=(const DDLCLASS(ScreeningUgcViolationParam) &oOther);
    qBool operator==(const DDLCLASS(ScreeningUgcViolationParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ScreeningUgcViolationParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ScreeningUgcViolationParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ScreeningUgcViolationParam) *pValue);
    qByte _mRevision_ScreeningUgcViolationParam;
    qByte GetClassRevision_ScreeningUgcViolationParam() const {return _mRevision_ScreeningUgcViolationParam;}
    void SetClassRevision_ScreeningUgcViolationParam(qByte revision) {_mRevision_ScreeningUgcViolationParam=revision;}
    static qByte GetKnownMaxClassRevision_ScreeningUgcViolationParam() {return 0;}
    DDLTYPE(string)::CPPType categoryString;
    NEX_CLASS_VALID_REVISION_DEF(categoryString, 0);
    qBool NEX_CLASS_ISVALID(categoryString) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType reason;
    NEX_CLASS_VALID_REVISION_DEF(reason, 0);
    qBool NEX_CLASS_ISVALID(reason) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(bool)::CPPType noscreening;
    NEX_CLASS_VALID_REVISION_DEF(noscreening, 0);
    qBool NEX_CLASS_ISVALID(noscreening) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(std_map)< DDLTYPE(string), DDLTYPE(string) >::CPPType context;
    NEX_CLASS_VALID_REVISION_DEF(context, 0);
    qBool NEX_CLASS_ISVALID(context) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ScreeningUgcViolationParam): public DDLType {
public:
    typedef ScreeningUgcViolationParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ScreeningUgcViolationParam)& oScreeningUgcViolationParam) {
        DDLCLASS(ScreeningUgcViolationParam)::Add(pMessageToSend,oScreeningUgcViolationParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ScreeningUgcViolationParam)* pScreeningUgcViolationParamToRefresh) {
        DDLCLASS(ScreeningUgcViolationParam)::Extract(pReceivedMessage,pScreeningUgcViolationParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
