#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "ServiceItemAccountRight.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemAccountRightConsumption;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemAccountRightConsumption): public ServiceItemAccountRight {
public:
    DDLCLASS(ServiceItemAccountRightConsumption)():_mRevision_ServiceItemAccountRightConsumption(0)
    , expiryCounts(0)     {};
    DDLCLASS(ServiceItemAccountRightConsumption)(const DDLCLASS(ServiceItemAccountRightConsumption) &oOther):
        ServiceItemAccountRight(oOther),
        _mRevision_ServiceItemAccountRightConsumption(oOther._mRevision_ServiceItemAccountRightConsumption),
        usedCount(oOther.usedCount),
        expiredCount(oOther.expiredCount),
        expiryCounts(oOther.expiryCounts)
    {
    }
    virtual ~DDLCLASS(ServiceItemAccountRightConsumption)() {};
    const DDLCLASS(ServiceItemAccountRightConsumption) &operator=(const DDLCLASS(ServiceItemAccountRightConsumption) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemAccountRightConsumption) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemAccountRightConsumption) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemAccountRightConsumption) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemAccountRightConsumption) *pValue);
    qByte _mRevision_ServiceItemAccountRightConsumption;
    qByte GetClassRevision_ServiceItemAccountRightConsumption() const {return _mRevision_ServiceItemAccountRightConsumption;}
    void SetClassRevision_ServiceItemAccountRightConsumption(qByte revision) {_mRevision_ServiceItemAccountRightConsumption=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemAccountRightConsumption() {return 0;}
    DDLTYPE(uint32)::CPPType usedCount;
    NEX_CLASS_VALID_REVISION_DEF(usedCount, 0);
    qBool NEX_CLASS_ISVALID(usedCount) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType expiredCount;
    NEX_CLASS_VALID_REVISION_DEF(expiredCount, 0);
    qBool NEX_CLASS_ISVALID(expiredCount) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(uint32) >::CPPType expiryCounts;
    NEX_CLASS_VALID_REVISION_DEF(expiryCounts, 0);
    qBool NEX_CLASS_ISVALID(expiryCounts) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemAccountRightConsumption): public DDLType {
public:
    typedef ServiceItemAccountRightConsumption CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemAccountRightConsumption)& oServiceItemAccountRightConsumption) {
        DDLCLASS(ServiceItemAccountRightConsumption)::Add(pMessageToSend,oServiceItemAccountRightConsumption);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemAccountRightConsumption)* pServiceItemAccountRightConsumptionToRefresh) {
        DDLCLASS(ServiceItemAccountRightConsumption)::Extract(pReceivedMessage,pServiceItemAccountRightConsumptionToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
