#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemLimitation.h"
#include "ServiceItemRightBinary.h"

BEGIN_NAMESPACE_NEX
class ServiceItemAccountRight;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemAccountRight): public RootObject {
public:
    DDLCLASS(ServiceItemAccountRight)():_mRevision_ServiceItemAccountRight(0)
    , rightBinaries(0)     {};
    DDLCLASS(ServiceItemAccountRight)(const DDLCLASS(ServiceItemAccountRight) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemAccountRight(oOther._mRevision_ServiceItemAccountRight),
        pid(oOther.pid),
        limitation(oOther.limitation),
        rightBinaries(oOther.rightBinaries)
    {
    }
    virtual ~DDLCLASS(ServiceItemAccountRight)() {};
    const DDLCLASS(ServiceItemAccountRight) &operator=(const DDLCLASS(ServiceItemAccountRight) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemAccountRight) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemAccountRight) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemAccountRight) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemAccountRight) *pValue);
    qByte _mRevision_ServiceItemAccountRight;
    qByte GetClassRevision_ServiceItemAccountRight() const {return _mRevision_ServiceItemAccountRight;}
    void SetClassRevision_ServiceItemAccountRight(qByte revision) {_mRevision_ServiceItemAccountRight=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemAccountRight() {return 0;}
    DDLTYPE(uint32)::CPPType pid;
    NEX_CLASS_VALID_REVISION_DEF(pid, 0);
    qBool NEX_CLASS_ISVALID(pid) const { return true; /* The revision is 0. Always true */}
    ServiceItemLimitation limitation;
    NEX_CLASS_VALID_REVISION_DEF(limitation, 0);
    qBool NEX_CLASS_ISVALID(limitation) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemRightBinary) >::CPPType rightBinaries;
    NEX_CLASS_VALID_REVISION_DEF(rightBinaries, 0);
    qBool NEX_CLASS_ISVALID(rightBinaries) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemAccountRight): public DDLType {
public:
    typedef ServiceItemAccountRight CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemAccountRight)& oServiceItemAccountRight) {
        DDLCLASS(ServiceItemAccountRight)::Add(pMessageToSend,oServiceItemAccountRight);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemAccountRight)* pServiceItemAccountRightToRefresh) {
        DDLCLASS(ServiceItemAccountRight)::Extract(pReceivedMessage,pServiceItemAccountRightToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
