#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "ServiceItemAccountRight.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemAccountRightTime;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemAccountRightTime): public ServiceItemAccountRight {
public:
    DDLCLASS(ServiceItemAccountRightTime)():_mRevision_ServiceItemAccountRightTime(0)
     {};
    DDLCLASS(ServiceItemAccountRightTime)(const DDLCLASS(ServiceItemAccountRightTime) &oOther):
        ServiceItemAccountRight(oOther),
        _mRevision_ServiceItemAccountRightTime(oOther._mRevision_ServiceItemAccountRightTime),
        autoBillingApplied(oOther.autoBillingApplied)
    {
    }
    virtual ~DDLCLASS(ServiceItemAccountRightTime)() {};
    const DDLCLASS(ServiceItemAccountRightTime) &operator=(const DDLCLASS(ServiceItemAccountRightTime) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemAccountRightTime) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemAccountRightTime) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemAccountRightTime) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemAccountRightTime) *pValue);
    qByte _mRevision_ServiceItemAccountRightTime;
    qByte GetClassRevision_ServiceItemAccountRightTime() const {return _mRevision_ServiceItemAccountRightTime;}
    void SetClassRevision_ServiceItemAccountRightTime(qByte revision) {_mRevision_ServiceItemAccountRightTime=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemAccountRightTime() {return 0;}
    DDLTYPE(bool)::CPPType autoBillingApplied;
    NEX_CLASS_VALID_REVISION_DEF(autoBillingApplied, 0);
    qBool NEX_CLASS_ISVALID(autoBillingApplied) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemAccountRightTime): public DDLType {
public:
    typedef ServiceItemAccountRightTime CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemAccountRightTime)& oServiceItemAccountRightTime) {
        DDLCLASS(ServiceItemAccountRightTime)::Add(pMessageToSend,oServiceItemAccountRightTime);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemAccountRightTime)* pServiceItemAccountRightTimeToRefresh) {
        DDLCLASS(ServiceItemAccountRightTime)::Extract(pReceivedMessage,pServiceItemAccountRightTimeToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
