#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemAutoBillingPlan.h"

BEGIN_NAMESPACE_NEX
class ServiceItemAutoBillingPlans;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemAutoBillingPlans): public RootObject {
public:
    DDLCLASS(ServiceItemAutoBillingPlans)():_mRevision_ServiceItemAutoBillingPlans(0)
    , plans(0)     {};
    DDLCLASS(ServiceItemAutoBillingPlans)(const DDLCLASS(ServiceItemAutoBillingPlans) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemAutoBillingPlans(oOther._mRevision_ServiceItemAutoBillingPlans),
        totalSize(oOther.totalSize),
        length(oOther.length),
        offset(oOther.offset),
        description(oOther.description),
        plans(oOther.plans)
    {
    }
    virtual ~DDLCLASS(ServiceItemAutoBillingPlans)() {};
    const DDLCLASS(ServiceItemAutoBillingPlans) &operator=(const DDLCLASS(ServiceItemAutoBillingPlans) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemAutoBillingPlans) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemAutoBillingPlans) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemAutoBillingPlans) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemAutoBillingPlans) *pValue);
    qByte _mRevision_ServiceItemAutoBillingPlans;
    qByte GetClassRevision_ServiceItemAutoBillingPlans() const {return _mRevision_ServiceItemAutoBillingPlans;}
    void SetClassRevision_ServiceItemAutoBillingPlans(qByte revision) {_mRevision_ServiceItemAutoBillingPlans=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemAutoBillingPlans() {return 0;}
    DDLTYPE(uint32)::CPPType totalSize;
    NEX_CLASS_VALID_REVISION_DEF(totalSize, 0);
    qBool NEX_CLASS_ISVALID(totalSize) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType length;
    NEX_CLASS_VALID_REVISION_DEF(length, 0);
    qBool NEX_CLASS_ISVALID(length) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType offset;
    NEX_CLASS_VALID_REVISION_DEF(offset, 0);
    qBool NEX_CLASS_ISVALID(offset) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType description;
    NEX_CLASS_VALID_REVISION_DEF(description, 0);
    qBool NEX_CLASS_ISVALID(description) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemAutoBillingPlan) >::CPPType plans;
    NEX_CLASS_VALID_REVISION_DEF(plans, 0);
    qBool NEX_CLASS_ISVALID(plans) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemAutoBillingPlans): public DDLType {
public:
    typedef ServiceItemAutoBillingPlans CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemAutoBillingPlans)& oServiceItemAutoBillingPlans) {
        DDLCLASS(ServiceItemAutoBillingPlans)::Add(pMessageToSend,oServiceItemAutoBillingPlans);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemAutoBillingPlans)* pServiceItemAutoBillingPlansToRefresh) {
        DDLCLASS(ServiceItemAutoBillingPlans)::Extract(pReceivedMessage,pServiceItemAutoBillingPlansToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
