#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemCancelAutoBillingParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemCancelAutoBillingParam): public RootObject {
public:
    DDLCLASS(ServiceItemCancelAutoBillingParam)():_mRevision_ServiceItemCancelAutoBillingParam(0)
     {};
    DDLCLASS(ServiceItemCancelAutoBillingParam)(const DDLCLASS(ServiceItemCancelAutoBillingParam) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemCancelAutoBillingParam(oOther._mRevision_ServiceItemCancelAutoBillingParam),
        uniqueId(oOther.uniqueId),
        itemCode(oOther.itemCode),
        ecServiceToken(oOther.ecServiceToken),
        platform(oOther.platform)
    {
    }
    virtual ~DDLCLASS(ServiceItemCancelAutoBillingParam)() {};
    const DDLCLASS(ServiceItemCancelAutoBillingParam) &operator=(const DDLCLASS(ServiceItemCancelAutoBillingParam) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemCancelAutoBillingParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemCancelAutoBillingParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemCancelAutoBillingParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemCancelAutoBillingParam) *pValue);
    qByte _mRevision_ServiceItemCancelAutoBillingParam;
    qByte GetClassRevision_ServiceItemCancelAutoBillingParam() const {return _mRevision_ServiceItemCancelAutoBillingParam;}
    void SetClassRevision_ServiceItemCancelAutoBillingParam(qByte revision) {_mRevision_ServiceItemCancelAutoBillingParam=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemCancelAutoBillingParam() {return 0;}
    DDLTYPE(uint32)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType itemCode;
    NEX_CLASS_VALID_REVISION_DEF(itemCode, 0);
    qBool NEX_CLASS_ISVALID(itemCode) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType ecServiceToken;
    NEX_CLASS_VALID_REVISION_DEF(ecServiceToken, 0);
    qBool NEX_CLASS_ISVALID(ecServiceToken) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType platform;
    NEX_CLASS_VALID_REVISION_DEF(platform, 0);
    qBool NEX_CLASS_ISVALID(platform) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemCancelAutoBillingParam): public DDLType {
public:
    typedef ServiceItemCancelAutoBillingParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemCancelAutoBillingParam)& oServiceItemCancelAutoBillingParam) {
        DDLCLASS(ServiceItemCancelAutoBillingParam)::Add(pMessageToSend,oServiceItemCancelAutoBillingParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemCancelAutoBillingParam)* pServiceItemCancelAutoBillingParamToRefresh) {
        DDLCLASS(ServiceItemCancelAutoBillingParam)::Extract(pReceivedMessage,pServiceItemCancelAutoBillingParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
