#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemListItem.h"
#include "ServiceItemAmount.h"

BEGIN_NAMESPACE_NEX
class ServiceItemCatalog;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemCatalog): public RootObject {
public:
    DDLCLASS(ServiceItemCatalog)():_mRevision_ServiceItemCatalog(0)
    , listItems(0)     {};
    DDLCLASS(ServiceItemCatalog)(const DDLCLASS(ServiceItemCatalog) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemCatalog(oOther._mRevision_ServiceItemCatalog),
        totalSize(oOther.totalSize),
        offset(oOther.offset),
        listItems(oOther.listItems),
        isBalanceAvailable(oOther.isBalanceAvailable),
        balance(oOther.balance)
    {
    }
    virtual ~DDLCLASS(ServiceItemCatalog)() {};
    const DDLCLASS(ServiceItemCatalog) &operator=(const DDLCLASS(ServiceItemCatalog) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemCatalog) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemCatalog) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemCatalog) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemCatalog) *pValue);
    qByte _mRevision_ServiceItemCatalog;
    qByte GetClassRevision_ServiceItemCatalog() const {return _mRevision_ServiceItemCatalog;}
    void SetClassRevision_ServiceItemCatalog(qByte revision) {_mRevision_ServiceItemCatalog=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemCatalog() {return 0;}
    DDLTYPE(uint32)::CPPType totalSize;
    NEX_CLASS_VALID_REVISION_DEF(totalSize, 0);
    qBool NEX_CLASS_ISVALID(totalSize) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType offset;
    NEX_CLASS_VALID_REVISION_DEF(offset, 0);
    qBool NEX_CLASS_ISVALID(offset) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemListItem) >::CPPType listItems;
    NEX_CLASS_VALID_REVISION_DEF(listItems, 0);
    qBool NEX_CLASS_ISVALID(listItems) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(bool)::CPPType isBalanceAvailable;
    NEX_CLASS_VALID_REVISION_DEF(isBalanceAvailable, 0);
    qBool NEX_CLASS_ISVALID(isBalanceAvailable) const { return true; /* The revision is 0. Always true */}
    ServiceItemAmount balance;
    NEX_CLASS_VALID_REVISION_DEF(balance, 0);
    qBool NEX_CLASS_ISVALID(balance) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemCatalog): public DDLType {
public:
    typedef ServiceItemCatalog CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemCatalog)& oServiceItemCatalog) {
        DDLCLASS(ServiceItemCatalog)::Add(pMessageToSend,oServiceItemCatalog);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemCatalog)* pServiceItemCatalogToRefresh) {
        DDLCLASS(ServiceItemCatalog)::Extract(pReceivedMessage,pServiceItemCatalogToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
