#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemEShopResponse;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemEShopResponse): public RootObject {
public:
    DDLCLASS(ServiceItemEShopResponse)():_mRevision_ServiceItemEShopResponse(0)
     {};
    DDLCLASS(ServiceItemEShopResponse)(const DDLCLASS(ServiceItemEShopResponse) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemEShopResponse(oOther._mRevision_ServiceItemEShopResponse),
        httpStatus(oOther.httpStatus),
        errorCode(oOther.errorCode),
        correlationId(oOther.correlationId)
    {
    }
    virtual ~DDLCLASS(ServiceItemEShopResponse)() {};
    const DDLCLASS(ServiceItemEShopResponse) &operator=(const DDLCLASS(ServiceItemEShopResponse) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemEShopResponse) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemEShopResponse) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemEShopResponse) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemEShopResponse) *pValue);
    qByte _mRevision_ServiceItemEShopResponse;
    qByte GetClassRevision_ServiceItemEShopResponse() const {return _mRevision_ServiceItemEShopResponse;}
    void SetClassRevision_ServiceItemEShopResponse(qByte revision) {_mRevision_ServiceItemEShopResponse=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemEShopResponse() {return 0;}
    DDLTYPE(uint32)::CPPType httpStatus;
    NEX_CLASS_VALID_REVISION_DEF(httpStatus, 0);
    qBool NEX_CLASS_ISVALID(httpStatus) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType errorCode;
    NEX_CLASS_VALID_REVISION_DEF(errorCode, 0);
    qBool NEX_CLASS_ISVALID(errorCode) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType correlationId;
    NEX_CLASS_VALID_REVISION_DEF(correlationId, 0);
    qBool NEX_CLASS_ISVALID(correlationId) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemEShopResponse): public DDLType {
public:
    typedef ServiceItemEShopResponse CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemEShopResponse)& oServiceItemEShopResponse) {
        DDLCLASS(ServiceItemEShopResponse)::Add(pMessageToSend,oServiceItemEShopResponse);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemEShopResponse)* pServiceItemEShopResponseToRefresh) {
        DDLCLASS(ServiceItemEShopResponse)::Extract(pReceivedMessage,pServiceItemEShopResponseToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
