#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemGetAutoBillingContractParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemGetAutoBillingContractParam): public RootObject {
public:
    DDLCLASS(ServiceItemGetAutoBillingContractParam)():_mRevision_ServiceItemGetAutoBillingContractParam(0)
     {};
    DDLCLASS(ServiceItemGetAutoBillingContractParam)(const DDLCLASS(ServiceItemGetAutoBillingContractParam) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemGetAutoBillingContractParam(oOther._mRevision_ServiceItemGetAutoBillingContractParam),
        uniqueId(oOther.uniqueId),
        platform(oOther.platform)
    {
    }
    virtual ~DDLCLASS(ServiceItemGetAutoBillingContractParam)() {};
    const DDLCLASS(ServiceItemGetAutoBillingContractParam) &operator=(const DDLCLASS(ServiceItemGetAutoBillingContractParam) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemGetAutoBillingContractParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemGetAutoBillingContractParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemGetAutoBillingContractParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemGetAutoBillingContractParam) *pValue);
    qByte _mRevision_ServiceItemGetAutoBillingContractParam;
    qByte GetClassRevision_ServiceItemGetAutoBillingContractParam() const {return _mRevision_ServiceItemGetAutoBillingContractParam;}
    void SetClassRevision_ServiceItemGetAutoBillingContractParam(qByte revision) {_mRevision_ServiceItemGetAutoBillingContractParam=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemGetAutoBillingContractParam() {return 0;}
    DDLTYPE(uint32)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType platform;
    NEX_CLASS_VALID_REVISION_DEF(platform, 0);
    qBool NEX_CLASS_ISVALID(platform) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemGetAutoBillingContractParam): public DDLType {
public:
    typedef ServiceItemGetAutoBillingContractParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemGetAutoBillingContractParam)& oServiceItemGetAutoBillingContractParam) {
        DDLCLASS(ServiceItemGetAutoBillingContractParam)::Add(pMessageToSend,oServiceItemGetAutoBillingContractParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemGetAutoBillingContractParam)* pServiceItemGetAutoBillingContractParamToRefresh) {
        DDLCLASS(ServiceItemGetAutoBillingContractParam)::Extract(pReceivedMessage,pServiceItemGetAutoBillingContractParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
