#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "ServiceItemEShopResponse.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemAutoBillingContract.h"

BEGIN_NAMESPACE_NEX
class ServiceItemGetAutoBillingContractResponse;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemGetAutoBillingContractResponse): public ServiceItemEShopResponse {
public:
    DDLCLASS(ServiceItemGetAutoBillingContractResponse)():_mRevision_ServiceItemGetAutoBillingContractResponse(0)
    , nullableContracts(0)     {};
    DDLCLASS(ServiceItemGetAutoBillingContractResponse)(const DDLCLASS(ServiceItemGetAutoBillingContractResponse) &oOther):
        ServiceItemEShopResponse(oOther),
        _mRevision_ServiceItemGetAutoBillingContractResponse(oOther._mRevision_ServiceItemGetAutoBillingContractResponse),
        nullableContracts(oOther.nullableContracts)
    {
    }
    virtual ~DDLCLASS(ServiceItemGetAutoBillingContractResponse)() {};
    const DDLCLASS(ServiceItemGetAutoBillingContractResponse) &operator=(const DDLCLASS(ServiceItemGetAutoBillingContractResponse) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemGetAutoBillingContractResponse) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemGetAutoBillingContractResponse) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemGetAutoBillingContractResponse) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemGetAutoBillingContractResponse) *pValue);
    qByte _mRevision_ServiceItemGetAutoBillingContractResponse;
    qByte GetClassRevision_ServiceItemGetAutoBillingContractResponse() const {return _mRevision_ServiceItemGetAutoBillingContractResponse;}
    void SetClassRevision_ServiceItemGetAutoBillingContractResponse(qByte revision) {_mRevision_ServiceItemGetAutoBillingContractResponse=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemGetAutoBillingContractResponse() {return 0;}
    DDLTYPE(qvector)< DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemAutoBillingContract) > >::CPPType nullableContracts;
    NEX_CLASS_VALID_REVISION_DEF(nullableContracts, 0);
    qBool NEX_CLASS_ISVALID(nullableContracts) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemGetAutoBillingContractResponse): public DDLType {
public:
    typedef ServiceItemGetAutoBillingContractResponse CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemGetAutoBillingContractResponse)& oServiceItemGetAutoBillingContractResponse) {
        DDLCLASS(ServiceItemGetAutoBillingContractResponse)::Add(pMessageToSend,oServiceItemGetAutoBillingContractResponse);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemGetAutoBillingContractResponse)* pServiceItemGetAutoBillingContractResponseToRefresh) {
        DDLCLASS(ServiceItemGetAutoBillingContractResponse)::Extract(pReceivedMessage,pServiceItemGetAutoBillingContractResponseToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
