#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "ServiceItemEShopResponse.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemAmount.h"

BEGIN_NAMESPACE_NEX
class ServiceItemGetBalanceResponse;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemGetBalanceResponse): public ServiceItemEShopResponse {
public:
    DDLCLASS(ServiceItemGetBalanceResponse)():_mRevision_ServiceItemGetBalanceResponse(0)
    , nullableBalance(0)     {};
    DDLCLASS(ServiceItemGetBalanceResponse)(const DDLCLASS(ServiceItemGetBalanceResponse) &oOther):
        ServiceItemEShopResponse(oOther),
        _mRevision_ServiceItemGetBalanceResponse(oOther._mRevision_ServiceItemGetBalanceResponse),
        nullableBalance(oOther.nullableBalance)
    {
    }
    virtual ~DDLCLASS(ServiceItemGetBalanceResponse)() {};
    const DDLCLASS(ServiceItemGetBalanceResponse) &operator=(const DDLCLASS(ServiceItemGetBalanceResponse) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemGetBalanceResponse) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemGetBalanceResponse) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemGetBalanceResponse) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemGetBalanceResponse) *pValue);
    qByte _mRevision_ServiceItemGetBalanceResponse;
    qByte GetClassRevision_ServiceItemGetBalanceResponse() const {return _mRevision_ServiceItemGetBalanceResponse;}
    void SetClassRevision_ServiceItemGetBalanceResponse(qByte revision) {_mRevision_ServiceItemGetBalanceResponse=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemGetBalanceResponse() {return 0;}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemAmount) >::CPPType nullableBalance;
    NEX_CLASS_VALID_REVISION_DEF(nullableBalance, 0);
    qBool NEX_CLASS_ISVALID(nullableBalance) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemGetBalanceResponse): public DDLType {
public:
    typedef ServiceItemGetBalanceResponse CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemGetBalanceResponse)& oServiceItemGetBalanceResponse) {
        DDLCLASS(ServiceItemGetBalanceResponse)::Add(pMessageToSend,oServiceItemGetBalanceResponse);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemGetBalanceResponse)* pServiceItemGetBalanceResponseToRefresh) {
        DDLCLASS(ServiceItemGetBalanceResponse)::Extract(pReceivedMessage,pServiceItemGetBalanceResponseToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
