#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemGetLawMessageParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemGetLawMessageParam): public RootObject {
public:
    DDLCLASS(ServiceItemGetLawMessageParam)():_mRevision_ServiceItemGetLawMessageParam(0)
     {};
    DDLCLASS(ServiceItemGetLawMessageParam)(const DDLCLASS(ServiceItemGetLawMessageParam) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemGetLawMessageParam(oOther._mRevision_ServiceItemGetLawMessageParam),
        language(oOther.language),
        uniqueId(oOther.uniqueId),
        platform(oOther.platform)
    {
    }
    virtual ~DDLCLASS(ServiceItemGetLawMessageParam)() {};
    const DDLCLASS(ServiceItemGetLawMessageParam) &operator=(const DDLCLASS(ServiceItemGetLawMessageParam) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemGetLawMessageParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemGetLawMessageParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemGetLawMessageParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemGetLawMessageParam) *pValue);
    qByte _mRevision_ServiceItemGetLawMessageParam;
    qByte GetClassRevision_ServiceItemGetLawMessageParam() const {return _mRevision_ServiceItemGetLawMessageParam;}
    void SetClassRevision_ServiceItemGetLawMessageParam(qByte revision) {_mRevision_ServiceItemGetLawMessageParam=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemGetLawMessageParam() {return 0;}
    DDLTYPE(string)::CPPType language;
    NEX_CLASS_VALID_REVISION_DEF(language, 0);
    qBool NEX_CLASS_ISVALID(language) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType platform;
    NEX_CLASS_VALID_REVISION_DEF(platform, 0);
    qBool NEX_CLASS_ISVALID(platform) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemGetLawMessageParam): public DDLType {
public:
    typedef ServiceItemGetLawMessageParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemGetLawMessageParam)& oServiceItemGetLawMessageParam) {
        DDLCLASS(ServiceItemGetLawMessageParam)::Add(pMessageToSend,oServiceItemGetLawMessageParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemGetLawMessageParam)* pServiceItemGetLawMessageParamToRefresh) {
        DDLCLASS(ServiceItemGetLawMessageParam)::Extract(pReceivedMessage,pServiceItemGetLawMessageParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
