#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "ServiceItemEShopResponse.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemPurchaseHistory.h"

BEGIN_NAMESPACE_NEX
class ServiceItemGetPurchaseHistoryResponse;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemGetPurchaseHistoryResponse): public ServiceItemEShopResponse {
public:
    DDLCLASS(ServiceItemGetPurchaseHistoryResponse)():_mRevision_ServiceItemGetPurchaseHistoryResponse(0)
    , nullablePurchaseHistory(0)     {};
    DDLCLASS(ServiceItemGetPurchaseHistoryResponse)(const DDLCLASS(ServiceItemGetPurchaseHistoryResponse) &oOther):
        ServiceItemEShopResponse(oOther),
        _mRevision_ServiceItemGetPurchaseHistoryResponse(oOther._mRevision_ServiceItemGetPurchaseHistoryResponse),
        nullablePurchaseHistory(oOther.nullablePurchaseHistory)
    {
    }
    virtual ~DDLCLASS(ServiceItemGetPurchaseHistoryResponse)() {};
    const DDLCLASS(ServiceItemGetPurchaseHistoryResponse) &operator=(const DDLCLASS(ServiceItemGetPurchaseHistoryResponse) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemGetPurchaseHistoryResponse) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemGetPurchaseHistoryResponse) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemGetPurchaseHistoryResponse) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemGetPurchaseHistoryResponse) *pValue);
    qByte _mRevision_ServiceItemGetPurchaseHistoryResponse;
    qByte GetClassRevision_ServiceItemGetPurchaseHistoryResponse() const {return _mRevision_ServiceItemGetPurchaseHistoryResponse;}
    void SetClassRevision_ServiceItemGetPurchaseHistoryResponse(qByte revision) {_mRevision_ServiceItemGetPurchaseHistoryResponse=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemGetPurchaseHistoryResponse() {return 0;}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemPurchaseHistory) >::CPPType nullablePurchaseHistory;
    NEX_CLASS_VALID_REVISION_DEF(nullablePurchaseHistory, 0);
    qBool NEX_CLASS_ISVALID(nullablePurchaseHistory) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemGetPurchaseHistoryResponse): public DDLType {
public:
    typedef ServiceItemGetPurchaseHistoryResponse CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemGetPurchaseHistoryResponse)& oServiceItemGetPurchaseHistoryResponse) {
        DDLCLASS(ServiceItemGetPurchaseHistoryResponse)::Add(pMessageToSend,oServiceItemGetPurchaseHistoryResponse);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemGetPurchaseHistoryResponse)* pServiceItemGetPurchaseHistoryResponseToRefresh) {
        DDLCLASS(ServiceItemGetPurchaseHistoryResponse)::Extract(pReceivedMessage,pServiceItemGetPurchaseHistoryResponseToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
