#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemGetServiceItemRightParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemGetServiceItemRightParam): public RootObject {
public:
    DDLCLASS(ServiceItemGetServiceItemRightParam)():_mRevision_ServiceItemGetServiceItemRightParam(0)
     {};
    DDLCLASS(ServiceItemGetServiceItemRightParam)(const DDLCLASS(ServiceItemGetServiceItemRightParam) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemGetServiceItemRightParam(oOther._mRevision_ServiceItemGetServiceItemRightParam),
        referenceId(oOther.referenceId),
        deviceId(oOther.deviceId),
        uniqueId(oOther.uniqueId),
        itemGroup(oOther.itemGroup),
        platform(oOther.platform),
        periodId(oOther.periodId)
    {
    }
    virtual ~DDLCLASS(ServiceItemGetServiceItemRightParam)() {};
    const DDLCLASS(ServiceItemGetServiceItemRightParam) &operator=(const DDLCLASS(ServiceItemGetServiceItemRightParam) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemGetServiceItemRightParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemGetServiceItemRightParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemGetServiceItemRightParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemGetServiceItemRightParam) *pValue);
    qByte _mRevision_ServiceItemGetServiceItemRightParam;
    qByte GetClassRevision_ServiceItemGetServiceItemRightParam() const {return _mRevision_ServiceItemGetServiceItemRightParam;}
    void SetClassRevision_ServiceItemGetServiceItemRightParam(qByte revision) {_mRevision_ServiceItemGetServiceItemRightParam=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemGetServiceItemRightParam() {return 0;}
    DDLTYPE(string)::CPPType referenceId;
    NEX_CLASS_VALID_REVISION_DEF(referenceId, 0);
    qBool NEX_CLASS_ISVALID(referenceId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType deviceId;
    NEX_CLASS_VALID_REVISION_DEF(deviceId, 0);
    qBool NEX_CLASS_ISVALID(deviceId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType itemGroup;
    NEX_CLASS_VALID_REVISION_DEF(itemGroup, 0);
    qBool NEX_CLASS_ISVALID(itemGroup) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType platform;
    NEX_CLASS_VALID_REVISION_DEF(platform, 0);
    qBool NEX_CLASS_ISVALID(platform) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType periodId;
    NEX_CLASS_VALID_REVISION_DEF(periodId, 0);
    qBool NEX_CLASS_ISVALID(periodId) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemGetServiceItemRightParam): public DDLType {
public:
    typedef ServiceItemGetServiceItemRightParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemGetServiceItemRightParam)& oServiceItemGetServiceItemRightParam) {
        DDLCLASS(ServiceItemGetServiceItemRightParam)::Add(pMessageToSend,oServiceItemGetServiceItemRightParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemGetServiceItemRightParam)* pServiceItemGetServiceItemRightParamToRefresh) {
        DDLCLASS(ServiceItemGetServiceItemRightParam)::Extract(pReceivedMessage,pServiceItemGetServiceItemRightParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
