#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemAmount.h"
#include "ServiceItemPrepurchaseRightInfo.h"

BEGIN_NAMESPACE_NEX
class ServiceItemPrepurchaseInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemPrepurchaseInfo): public RootObject {
public:
    DDLCLASS(ServiceItemPrepurchaseInfo)():_mRevision_ServiceItemPrepurchaseInfo(0)
     {};
    DDLCLASS(ServiceItemPrepurchaseInfo)(const DDLCLASS(ServiceItemPrepurchaseInfo) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemPrepurchaseInfo(oOther._mRevision_ServiceItemPrepurchaseInfo),
        itemCode(oOther.itemCode),
        priceId(oOther.priceId),
        regularPrice(oOther.regularPrice),
        isTaxAvailable(oOther.isTaxAvailable),
        taxAmount(oOther.taxAmount),
        totalAmount(oOther.totalAmount),
        currentBalance(oOther.currentBalance),
        postBalance(oOther.postBalance),
        currentRightInfo(oOther.currentRightInfo),
        postRightInfo(oOther.postRightInfo)
    {
    }
    virtual ~DDLCLASS(ServiceItemPrepurchaseInfo)() {};
    const DDLCLASS(ServiceItemPrepurchaseInfo) &operator=(const DDLCLASS(ServiceItemPrepurchaseInfo) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemPrepurchaseInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemPrepurchaseInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemPrepurchaseInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemPrepurchaseInfo) *pValue);
    qByte _mRevision_ServiceItemPrepurchaseInfo;
    qByte GetClassRevision_ServiceItemPrepurchaseInfo() const {return _mRevision_ServiceItemPrepurchaseInfo;}
    void SetClassRevision_ServiceItemPrepurchaseInfo(qByte revision) {_mRevision_ServiceItemPrepurchaseInfo=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemPrepurchaseInfo() {return 0;}
    DDLTYPE(string)::CPPType itemCode;
    NEX_CLASS_VALID_REVISION_DEF(itemCode, 0);
    qBool NEX_CLASS_ISVALID(itemCode) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType priceId;
    NEX_CLASS_VALID_REVISION_DEF(priceId, 0);
    qBool NEX_CLASS_ISVALID(priceId) const { return true; /* The revision is 0. Always true */}
    ServiceItemAmount regularPrice;
    NEX_CLASS_VALID_REVISION_DEF(regularPrice, 0);
    qBool NEX_CLASS_ISVALID(regularPrice) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(bool)::CPPType isTaxAvailable;
    NEX_CLASS_VALID_REVISION_DEF(isTaxAvailable, 0);
    qBool NEX_CLASS_ISVALID(isTaxAvailable) const { return true; /* The revision is 0. Always true */}
    ServiceItemAmount taxAmount;
    NEX_CLASS_VALID_REVISION_DEF(taxAmount, 0);
    qBool NEX_CLASS_ISVALID(taxAmount) const { return true; /* The revision is 0. Always true */}
    ServiceItemAmount totalAmount;
    NEX_CLASS_VALID_REVISION_DEF(totalAmount, 0);
    qBool NEX_CLASS_ISVALID(totalAmount) const { return true; /* The revision is 0. Always true */}
    ServiceItemAmount currentBalance;
    NEX_CLASS_VALID_REVISION_DEF(currentBalance, 0);
    qBool NEX_CLASS_ISVALID(currentBalance) const { return true; /* The revision is 0. Always true */}
    ServiceItemAmount postBalance;
    NEX_CLASS_VALID_REVISION_DEF(postBalance, 0);
    qBool NEX_CLASS_ISVALID(postBalance) const { return true; /* The revision is 0. Always true */}
    ServiceItemPrepurchaseRightInfo currentRightInfo;
    NEX_CLASS_VALID_REVISION_DEF(currentRightInfo, 0);
    qBool NEX_CLASS_ISVALID(currentRightInfo) const { return true; /* The revision is 0. Always true */}
    ServiceItemPrepurchaseRightInfo postRightInfo;
    NEX_CLASS_VALID_REVISION_DEF(postRightInfo, 0);
    qBool NEX_CLASS_ISVALID(postRightInfo) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemPrepurchaseInfo): public DDLType {
public:
    typedef ServiceItemPrepurchaseInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemPrepurchaseInfo)& oServiceItemPrepurchaseInfo) {
        DDLCLASS(ServiceItemPrepurchaseInfo)::Add(pMessageToSend,oServiceItemPrepurchaseInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemPrepurchaseInfo)* pServiceItemPrepurchaseInfoToRefresh) {
        DDLCLASS(ServiceItemPrepurchaseInfo)::Extract(pReceivedMessage,pServiceItemPrepurchaseInfoToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
