#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemPurchaseServiceItemParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemPurchaseServiceItemParam): public RootObject {
public:
    DDLCLASS(ServiceItemPurchaseServiceItemParam)():_mRevision_ServiceItemPurchaseServiceItemParam(0)
     {};
    DDLCLASS(ServiceItemPurchaseServiceItemParam)(const DDLCLASS(ServiceItemPurchaseServiceItemParam) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemPurchaseServiceItemParam(oOther._mRevision_ServiceItemPurchaseServiceItemParam),
        itemCode(oOther.itemCode),
        priceId(oOther.priceId),
        referenceId(oOther.referenceId),
        balance(oOther.balance),
        itemName(oOther.itemName),
        ecServiceToken(oOther.ecServiceToken),
        language(oOther.language),
        uniqueId(oOther.uniqueId),
        platform(oOther.platform),
        periodId(oOther.periodId)
    {
    }
    virtual ~DDLCLASS(ServiceItemPurchaseServiceItemParam)() {};
    const DDLCLASS(ServiceItemPurchaseServiceItemParam) &operator=(const DDLCLASS(ServiceItemPurchaseServiceItemParam) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemPurchaseServiceItemParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemPurchaseServiceItemParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemPurchaseServiceItemParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemPurchaseServiceItemParam) *pValue);
    qByte _mRevision_ServiceItemPurchaseServiceItemParam;
    qByte GetClassRevision_ServiceItemPurchaseServiceItemParam() const {return _mRevision_ServiceItemPurchaseServiceItemParam;}
    void SetClassRevision_ServiceItemPurchaseServiceItemParam(qByte revision) {_mRevision_ServiceItemPurchaseServiceItemParam=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemPurchaseServiceItemParam() {return 0;}
    DDLTYPE(string)::CPPType itemCode;
    NEX_CLASS_VALID_REVISION_DEF(itemCode, 0);
    qBool NEX_CLASS_ISVALID(itemCode) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType priceId;
    NEX_CLASS_VALID_REVISION_DEF(priceId, 0);
    qBool NEX_CLASS_ISVALID(priceId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType referenceId;
    NEX_CLASS_VALID_REVISION_DEF(referenceId, 0);
    qBool NEX_CLASS_ISVALID(referenceId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType balance;
    NEX_CLASS_VALID_REVISION_DEF(balance, 0);
    qBool NEX_CLASS_ISVALID(balance) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType itemName;
    NEX_CLASS_VALID_REVISION_DEF(itemName, 0);
    qBool NEX_CLASS_ISVALID(itemName) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType ecServiceToken;
    NEX_CLASS_VALID_REVISION_DEF(ecServiceToken, 0);
    qBool NEX_CLASS_ISVALID(ecServiceToken) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType language;
    NEX_CLASS_VALID_REVISION_DEF(language, 0);
    qBool NEX_CLASS_ISVALID(language) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType platform;
    NEX_CLASS_VALID_REVISION_DEF(platform, 0);
    qBool NEX_CLASS_ISVALID(platform) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType periodId;
    NEX_CLASS_VALID_REVISION_DEF(periodId, 0);
    qBool NEX_CLASS_ISVALID(periodId) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemPurchaseServiceItemParam): public DDLType {
public:
    typedef ServiceItemPurchaseServiceItemParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemPurchaseServiceItemParam)& oServiceItemPurchaseServiceItemParam) {
        DDLCLASS(ServiceItemPurchaseServiceItemParam)::Add(pMessageToSend,oServiceItemPurchaseServiceItemParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemPurchaseServiceItemParam)* pServiceItemPurchaseServiceItemParamToRefresh) {
        DDLCLASS(ServiceItemPurchaseServiceItemParam)::Extract(pReceivedMessage,pServiceItemPurchaseServiceItemParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
