#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "ServiceItemEShopResponse.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemRedeemInfo.h"

BEGIN_NAMESPACE_NEX
class ServiceItemRedeemServiceItemResponse;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemRedeemServiceItemResponse): public ServiceItemEShopResponse {
public:
    DDLCLASS(ServiceItemRedeemServiceItemResponse)():_mRevision_ServiceItemRedeemServiceItemResponse(0)
    , nullableRedeemInfo(0)     {};
    DDLCLASS(ServiceItemRedeemServiceItemResponse)(const DDLCLASS(ServiceItemRedeemServiceItemResponse) &oOther):
        ServiceItemEShopResponse(oOther),
        _mRevision_ServiceItemRedeemServiceItemResponse(oOther._mRevision_ServiceItemRedeemServiceItemResponse),
        nullableRedeemInfo(oOther.nullableRedeemInfo)
    {
    }
    virtual ~DDLCLASS(ServiceItemRedeemServiceItemResponse)() {};
    const DDLCLASS(ServiceItemRedeemServiceItemResponse) &operator=(const DDLCLASS(ServiceItemRedeemServiceItemResponse) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemRedeemServiceItemResponse) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemRedeemServiceItemResponse) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemRedeemServiceItemResponse) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemRedeemServiceItemResponse) *pValue);
    qByte _mRevision_ServiceItemRedeemServiceItemResponse;
    qByte GetClassRevision_ServiceItemRedeemServiceItemResponse() const {return _mRevision_ServiceItemRedeemServiceItemResponse;}
    void SetClassRevision_ServiceItemRedeemServiceItemResponse(qByte revision) {_mRevision_ServiceItemRedeemServiceItemResponse=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemRedeemServiceItemResponse() {return 0;}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemRedeemInfo) >::CPPType nullableRedeemInfo;
    NEX_CLASS_VALID_REVISION_DEF(nullableRedeemInfo, 0);
    qBool NEX_CLASS_ISVALID(nullableRedeemInfo) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemRedeemServiceItemResponse): public DDLType {
public:
    typedef ServiceItemRedeemServiceItemResponse CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemRedeemServiceItemResponse)& oServiceItemRedeemServiceItemResponse) {
        DDLCLASS(ServiceItemRedeemServiceItemResponse)::Add(pMessageToSend,oServiceItemRedeemServiceItemResponse);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemRedeemServiceItemResponse)* pServiceItemRedeemServiceItemResponseToRefresh) {
        DDLCLASS(ServiceItemRedeemServiceItemResponse)::Extract(pReceivedMessage,pServiceItemRedeemServiceItemResponseToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
