#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemRightInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemRightInfo): public RootObject {
public:
    DDLCLASS(ServiceItemRightInfo)():_mRevision_ServiceItemRightInfo(0)
     {};
    DDLCLASS(ServiceItemRightInfo)(const DDLCLASS(ServiceItemRightInfo) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemRightInfo(oOther._mRevision_ServiceItemRightInfo),
        referenceId(oOther.referenceId),
        referenceIdType(oOther.referenceIdType)
    {
    }
    virtual ~DDLCLASS(ServiceItemRightInfo)() {};
    const DDLCLASS(ServiceItemRightInfo) &operator=(const DDLCLASS(ServiceItemRightInfo) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemRightInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemRightInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemRightInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemRightInfo) *pValue);
    qByte _mRevision_ServiceItemRightInfo;
    qByte GetClassRevision_ServiceItemRightInfo() const {return _mRevision_ServiceItemRightInfo;}
    void SetClassRevision_ServiceItemRightInfo(qByte revision) {_mRevision_ServiceItemRightInfo=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemRightInfo() {return 0;}
    DDLTYPE(string)::CPPType referenceId;
    NEX_CLASS_VALID_REVISION_DEF(referenceId, 0);
    qBool NEX_CLASS_ISVALID(referenceId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType referenceIdType;
    NEX_CLASS_VALID_REVISION_DEF(referenceIdType, 0);
    qBool NEX_CLASS_ISVALID(referenceIdType) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemRightInfo): public DDLType {
public:
    typedef ServiceItemRightInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemRightInfo)& oServiceItemRightInfo) {
        DDLCLASS(ServiceItemRightInfo)::Add(pMessageToSend,oServiceItemRightInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemRightInfo)* pServiceItemRightInfoToRefresh) {
        DDLCLASS(ServiceItemRightInfo)::Extract(pReceivedMessage,pServiceItemRightInfoToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
