#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class SubscriberGetContentParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(SubscriberGetContentParam): public RootObject {
public:
    DDLCLASS(SubscriberGetContentParam)():_mRevision_SubscriberGetContentParam(0)
     {};
    DDLCLASS(SubscriberGetContentParam)(const DDLCLASS(SubscriberGetContentParam) &oOther):
        RootObject(oOther),
        _mRevision_SubscriberGetContentParam(oOther._mRevision_SubscriberGetContentParam),
        topic(oOther.topic),
        size(oOther.size),
        offset(oOther.offset),
        minimumContentId(oOther.minimumContentId)
    {
    }
    virtual ~DDLCLASS(SubscriberGetContentParam)() {};
    const DDLCLASS(SubscriberGetContentParam) &operator=(const DDLCLASS(SubscriberGetContentParam) &oOther);
    qBool operator==(const DDLCLASS(SubscriberGetContentParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(SubscriberGetContentParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(SubscriberGetContentParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(SubscriberGetContentParam) *pValue);
    qByte _mRevision_SubscriberGetContentParam;
    qByte GetClassRevision_SubscriberGetContentParam() const {return _mRevision_SubscriberGetContentParam;}
    void SetClassRevision_SubscriberGetContentParam(qByte revision) {_mRevision_SubscriberGetContentParam=revision;}
    static qByte GetKnownMaxClassRevision_SubscriberGetContentParam() {return 0;}
    DDLTYPE(string)::CPPType topic;
    NEX_CLASS_VALID_REVISION_DEF(topic, 0);
    qBool NEX_CLASS_ISVALID(topic) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType size;
    NEX_CLASS_VALID_REVISION_DEF(size, 0);
    qBool NEX_CLASS_ISVALID(size) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType offset;
    NEX_CLASS_VALID_REVISION_DEF(offset, 0);
    qBool NEX_CLASS_ISVALID(offset) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType minimumContentId;
    NEX_CLASS_VALID_REVISION_DEF(minimumContentId, 0);
    qBool NEX_CLASS_ISVALID(minimumContentId) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(SubscriberGetContentParam): public DDLType {
public:
    typedef SubscriberGetContentParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(SubscriberGetContentParam)& oSubscriberGetContentParam) {
        DDLCLASS(SubscriberGetContentParam)::Add(pMessageToSend,oSubscriberGetContentParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(SubscriberGetContentParam)* pSubscriberGetContentParamToRefresh) {
        DDLCLASS(SubscriberGetContentParam)::Extract(pReceivedMessage,pSubscriberGetContentParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
