#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DeletionEntry;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DeletionEntry): public RootObject {
public:
    DDLCLASS(DeletionEntry)():_mRevision_DeletionEntry(0)
     {};
    DDLCLASS(DeletionEntry)(const DDLCLASS(DeletionEntry) &oOther):
        RootObject(oOther),
        _mRevision_DeletionEntry(oOther._mRevision_DeletionEntry),
        m_idGathering(oOther.m_idGathering),
        m_pid(oOther.m_pid),
        m_uiReason(oOther.m_uiReason)
    {
    }
    virtual ~DDLCLASS(DeletionEntry)() {};
    const DDLCLASS(DeletionEntry) &operator=(const DDLCLASS(DeletionEntry) &oOther);
    qBool operator==(const DDLCLASS(DeletionEntry) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DeletionEntry) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DeletionEntry) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DeletionEntry) *pValue);
    qByte _mRevision_DeletionEntry;
    qByte GetClassRevision_DeletionEntry() const {return _mRevision_DeletionEntry;}
    void SetClassRevision_DeletionEntry(qByte revision) {_mRevision_DeletionEntry=revision;}
    static qByte GetKnownMaxClassRevision_DeletionEntry() {return 0;}
    DDLTYPE(uint32)::CPPType m_idGathering;
    NEX_CLASS_VALID_REVISION_DEF(m_idGathering, 0);
    qBool NEX_CLASS_ISVALID(m_idGathering) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType m_pid;
    NEX_CLASS_VALID_REVISION_DEF(m_pid, 0);
    qBool NEX_CLASS_ISVALID(m_pid) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType m_uiReason;
    NEX_CLASS_VALID_REVISION_DEF(m_uiReason, 0);
    qBool NEX_CLASS_ISVALID(m_uiReason) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(DeletionEntry): public DDLType {
public:
    typedef DeletionEntry CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DeletionEntry)& oDeletionEntry) {
        DDLCLASS(DeletionEntry)::Add(pMessageToSend,oDeletionEntry);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DeletionEntry)* pDeletionEntryToRefresh) {
        DDLCLASS(DeletionEntry)::Extract(pReceivedMessage,pDeletionEntryToRefresh);
    }
};

class DeletionEntry: public DDLCLASS(DeletionEntry) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
