#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "OnlineCore/src/DDLTypes/STLExtTypes.h"

BEGIN_NAMESPACE_NEX
class GatheringURLs;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(GatheringURLs): public RootObject {
public:
    DDLCLASS(GatheringURLs)():_mRevision_GatheringURLs(0)
     {};
    DDLCLASS(GatheringURLs)(const DDLCLASS(GatheringURLs) &oOther):
        RootObject(oOther),
        _mRevision_GatheringURLs(oOther._mRevision_GatheringURLs),
        m_gid(oOther.m_gid),
        m_lstStationURLs(oOther.m_lstStationURLs)
    {
    }
    virtual ~DDLCLASS(GatheringURLs)() {};
    const DDLCLASS(GatheringURLs) &operator=(const DDLCLASS(GatheringURLs) &oOther);
    qBool operator==(const DDLCLASS(GatheringURLs) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(GatheringURLs) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(GatheringURLs) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(GatheringURLs) *pValue);
    qByte _mRevision_GatheringURLs;
    qByte GetClassRevision_GatheringURLs() const {return _mRevision_GatheringURLs;}
    void SetClassRevision_GatheringURLs(qByte revision) {_mRevision_GatheringURLs=revision;}
    static qByte GetKnownMaxClassRevision_GatheringURLs() {return 0;}
    DDLTYPE(uint32)::CPPType m_gid;
    NEX_CLASS_VALID_REVISION_DEF(m_gid, 0);
    qBool NEX_CLASS_ISVALID(m_gid) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(std_list)< DDLTYPE(stationurl) >::CPPType m_lstStationURLs;
    NEX_CLASS_VALID_REVISION_DEF(m_lstStationURLs, 0);
    qBool NEX_CLASS_ISVALID(m_lstStationURLs) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(GatheringURLs): public DDLType {
public:
    typedef GatheringURLs CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(GatheringURLs)& oGatheringURLs) {
        DDLCLASS(GatheringURLs)::Add(pMessageToSend,oGatheringURLs);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(GatheringURLs)* pGatheringURLsToRefresh) {
        DDLCLASS(GatheringURLs)::Extract(pReceivedMessage,pGatheringURLsToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
