#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "RendezVous/Core/src/Common/ProtocolFoundationProperties.h"
#include "RendezVous/Core/src/Common/UserMessage.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class BinaryMessage;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(BinaryMessage): public UserMessage {
public:
    DDLCLASS(BinaryMessage)():_mRevision_BinaryMessage(0)
     {};
    DDLCLASS(BinaryMessage)(const DDLCLASS(BinaryMessage) &oOther):
        UserMessage(oOther),
        _mRevision_BinaryMessage(oOther._mRevision_BinaryMessage),
        m_binaryBody(oOther.m_binaryBody)
    {
    }
    virtual ~DDLCLASS(BinaryMessage)() {};
    const DDLCLASS(BinaryMessage) &operator=(const DDLCLASS(BinaryMessage) &oOther);
    qBool operator==(const DDLCLASS(BinaryMessage) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(BinaryMessage) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(BinaryMessage) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(BinaryMessage) *pValue);
    qByte _mRevision_BinaryMessage;
    qByte GetClassRevision_BinaryMessage() const {return _mRevision_BinaryMessage;}
    void SetClassRevision_BinaryMessage(qByte revision) {_mRevision_BinaryMessage=revision;}
    static qByte GetKnownMaxClassRevision_BinaryMessage() {return 0;}
    DDLTYPE(qBuffer)::CPPType m_binaryBody;
    NEX_CLASS_VALID_REVISION_DEF(m_binaryBody, 0);
    qBool NEX_CLASS_ISVALID(m_binaryBody) const { return true; /* The revision is 0. Always true */}
    public:
	_PR_dataclass_methods_pudecl(BinaryMessage)
    protected:
	_PR_dataclass_methods_prdecl()
};


class DDLTYPE(BinaryMessage): public DDLType {
public:
    typedef BinaryMessage CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(BinaryMessage)& oBinaryMessage) {
        DDLCLASS(BinaryMessage)::Add(pMessageToSend,oBinaryMessage);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(BinaryMessage)* pBinaryMessageToRefresh) {
        DDLCLASS(BinaryMessage)::Extract(pReceivedMessage,pBinaryMessageToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
