﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2018, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2018 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _Nex_H_
#define _Nex_H_

#ifndef NO_USING_QUAZAL_DIRECTIVE
#define NO_USING_QUAZAL_DIRECTIVE
#endif

#include <OnlineCore/src/Platform/Core/GlobalVariables.h>
#include <nex_P2p.h>
#include <nex_Client.h>
#include <OnlineCore/src/Transport/Interface/VSocket.h>

#ifdef FOR_DOC_PURPOSE
/*!
 @defgroup    nex_define    NEX で定義されるマクロ
 @brief    NEX で定義されるマクロ
 @{ @}
 */

/*!
 @brief    ルートとなる名前空間
 */
namespace nn
{
/*!
 @brief    NEX ライブラリの名前空間です。
 */
namespace nex
{
// for doc purpose
}
}
#endif

#endif
